package com.kongzue.dialogx.dialogs;

import android.animation.ObjectAnimator;
import android.animation.ValueAnimator;
import android.app.Activity;
import android.graphics.Bitmap;
import android.graphics.Outline;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.os.Build;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewOutlineProvider;
import android.view.animation.DecelerateInterpolator;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.lifecycle.Lifecycle;
import com.kongzue.dialogx.DialogX;
import com.kongzue.dialogx.R;
import com.kongzue.dialogx.interfaces.BaseDialog;
import com.kongzue.dialogx.interfaces.DialogConvertViewInterface;
import com.kongzue.dialogx.interfaces.DialogLifecycleCallback;
import com.kongzue.dialogx.interfaces.DialogXAnimInterface;
import com.kongzue.dialogx.interfaces.DialogXStyle;
import com.kongzue.dialogx.interfaces.OnBackPressedListener;
import com.kongzue.dialogx.interfaces.OnBackgroundMaskClickListener;
import com.kongzue.dialogx.interfaces.OnBindView;
import com.kongzue.dialogx.interfaces.OnDialogButtonClickListener;
import com.kongzue.dialogx.interfaces.ScrollController;
import com.kongzue.dialogx.util.BottomDialogTouchEventInterceptor;
import com.kongzue.dialogx.util.ObjectRunnable;
import com.kongzue.dialogx.util.TextInfo;
import com.kongzue.dialogx.util.views.BlurView;
import com.kongzue.dialogx.util.views.BottomDialogScrollView;
import com.kongzue.dialogx.util.views.DialogXBaseRelativeLayout;
import com.kongzue.dialogx.util.views.MaxRelativeLayout;
/* loaded from: classes10.dex */
public class BottomDialog extends BaseDialog {
    public static BaseDialog.BOOLEAN overrideCancelable = null;
    public static int overrideEnterDuration = -1;
    public static int overrideExitDuration = -1;
    protected OnDialogButtonClickListener<BottomDialog> cancelButtonClickListener;
    protected CharSequence cancelText;
    protected DialogImpl dialogImpl;
    protected DialogLifecycleCallback<BottomDialog> dialogLifecycleCallback;
    private View dialogView;
    protected DialogXAnimInterface<BottomDialog> dialogXAnimImpl;
    protected boolean hideWithExitAnim;
    protected boolean isHide;
    protected TextInfo menuTextInfo;
    protected CharSequence message;
    protected TextInfo messageTextInfo;
    protected OnDialogButtonClickListener<BottomDialog> okButtonClickListener;
    protected CharSequence okText;
    protected OnBackPressedListener<BottomDialog> onBackPressedListener;
    protected OnBackgroundMaskClickListener<BottomDialog> onBackgroundMaskClickListener;
    protected OnBindView<BottomDialog> onBindView;
    protected OnDialogButtonClickListener<BottomDialog> otherButtonClickListener;
    protected CharSequence otherText;
    protected BaseDialog.BOOLEAN privateCancelable;
    protected CharSequence title;
    protected Drawable titleIcon;
    protected TextInfo titleTextInfo;
    protected boolean allowInterceptTouch = true;
    protected int maskColor = -1;
    protected boolean bkgInterceptTouch = true;
    protected float backgroundRadius = -1.0f;
    protected TextInfo cancelTextInfo = new TextInfo().setBold(true);
    protected TextInfo okTextInfo = new TextInfo().setBold(true);
    protected TextInfo otherTextInfo = new TextInfo().setBold(true);
    protected float bottomDialogMaxHeight = 0.0f;

    /* renamed from: me  reason: collision with root package name */
    protected BottomDialog f971me = this;

    /* JADX INFO: Access modifiers changed from: protected */
    public BottomDialog() {
    }

    @Override // com.kongzue.dialogx.interfaces.BaseDialog
    public String dialogKey() {
        return getClass().getSimpleName() + "(" + Integer.toHexString(hashCode()) + ")";
    }

    public static BottomDialog build() {
        return new BottomDialog();
    }

    public static BottomDialog build(DialogXStyle style) {
        return new BottomDialog().setStyle(style);
    }

    public static BottomDialog build(OnBindView<BottomDialog> onBindView) {
        return new BottomDialog().setCustomView(onBindView);
    }

    public BottomDialog(CharSequence title, CharSequence message) {
        this.title = title;
        this.message = message;
    }

    public BottomDialog(int titleResId, int messageResId) {
        this.title = getString(titleResId);
        this.message = getString(messageResId);
    }

    public static BottomDialog show(CharSequence title, CharSequence message) {
        BottomDialog bottomDialog = new BottomDialog(title, message);
        bottomDialog.show();
        return bottomDialog;
    }

    public static BottomDialog show(int titleResId, int messageResId) {
        BottomDialog bottomDialog = new BottomDialog(titleResId, messageResId);
        bottomDialog.show();
        return bottomDialog;
    }

    public BottomDialog(CharSequence title, CharSequence message, OnBindView<BottomDialog> onBindView) {
        this.title = title;
        this.message = message;
        this.onBindView = onBindView;
    }

    public BottomDialog(int titleResId, int messageResId, OnBindView<BottomDialog> onBindView) {
        this.title = getString(titleResId);
        this.message = getString(messageResId);
        this.onBindView = onBindView;
    }

    public static BottomDialog show(CharSequence title, CharSequence message, OnBindView<BottomDialog> onBindView) {
        BottomDialog bottomDialog = new BottomDialog(title, message, onBindView);
        bottomDialog.show();
        return bottomDialog;
    }

    public static BottomDialog show(int titleResId, int messageResId, OnBindView<BottomDialog> onBindView) {
        BottomDialog bottomDialog = new BottomDialog(titleResId, messageResId, onBindView);
        bottomDialog.show();
        return bottomDialog;
    }

    public BottomDialog(CharSequence title, OnBindView<BottomDialog> onBindView) {
        this.title = title;
        this.onBindView = onBindView;
    }

    public BottomDialog(int titleResId, OnBindView<BottomDialog> onBindView) {
        this.title = getString(titleResId);
        this.onBindView = onBindView;
    }

    public static BottomDialog show(CharSequence title, OnBindView<BottomDialog> onBindView) {
        BottomDialog bottomDialog = new BottomDialog(title, onBindView);
        bottomDialog.show();
        return bottomDialog;
    }

    public static BottomDialog show(int titleResId, OnBindView<BottomDialog> onBindView) {
        BottomDialog bottomDialog = new BottomDialog(titleResId, onBindView);
        bottomDialog.show();
        return bottomDialog;
    }

    public BottomDialog(OnBindView<BottomDialog> onBindView) {
        this.onBindView = onBindView;
    }

    public static BottomDialog show(OnBindView<BottomDialog> onBindView) {
        BottomDialog bottomDialog = new BottomDialog(onBindView);
        bottomDialog.show();
        return bottomDialog;
    }

    @Override // com.kongzue.dialogx.interfaces.BaseDialog
    public BottomDialog show() {
        if (this.isHide && getDialogView() != null && this.isShow) {
            if (this.hideWithExitAnim && getDialogImpl() != null) {
                getDialogView().setVisibility(0);
                getDialogImpl().getDialogXAnimImpl().doShowAnim(this.f971me, new ObjectRunnable<Float>() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.1
                    @Override // com.kongzue.dialogx.util.ObjectRunnable
                    public void run(Float value) {
                        BottomDialog.this.getDialogImpl().boxRoot.setBkgAlpha(value.floatValue());
                    }
                });
            } else {
                getDialogView().setVisibility(0);
            }
            return this;
        }
        super.beforeShow();
        if (getDialogView() == null) {
            int i2 = isLightTheme() ? R.layout.layout_dialogx_bottom_material : R.layout.layout_dialogx_bottom_material_dark;
            if (this.style.overrideBottomDialogRes() != null) {
                i2 = this.style.overrideBottomDialogRes().overrideDialogLayout(isLightTheme());
            }
            this.dialogView = createView(i2);
            this.dialogImpl = new DialogImpl(this.dialogView);
            View view = this.dialogView;
            if (view != null) {
                view.setTag(this.f971me);
            }
        }
        show(this.dialogView);
        return this;
    }

    public void show(Activity activity) {
        super.beforeShow();
        if (getDialogView() == null) {
            int i2 = isLightTheme() ? R.layout.layout_dialogx_bottom_material : R.layout.layout_dialogx_bottom_material_dark;
            if (this.style.overrideBottomDialogRes() != null) {
                i2 = this.style.overrideBottomDialogRes().overrideDialogLayout(isLightTheme());
            }
            this.dialogView = createView(i2);
            this.dialogImpl = new DialogImpl(this.dialogView);
            View view = this.dialogView;
            if (view != null) {
                view.setTag(this.f971me);
            }
        }
        show(activity, this.dialogView);
    }

    /* loaded from: classes10.dex */
    public class DialogImpl implements DialogConvertViewInterface {
        public MaxRelativeLayout bkg;
        public BlurView blurView;
        private BottomDialogTouchEventInterceptor bottomDialogTouchEventInterceptor;
        public RelativeLayout boxBkg;
        public ViewGroup boxBody;
        public ViewGroup boxCancel;
        public LinearLayout boxContent;
        public RelativeLayout boxCustom;
        public RelativeLayout boxList;
        public DialogXBaseRelativeLayout boxRoot;
        public TextView btnCancel;
        public TextView btnSelectOther;
        public TextView btnSelectPositive;
        public BlurView cancelBlurView;
        public View imgSplit;
        public ImageView imgTab;
        public ScrollController scrollView;
        public TextView txtDialogTip;
        public TextView txtDialogTitle;
        public float bkgEnterAimY = -1.0f;
        long exitAnimDurationTemp = 300;

        public DialogImpl(View convertView) {
            if (convertView == null) {
                return;
            }
            this.boxRoot = (DialogXBaseRelativeLayout) convertView.findViewById(R.id.box_root);
            this.boxBkg = (RelativeLayout) convertView.findViewById(R.id.box_bkg);
            this.bkg = (MaxRelativeLayout) convertView.findViewById(R.id.bkg);
            this.boxBody = (ViewGroup) convertView.findViewWithTag("blurBody");
            this.imgTab = (ImageView) convertView.findViewById(R.id.img_tab);
            this.txtDialogTitle = (TextView) convertView.findViewById(R.id.txt_dialog_title);
            this.scrollView = (ScrollController) convertView.findViewById(R.id.scrollView);
            this.boxContent = (LinearLayout) convertView.findViewById(R.id.box_content);
            this.txtDialogTip = (TextView) convertView.findViewById(R.id.txt_dialog_tip);
            this.imgSplit = convertView.findViewWithTag("split");
            this.boxList = (RelativeLayout) convertView.findViewById(R.id.box_list);
            this.boxCustom = (RelativeLayout) convertView.findViewById(R.id.box_custom);
            this.blurView = (BlurView) convertView.findViewById(R.id.blurView);
            this.boxCancel = (ViewGroup) convertView.findViewWithTag("cancelBox");
            this.btnCancel = (TextView) convertView.findViewWithTag("cancel");
            this.btnSelectOther = (TextView) convertView.findViewById(R.id.btn_selectOther);
            this.btnSelectPositive = (TextView) convertView.findViewById(R.id.btn_selectPositive);
            init();
            BottomDialog.this.dialogImpl = this;
            refreshView();
        }

        public void reBuild() {
            init();
            BottomDialog.this.dialogImpl = this;
            refreshView();
        }

        @Override // com.kongzue.dialogx.interfaces.DialogConvertViewInterface
        public void init() {
            if (BottomDialog.this.titleTextInfo == null) {
                BottomDialog.this.titleTextInfo = DialogX.titleTextInfo;
            }
            if (BottomDialog.this.messageTextInfo == null) {
                BottomDialog.this.messageTextInfo = DialogX.messageTextInfo;
            }
            if (BottomDialog.this.okTextInfo == null) {
                BottomDialog.this.okTextInfo = DialogX.okButtonTextInfo;
            }
            if (BottomDialog.this.okTextInfo == null) {
                BottomDialog.this.okTextInfo = DialogX.buttonTextInfo;
            }
            if (BottomDialog.this.cancelTextInfo == null) {
                BottomDialog.this.cancelTextInfo = DialogX.buttonTextInfo;
            }
            if (BottomDialog.this.otherTextInfo == null) {
                BottomDialog.this.otherTextInfo = DialogX.buttonTextInfo;
            }
            if (BottomDialog.this.backgroundColor == -1) {
                BottomDialog.this.backgroundColor = DialogX.backgroundColor;
            }
            if (BottomDialog.this.cancelText == null) {
                BottomDialog.this.cancelText = DialogX.cancelButtonText;
            }
            this.txtDialogTitle.getPaint().setFakeBoldText(true);
            TextView textView = this.btnCancel;
            if (textView != null) {
                textView.getPaint().setFakeBoldText(true);
            }
            TextView textView2 = this.btnSelectPositive;
            if (textView2 != null) {
                textView2.getPaint().setFakeBoldText(true);
            }
            TextView textView3 = this.btnSelectOther;
            if (textView3 != null) {
                textView3.getPaint().setFakeBoldText(true);
            }
            this.boxBkg.setY(BaseDialog.getRootFrameLayout().getMeasuredHeight());
            this.bkg.setMaxWidth(BottomDialog.this.getMaxWidth());
            this.boxRoot.setParentDialog(BottomDialog.this.f971me);
            this.boxRoot.setOnLifecycleCallBack(new DialogXBaseRelativeLayout.OnLifecycleCallBack() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.DialogImpl.1
                @Override // com.kongzue.dialogx.util.views.DialogXBaseRelativeLayout.OnLifecycleCallBack
                public void onShow() {
                    BottomDialog.this.isShow = true;
                    BottomDialog.this.preShow = false;
                    BottomDialog.this.lifecycle.setCurrentState(Lifecycle.State.CREATED);
                    BottomDialog.this.getDialogLifecycleCallback().onShow(BottomDialog.this.f971me);
                    BottomDialog.this.onDialogShow();
                    DialogImpl.this.boxRoot.post(new Runnable() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.DialogImpl.1.1
                        @Override // java.lang.Runnable
                        public void run() {
                            if (BottomDialog.this.style.messageDialogBlurSettings() != null && BottomDialog.this.style.messageDialogBlurSettings().blurBackground() && DialogImpl.this.boxBody != null && DialogImpl.this.boxCancel != null) {
                                int color = BottomDialog.this.getResources().getColor(BottomDialog.this.style.messageDialogBlurSettings().blurForwardColorRes(BottomDialog.this.isLightTheme()));
                                DialogImpl.this.blurView = new BlurView(DialogImpl.this.bkg.getContext(), null);
                                RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams(DialogImpl.this.bkg.getWidth(), DialogImpl.this.bkg.getHeight());
                                DialogImpl.this.blurView.setOverlayColor(BottomDialog.this.backgroundColor == -1 ? color : BottomDialog.this.backgroundColor);
                                DialogImpl.this.blurView.setTag("blurView");
                                DialogImpl.this.blurView.setRadiusPx(BottomDialog.this.style.messageDialogBlurSettings().blurBackgroundRoundRadiusPx());
                                DialogImpl.this.boxBody.addView(DialogImpl.this.blurView, 0, layoutParams);
                                DialogImpl.this.cancelBlurView = new BlurView(DialogImpl.this.boxCancel.getContext(), null);
                                RelativeLayout.LayoutParams layoutParams2 = new RelativeLayout.LayoutParams(DialogImpl.this.boxCancel.getWidth(), DialogImpl.this.boxCancel.getHeight());
                                BlurView blurView = DialogImpl.this.cancelBlurView;
                                if (BottomDialog.this.backgroundColor != -1) {
                                    color = BottomDialog.this.backgroundColor;
                                }
                                blurView.setOverlayColor(color);
                                DialogImpl.this.cancelBlurView.setTag("blurView");
                                DialogImpl.this.cancelBlurView.setRadiusPx(BottomDialog.this.style.messageDialogBlurSettings().blurBackgroundRoundRadiusPx());
                                DialogImpl.this.boxCancel.addView(DialogImpl.this.cancelBlurView, 0, layoutParams2);
                            }
                            BottomDialog.this.lifecycle.setCurrentState(Lifecycle.State.RESUMED);
                        }
                    });
                    BottomDialog.this.refreshUI();
                }

                @Override // com.kongzue.dialogx.util.views.DialogXBaseRelativeLayout.OnLifecycleCallBack
                public void onDismiss() {
                    BottomDialog.this.isShow = false;
                    BottomDialog.this.getDialogLifecycleCallback().onDismiss(BottomDialog.this.f971me);
                    BottomDialog.this.dialogImpl = null;
                    DialogImpl.this.bottomDialogTouchEventInterceptor = null;
                    BottomDialog.this.dialogLifecycleCallback = null;
                    BottomDialog.this.lifecycle.setCurrentState(Lifecycle.State.DESTROYED);
                    System.gc();
                }
            });
            TextView textView4 = this.btnCancel;
            if (textView4 != null) {
                textView4.setOnClickListener(new View.OnClickListener() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.DialogImpl.2
                    @Override // android.view.View.OnClickListener
                    public void onClick(View v) {
                        if (BottomDialog.this.cancelButtonClickListener != null) {
                            if (BottomDialog.this.cancelButtonClickListener.onClick(BottomDialog.this.f971me, v)) {
                                return;
                            }
                            BottomDialog.this.dismiss();
                            return;
                        }
                        BottomDialog.this.dismiss();
                    }
                });
            }
            TextView textView5 = this.btnSelectOther;
            if (textView5 != null) {
                textView5.setOnClickListener(new View.OnClickListener() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.DialogImpl.3
                    @Override // android.view.View.OnClickListener
                    public void onClick(View v) {
                        if (BottomDialog.this.otherButtonClickListener != null) {
                            if (BottomDialog.this.otherButtonClickListener.onClick(BottomDialog.this.f971me, v)) {
                                return;
                            }
                            BottomDialog.this.dismiss();
                            return;
                        }
                        BottomDialog.this.dismiss();
                    }
                });
            }
            TextView textView6 = this.btnSelectPositive;
            if (textView6 != null) {
                textView6.setOnClickListener(new View.OnClickListener() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.DialogImpl.4
                    @Override // android.view.View.OnClickListener
                    public void onClick(View v) {
                        if (BottomDialog.this.okButtonClickListener != null) {
                            if (BottomDialog.this.okButtonClickListener.onClick(BottomDialog.this.f971me, v)) {
                                return;
                            }
                            BottomDialog.this.dismiss();
                            return;
                        }
                        BottomDialog.this.dismiss();
                    }
                });
            }
            if (this.imgSplit != null) {
                int overrideMenuDividerDrawableRes = BottomDialog.this.style.overrideBottomDialogRes().overrideMenuDividerDrawableRes(BottomDialog.this.isLightTheme());
                int overrideMenuDividerHeight = BottomDialog.this.style.overrideBottomDialogRes().overrideMenuDividerHeight(BottomDialog.this.isLightTheme());
                if (overrideMenuDividerDrawableRes != 0) {
                    this.imgSplit.setBackgroundResource(overrideMenuDividerDrawableRes);
                }
                if (overrideMenuDividerHeight != 0) {
                    ViewGroup.LayoutParams layoutParams = this.imgSplit.getLayoutParams();
                    layoutParams.height = overrideMenuDividerHeight;
                    this.imgSplit.setLayoutParams(layoutParams);
                }
            }
            this.boxRoot.setOnBackPressedListener(new DialogXBaseRelativeLayout.PrivateBackPressedListener() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.DialogImpl.5
                @Override // com.kongzue.dialogx.util.views.DialogXBaseRelativeLayout.PrivateBackPressedListener
                public boolean onBackPressed() {
                    if (BottomDialog.this.onBackPressedListener != null) {
                        if (BottomDialog.this.onBackPressedListener.onBackPressed(BottomDialog.this.f971me)) {
                            BottomDialog.this.dismiss();
                            return true;
                        }
                        return true;
                    } else if (BottomDialog.this.isCancelable()) {
                        BottomDialog.this.dismiss();
                        return true;
                    } else {
                        return true;
                    }
                }
            });
            this.boxBkg.post(new Runnable() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.DialogImpl.6
                @Override // java.lang.Runnable
                public void run() {
                    DialogImpl.this.getDialogXAnimImpl().doShowAnim(BottomDialog.this, new ObjectRunnable<Float>() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.DialogImpl.6.1
                        @Override // com.kongzue.dialogx.util.ObjectRunnable
                        public void run(Float value) {
                            DialogImpl.this.boxRoot.setBkgAlpha(value.floatValue());
                            if (value.floatValue() == 1.0f) {
                                DialogImpl.this.bottomDialogTouchEventInterceptor = new BottomDialogTouchEventInterceptor(BottomDialog.this.f971me, BottomDialog.this.dialogImpl);
                            }
                        }
                    });
                }
            });
            BottomDialog.this.onDialogInit();
        }

        @Override // com.kongzue.dialogx.interfaces.DialogConvertViewInterface
        public void refreshView() {
            if (this.boxRoot == null || BaseDialog.getTopActivity() == null) {
                return;
            }
            if (BottomDialog.this.backgroundColor != -1) {
                BottomDialog bottomDialog = BottomDialog.this;
                bottomDialog.tintColor(this.bkg, bottomDialog.backgroundColor);
                BlurView blurView = this.blurView;
                if (blurView != null && this.cancelBlurView != null) {
                    blurView.setOverlayColor(BottomDialog.this.backgroundColor);
                    this.cancelBlurView.setOverlayColor(BottomDialog.this.backgroundColor);
                }
                BottomDialog bottomDialog2 = BottomDialog.this;
                bottomDialog2.tintColor(this.btnSelectOther, bottomDialog2.backgroundColor);
                BottomDialog bottomDialog3 = BottomDialog.this;
                bottomDialog3.tintColor(this.btnCancel, bottomDialog3.backgroundColor);
                BottomDialog bottomDialog4 = BottomDialog.this;
                bottomDialog4.tintColor(this.btnSelectPositive, bottomDialog4.backgroundColor);
            }
            BottomDialog bottomDialog5 = BottomDialog.this;
            bottomDialog5.showText(this.txtDialogTitle, bottomDialog5.title);
            BottomDialog bottomDialog6 = BottomDialog.this;
            bottomDialog6.showText(this.txtDialogTip, bottomDialog6.message);
            BaseDialog.useTextInfo(this.txtDialogTitle, BottomDialog.this.titleTextInfo);
            BaseDialog.useTextInfo(this.txtDialogTip, BottomDialog.this.messageTextInfo);
            BaseDialog.useTextInfo(this.btnCancel, BottomDialog.this.cancelTextInfo);
            BaseDialog.useTextInfo(this.btnSelectOther, BottomDialog.this.otherTextInfo);
            BaseDialog.useTextInfo(this.btnSelectPositive, BottomDialog.this.okTextInfo);
            if (BottomDialog.this.titleIcon != null) {
                int textSize = (int) this.txtDialogTitle.getTextSize();
                BottomDialog.this.titleIcon.setBounds(0, 0, textSize, textSize);
                this.txtDialogTitle.setCompoundDrawablePadding(BottomDialog.this.dip2px(10.0f));
                this.txtDialogTitle.setCompoundDrawables(BottomDialog.this.titleIcon, null, null, null);
            }
            if (BottomDialog.this.bkgInterceptTouch) {
                if (BottomDialog.this.isCancelable()) {
                    this.boxRoot.setOnClickListener(new View.OnClickListener() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.DialogImpl.7
                        @Override // android.view.View.OnClickListener
                        public void onClick(View v) {
                            if (BottomDialog.this.onBackgroundMaskClickListener == null || !BottomDialog.this.onBackgroundMaskClickListener.onClick(BottomDialog.this.f971me, v)) {
                                DialogImpl.this.doDismiss(v);
                            }
                        }
                    });
                } else {
                    this.boxRoot.setOnClickListener(null);
                }
            } else {
                this.boxRoot.setClickable(false);
            }
            this.boxBkg.setOnClickListener(new View.OnClickListener() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.DialogImpl.8
                @Override // android.view.View.OnClickListener
                public void onClick(View v) {
                    DialogImpl.this.boxRoot.callOnClick();
                }
            });
            if (BottomDialog.this.backgroundRadius > -1.0f) {
                GradientDrawable gradientDrawable = (GradientDrawable) this.bkg.getBackground();
                if (gradientDrawable != null) {
                    gradientDrawable.setCornerRadii(new float[]{BottomDialog.this.backgroundRadius, BottomDialog.this.backgroundRadius, BottomDialog.this.backgroundRadius, BottomDialog.this.backgroundRadius, 0.0f, 0.0f, 0.0f, 0.0f});
                }
                if (Build.VERSION.SDK_INT >= 21) {
                    this.bkg.setOutlineProvider(new ViewOutlineProvider() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.DialogImpl.9
                        @Override // android.view.ViewOutlineProvider
                        public void getOutline(View view, Outline outline) {
                            outline.setRoundRect(0, 0, view.getWidth(), (int) (view.getHeight() + BottomDialog.this.backgroundRadius), BottomDialog.this.backgroundRadius);
                        }
                    });
                    this.bkg.setClipToOutline(true);
                }
            }
            if (BottomDialog.this.maskColor != -1) {
                this.boxRoot.setBackground(new ColorDrawable(BottomDialog.this.maskColor));
            }
            if (BottomDialog.this.onBindView != null && BottomDialog.this.onBindView.getCustomView() != null) {
                BottomDialog.this.onBindView.bindParent(this.boxCustom, BottomDialog.this.f971me);
                if (BottomDialog.this.onBindView.getCustomView() instanceof ScrollController) {
                    ScrollController scrollController = this.scrollView;
                    if (scrollController instanceof BottomDialogScrollView) {
                        ((BottomDialogScrollView) scrollController).setVerticalScrollBarEnabled(false);
                    }
                    this.scrollView = (ScrollController) BottomDialog.this.onBindView.getCustomView();
                } else {
                    View findViewWithTag = BottomDialog.this.onBindView.getCustomView().findViewWithTag("ScrollController");
                    if (findViewWithTag instanceof ScrollController) {
                        ScrollController scrollController2 = this.scrollView;
                        if (scrollController2 instanceof BottomDialogScrollView) {
                            ((BottomDialogScrollView) scrollController2).setVerticalScrollBarEnabled(false);
                        }
                        this.scrollView = (ScrollController) findViewWithTag;
                    }
                }
            }
            if (BottomDialog.this.isAllowInterceptTouch() && BottomDialog.this.isCancelable()) {
                ImageView imageView = this.imgTab;
                if (imageView != null) {
                    imageView.setVisibility(0);
                }
            } else {
                ImageView imageView2 = this.imgTab;
                if (imageView2 != null) {
                    imageView2.setVisibility(8);
                }
            }
            BottomDialogTouchEventInterceptor bottomDialogTouchEventInterceptor = this.bottomDialogTouchEventInterceptor;
            if (bottomDialogTouchEventInterceptor != null) {
                bottomDialogTouchEventInterceptor.refresh(BottomDialog.this.f971me, this);
            }
            if (this.imgSplit != null) {
                if (this.txtDialogTitle.getVisibility() == 0 || this.txtDialogTip.getVisibility() == 0) {
                    this.imgSplit.setVisibility(0);
                } else {
                    this.imgSplit.setVisibility(8);
                }
            }
            if (this.boxCancel != null) {
                if (BaseDialog.isNull(BottomDialog.this.cancelText)) {
                    this.boxCancel.setVisibility(8);
                } else {
                    this.boxCancel.setVisibility(0);
                }
            }
            BottomDialog bottomDialog7 = BottomDialog.this;
            bottomDialog7.showText(this.btnSelectPositive, bottomDialog7.okText);
            BottomDialog bottomDialog8 = BottomDialog.this;
            bottomDialog8.showText(this.btnCancel, bottomDialog8.cancelText);
            BottomDialog bottomDialog9 = BottomDialog.this;
            bottomDialog9.showText(this.btnSelectOther, bottomDialog9.otherText);
            BottomDialog.this.onDialogRefreshUI();
        }

        @Override // com.kongzue.dialogx.interfaces.DialogConvertViewInterface
        public void doDismiss(View v) {
            if (v != null) {
                v.setEnabled(false);
            }
            if (BaseDialog.getTopActivity() == null || BottomDialog.this.dismissAnimFlag) {
                return;
            }
            BottomDialog.this.dismissAnimFlag = true;
            getDialogXAnimImpl().doExitAnim(BottomDialog.this, new ObjectRunnable<Float>() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.DialogImpl.10
                @Override // com.kongzue.dialogx.util.ObjectRunnable
                public void run(Float animatedValue) {
                    if (DialogImpl.this.boxRoot != null) {
                        DialogImpl.this.boxRoot.setBkgAlpha(animatedValue.floatValue());
                    }
                    if (animatedValue.floatValue() == 0.0f) {
                        if (DialogImpl.this.boxRoot != null) {
                            DialogImpl.this.boxRoot.setVisibility(8);
                        }
                        BottomDialog.dismiss(BottomDialog.this.dialogView);
                    }
                }
            });
            BottomDialog.runOnMainDelay(new Runnable() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.DialogImpl.11
                @Override // java.lang.Runnable
                public void run() {
                }
            }, this.exitAnimDurationTemp);
        }

        public void preDismiss() {
            if (BottomDialog.this.isCancelable()) {
                doDismiss(this.boxRoot);
                return;
            }
            long j = BottomDialog.overrideExitDuration >= 0 ? BottomDialog.overrideExitDuration : 300L;
            if (BottomDialog.this.exitAnimDuration >= 0) {
                j = BottomDialog.this.exitAnimDuration;
            }
            RelativeLayout relativeLayout = this.boxBkg;
            ObjectAnimator ofFloat = ObjectAnimator.ofFloat(relativeLayout, "y", relativeLayout.getY(), this.boxRoot.getUnsafePlace().top);
            ofFloat.setDuration(j);
            ofFloat.start();
        }

        protected DialogXAnimInterface<BottomDialog> getDialogXAnimImpl() {
            if (BottomDialog.this.dialogXAnimImpl == null) {
                BottomDialog.this.dialogXAnimImpl = new DialogXAnimInterface<BottomDialog>() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.DialogImpl.12
                    @Override // com.kongzue.dialogx.interfaces.DialogXAnimInterface
                    public /* bridge */ /* synthetic */ void doExitAnim(BottomDialog dialog, ObjectRunnable animProgress) {
                        doExitAnim2(dialog, (ObjectRunnable<Float>) animProgress);
                    }

                    @Override // com.kongzue.dialogx.interfaces.DialogXAnimInterface
                    public /* bridge */ /* synthetic */ void doShowAnim(BottomDialog dialog, ObjectRunnable animProgress) {
                        doShowAnim2(dialog, (ObjectRunnable<Float>) animProgress);
                    }

                    /* renamed from: doShowAnim  reason: avoid collision after fix types in other method */
                    public void doShowAnim2(BottomDialog dialog, final ObjectRunnable<Float> animProgress) {
                        float height;
                        float f;
                        DialogImpl dialogImpl;
                        float height2;
                        float f2;
                        float f3 = 0.0f;
                        if (dialog.isAllowInterceptTouch()) {
                            if (BottomDialog.this.bottomDialogMaxHeight > 0.0f && BottomDialog.this.bottomDialogMaxHeight <= 1.0f) {
                                height2 = DialogImpl.this.boxBkg.getHeight();
                                f2 = BottomDialog.this.bottomDialogMaxHeight * DialogImpl.this.boxBkg.getHeight();
                            } else if (BottomDialog.this.bottomDialogMaxHeight > 1.0f) {
                                height2 = DialogImpl.this.boxBkg.getHeight();
                                f2 = BottomDialog.this.bottomDialogMaxHeight;
                            }
                            f3 = height2 - f2;
                        } else {
                            if (BottomDialog.this.bottomDialogMaxHeight > 0.0f && BottomDialog.this.bottomDialogMaxHeight <= 1.0f) {
                                height = DialogImpl.this.boxBkg.getHeight();
                                f = BottomDialog.this.bottomDialogMaxHeight * DialogImpl.this.boxBkg.getHeight();
                            } else {
                                if (BottomDialog.this.bottomDialogMaxHeight > 1.0f) {
                                    height = DialogImpl.this.boxBkg.getHeight();
                                    f = BottomDialog.this.bottomDialogMaxHeight;
                                }
                                DialogImpl.this.boxBkg.setPadding(0, 0, 0, (int) f3);
                            }
                            f3 = height - f;
                            DialogImpl.this.boxBkg.setPadding(0, 0, 0, (int) f3);
                        }
                        RelativeLayout relativeLayout = DialogImpl.this.boxBkg;
                        float f4 = dialogImpl.boxRoot.getUnsafePlace().top + f3;
                        DialogImpl.this.bkgEnterAimY = f4;
                        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(relativeLayout, "y", DialogImpl.this.boxBkg.getY(), f4);
                        long j = BottomDialog.overrideEnterDuration >= 0 ? BottomDialog.overrideEnterDuration : 300L;
                        if (BottomDialog.this.enterAnimDuration >= 0) {
                            j = BottomDialog.this.enterAnimDuration;
                        }
                        ofFloat.setDuration(j);
                        ofFloat.setAutoCancel(true);
                        ofFloat.setInterpolator(new DecelerateInterpolator(2.0f));
                        ofFloat.start();
                        ValueAnimator ofFloat2 = ValueAnimator.ofFloat(0.0f, 1.0f);
                        ofFloat2.setDuration(j);
                        ofFloat2.addUpdateListener(new ValueAnimator.AnimatorUpdateListener() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.DialogImpl.12.1
                            @Override // android.animation.ValueAnimator.AnimatorUpdateListener
                            public void onAnimationUpdate(ValueAnimator animation) {
                                animProgress.run((Float) animation.getAnimatedValue());
                            }
                        });
                        ofFloat2.start();
                    }

                    /* renamed from: doExitAnim  reason: avoid collision after fix types in other method */
                    public void doExitAnim2(BottomDialog dialog, final ObjectRunnable<Float> animProgress) {
                        if (BottomDialog.overrideExitDuration >= 0) {
                            DialogImpl.this.exitAnimDurationTemp = BottomDialog.overrideExitDuration;
                        }
                        if (BottomDialog.this.exitAnimDuration >= 0) {
                            DialogImpl dialogImpl = DialogImpl.this;
                            dialogImpl.exitAnimDurationTemp = BottomDialog.this.exitAnimDuration;
                        }
                        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(DialogImpl.this.boxBkg, "y", DialogImpl.this.boxBkg.getY(), DialogImpl.this.boxBkg.getHeight());
                        ofFloat.setDuration(DialogImpl.this.exitAnimDurationTemp);
                        ofFloat.start();
                        ValueAnimator ofFloat2 = ValueAnimator.ofFloat(1.0f, 0.0f);
                        ofFloat2.setDuration(DialogImpl.this.exitAnimDurationTemp);
                        ofFloat2.addUpdateListener(new ValueAnimator.AnimatorUpdateListener() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.DialogImpl.12.2
                            @Override // android.animation.ValueAnimator.AnimatorUpdateListener
                            public void onAnimationUpdate(ValueAnimator animation) {
                                animProgress.run((Float) animation.getAnimatedValue());
                            }
                        });
                        ofFloat2.start();
                    }
                };
            }
            return BottomDialog.this.dialogXAnimImpl;
        }
    }

    public void refreshUI() {
        if (getDialogImpl() == null) {
            return;
        }
        runOnMain(new Runnable() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.2
            @Override // java.lang.Runnable
            public void run() {
                if (BottomDialog.this.dialogImpl != null) {
                    BottomDialog.this.dialogImpl.refreshView();
                }
            }
        });
    }

    public void dismiss() {
        runOnMain(new Runnable() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.3
            @Override // java.lang.Runnable
            public void run() {
                if (BottomDialog.this.dialogImpl == null) {
                    return;
                }
                BottomDialog.this.dialogImpl.doDismiss(null);
            }
        });
    }

    public DialogLifecycleCallback<BottomDialog> getDialogLifecycleCallback() {
        DialogLifecycleCallback<BottomDialog> dialogLifecycleCallback = this.dialogLifecycleCallback;
        return dialogLifecycleCallback == null ? new DialogLifecycleCallback<BottomDialog>() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.4
        } : dialogLifecycleCallback;
    }

    public BottomDialog setDialogLifecycleCallback(DialogLifecycleCallback<BottomDialog> dialogLifecycleCallback) {
        this.dialogLifecycleCallback = dialogLifecycleCallback;
        if (this.isShow) {
            dialogLifecycleCallback.onShow(this.f971me);
        }
        return this;
    }

    public OnBackPressedListener<BottomDialog> getOnBackPressedListener() {
        return this.onBackPressedListener;
    }

    public BottomDialog setOnBackPressedListener(OnBackPressedListener<BottomDialog> onBackPressedListener) {
        this.onBackPressedListener = onBackPressedListener;
        refreshUI();
        return this;
    }

    public BottomDialog setStyle(DialogXStyle style) {
        this.style = style;
        return this;
    }

    public BottomDialog setTheme(DialogX.THEME theme) {
        this.theme = theme;
        return this;
    }

    @Override // com.kongzue.dialogx.interfaces.BaseDialog
    public boolean isCancelable() {
        BaseDialog.BOOLEAN r0 = this.privateCancelable;
        if (r0 != null) {
            return r0 == BaseDialog.BOOLEAN.TRUE;
        }
        BaseDialog.BOOLEAN r02 = overrideCancelable;
        if (r02 != null) {
            return r02 == BaseDialog.BOOLEAN.TRUE;
        }
        return this.cancelable;
    }

    public BottomDialog setCancelable(boolean cancelable) {
        this.privateCancelable = cancelable ? BaseDialog.BOOLEAN.TRUE : BaseDialog.BOOLEAN.FALSE;
        refreshUI();
        return this;
    }

    public DialogImpl getDialogImpl() {
        return this.dialogImpl;
    }

    public CharSequence getTitle() {
        return this.title;
    }

    public BottomDialog setTitle(CharSequence title) {
        this.title = title;
        refreshUI();
        return this;
    }

    public BottomDialog setTitle(int titleResId) {
        this.title = getString(titleResId);
        refreshUI();
        return this;
    }

    public CharSequence getMessage() {
        return this.message;
    }

    public BottomDialog setMessage(CharSequence message) {
        this.message = message;
        refreshUI();
        return this;
    }

    public BottomDialog setMessage(int messageResId) {
        this.message = getString(messageResId);
        refreshUI();
        return this;
    }

    public CharSequence getCancelButton() {
        return this.cancelText;
    }

    public BottomDialog setCancelButton(CharSequence cancelText) {
        this.cancelText = cancelText;
        refreshUI();
        return this;
    }

    public BottomDialog setCancelButton(int cancelTextResId) {
        this.cancelText = getString(cancelTextResId);
        refreshUI();
        return this;
    }

    public BottomDialog setCancelButton(OnDialogButtonClickListener<BottomDialog> cancelButtonClickListener) {
        this.cancelButtonClickListener = cancelButtonClickListener;
        return this;
    }

    public BottomDialog setCancelButton(CharSequence cancelText, OnDialogButtonClickListener<BottomDialog> cancelButtonClickListener) {
        this.cancelText = cancelText;
        this.cancelButtonClickListener = cancelButtonClickListener;
        refreshUI();
        return this;
    }

    public BottomDialog setCancelButton(int cancelTextResId, OnDialogButtonClickListener<BottomDialog> cancelButtonClickListener) {
        this.cancelText = getString(cancelTextResId);
        this.cancelButtonClickListener = cancelButtonClickListener;
        refreshUI();
        return this;
    }

    public BottomDialog setCustomView(OnBindView<BottomDialog> onBindView) {
        this.onBindView = onBindView;
        refreshUI();
        return this;
    }

    public View getCustomView() {
        OnBindView<BottomDialog> onBindView = this.onBindView;
        if (onBindView == null) {
            return null;
        }
        return onBindView.getCustomView();
    }

    public BottomDialog removeCustomView() {
        this.onBindView.clean();
        refreshUI();
        return this;
    }

    public boolean isAllowInterceptTouch() {
        return this.style.overrideBottomDialogRes() != null && this.allowInterceptTouch && this.style.overrideBottomDialogRes().touchSlide();
    }

    public BottomDialog setAllowInterceptTouch(boolean allowInterceptTouch) {
        this.allowInterceptTouch = allowInterceptTouch;
        refreshUI();
        return this;
    }

    public OnDialogButtonClickListener<BottomDialog> getCancelButtonClickListener() {
        return this.cancelButtonClickListener;
    }

    public BottomDialog setCancelButtonClickListener(OnDialogButtonClickListener<BottomDialog> cancelButtonClickListener) {
        this.cancelButtonClickListener = cancelButtonClickListener;
        return this;
    }

    public TextInfo getTitleTextInfo() {
        return this.titleTextInfo;
    }

    public BottomDialog setTitleTextInfo(TextInfo titleTextInfo) {
        this.titleTextInfo = titleTextInfo;
        refreshUI();
        return this;
    }

    public TextInfo getMessageTextInfo() {
        return this.messageTextInfo;
    }

    public BottomDialog setMessageTextInfo(TextInfo messageTextInfo) {
        this.messageTextInfo = messageTextInfo;
        refreshUI();
        return this;
    }

    public TextInfo getCancelTextInfo() {
        return this.cancelTextInfo;
    }

    public BottomDialog setCancelTextInfo(TextInfo cancelTextInfo) {
        this.cancelTextInfo = cancelTextInfo;
        refreshUI();
        return this;
    }

    public int getBackgroundColor() {
        return this.backgroundColor;
    }

    public BottomDialog setBackgroundColor(int backgroundColor) {
        this.backgroundColor = backgroundColor;
        refreshUI();
        return this;
    }

    public BottomDialog setBackgroundColorRes(int backgroundRes) {
        this.backgroundColor = getColor(backgroundRes);
        refreshUI();
        return this;
    }

    public CharSequence getOkButton() {
        return this.okText;
    }

    public BottomDialog setOkButton(CharSequence okText) {
        this.okText = okText;
        refreshUI();
        return this;
    }

    public BottomDialog setOkButton(int OkTextResId) {
        this.okText = getString(OkTextResId);
        refreshUI();
        return this;
    }

    public BottomDialog setOkButton(OnDialogButtonClickListener<BottomDialog> OkButtonClickListener) {
        this.okButtonClickListener = OkButtonClickListener;
        return this;
    }

    public BottomDialog setOkButton(CharSequence OkText, OnDialogButtonClickListener<BottomDialog> OkButtonClickListener) {
        this.okText = OkText;
        this.okButtonClickListener = OkButtonClickListener;
        refreshUI();
        return this;
    }

    public BottomDialog setOkButton(int OkTextResId, OnDialogButtonClickListener<BottomDialog> OkButtonClickListener) {
        this.okText = getString(OkTextResId);
        this.okButtonClickListener = OkButtonClickListener;
        refreshUI();
        return this;
    }

    public CharSequence getOtherButton() {
        return this.otherText;
    }

    public BottomDialog setOtherButton(CharSequence otherText) {
        this.otherText = otherText;
        refreshUI();
        return this;
    }

    public BottomDialog setOtherButton(int OtherTextResId) {
        this.otherText = getString(OtherTextResId);
        refreshUI();
        return this;
    }

    public BottomDialog setOtherButton(OnDialogButtonClickListener<BottomDialog> OtherButtonClickListener) {
        this.otherButtonClickListener = OtherButtonClickListener;
        return this;
    }

    public BottomDialog setOtherButton(CharSequence OtherText, OnDialogButtonClickListener<BottomDialog> OtherButtonClickListener) {
        this.otherText = OtherText;
        this.otherButtonClickListener = OtherButtonClickListener;
        refreshUI();
        return this;
    }

    public BottomDialog setOtherButton(int OtherTextResId, OnDialogButtonClickListener<BottomDialog> OtherButtonClickListener) {
        this.otherText = getString(OtherTextResId);
        this.otherButtonClickListener = OtherButtonClickListener;
        refreshUI();
        return this;
    }

    public BottomDialog setMaskColor(int maskColor) {
        this.maskColor = maskColor;
        refreshUI();
        return this;
    }

    public long getEnterAnimDuration() {
        return this.enterAnimDuration;
    }

    public BottomDialog setEnterAnimDuration(long enterAnimDuration) {
        this.enterAnimDuration = enterAnimDuration;
        return this;
    }

    public long getExitAnimDuration() {
        return this.exitAnimDuration;
    }

    public BottomDialog setExitAnimDuration(long exitAnimDuration) {
        this.exitAnimDuration = exitAnimDuration;
        return this;
    }

    @Override // com.kongzue.dialogx.interfaces.BaseDialog
    public void restartDialog() {
        View view = this.dialogView;
        if (view != null) {
            dismiss(view);
            this.isShow = false;
        }
        if (getDialogImpl().boxCustom != null) {
            getDialogImpl().boxCustom.removeAllViews();
        }
        if (getDialogImpl().boxList != null) {
            getDialogImpl().boxList.removeAllViews();
        }
        int i2 = isLightTheme() ? R.layout.layout_dialogx_bottom_material : R.layout.layout_dialogx_bottom_material_dark;
        if (this.style.overrideBottomDialogRes() != null) {
            i2 = this.style.overrideBottomDialogRes().overrideDialogLayout(isLightTheme());
        }
        this.enterAnimDuration = 0L;
        this.dialogView = createView(i2);
        this.dialogImpl = new DialogImpl(this.dialogView);
        View view2 = this.dialogView;
        if (view2 != null) {
            view2.setTag(this.f971me);
        }
        show(this.dialogView);
    }

    public void hide() {
        this.isHide = true;
        this.hideWithExitAnim = false;
        if (getDialogView() != null) {
            getDialogView().setVisibility(8);
        }
    }

    public void hideWithExitAnim() {
        this.hideWithExitAnim = true;
        this.isHide = true;
        if (getDialogImpl() != null) {
            getDialogImpl().getDialogXAnimImpl().doExitAnim(this.f971me, new ObjectRunnable<Float>() { // from class: com.kongzue.dialogx.dialogs.BottomDialog.5
                @Override // com.kongzue.dialogx.util.ObjectRunnable
                public void run(Float value) {
                    if (BottomDialog.this.getDialogImpl().boxRoot != null) {
                        BottomDialog.this.getDialogImpl().boxRoot.setBkgAlpha(value.floatValue());
                    }
                    if (value.floatValue() != 0.0f || BottomDialog.this.getDialogView() == null) {
                        return;
                    }
                    BottomDialog.this.getDialogView().setVisibility(8);
                }
            });
        }
    }

    @Override // com.kongzue.dialogx.interfaces.BaseDialog
    protected void shutdown() {
        dismiss();
    }

    public float getBottomDialogMaxHeight() {
        return this.bottomDialogMaxHeight;
    }

    public BottomDialog setBottomDialogMaxHeight(float bottomDialogMaxHeight) {
        this.bottomDialogMaxHeight = bottomDialogMaxHeight;
        return this;
    }

    public BottomDialog setMaxWidth(int maxWidth) {
        this.maxWidth = maxWidth;
        refreshUI();
        return this;
    }

    public BottomDialog setDialogImplMode(DialogX.IMPL_MODE dialogImplMode) {
        this.dialogImplMode = dialogImplMode;
        return this;
    }

    public boolean isBkgInterceptTouch() {
        return this.bkgInterceptTouch;
    }

    public BottomDialog setBkgInterceptTouch(boolean bkgInterceptTouch) {
        this.bkgInterceptTouch = bkgInterceptTouch;
        return this;
    }

    public OnBackgroundMaskClickListener<BottomDialog> getOnBackgroundMaskClickListener() {
        return this.onBackgroundMaskClickListener;
    }

    public BottomDialog setOnBackgroundMaskClickListener(OnBackgroundMaskClickListener<BottomDialog> onBackgroundMaskClickListener) {
        this.onBackgroundMaskClickListener = onBackgroundMaskClickListener;
        return this;
    }

    public BottomDialog setRadius(float radiusPx) {
        this.backgroundRadius = radiusPx;
        refreshUI();
        return this;
    }

    public float getRadius() {
        return this.backgroundRadius;
    }

    public Drawable getTitleIcon() {
        return this.titleIcon;
    }

    public BottomDialog setTitleIcon(Bitmap titleIcon) {
        this.titleIcon = new BitmapDrawable(getResources(), titleIcon);
        refreshUI();
        return this;
    }

    public BottomDialog setTitleIcon(int titleIconResId) {
        this.titleIcon = getResources().getDrawable(titleIconResId);
        refreshUI();
        return this;
    }

    public BottomDialog setTitleIcon(Drawable titleIcon) {
        this.titleIcon = titleIcon;
        refreshUI();
        return this;
    }

    public DialogXAnimInterface<BottomDialog> getDialogXAnimImpl() {
        return this.dialogXAnimImpl;
    }

    public BottomDialog setDialogXAnimImpl(DialogXAnimInterface<BottomDialog> dialogXAnimImpl) {
        this.dialogXAnimImpl = dialogXAnimImpl;
        return this;
    }
}
