package com.kongzue.dialogx.dialogs;

import android.graphics.Bitmap;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.view.MotionEvent;
import android.view.View;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.ListAdapter;
import android.widget.RelativeLayout;
import com.kongzue.dialogx.DialogX;
import com.kongzue.dialogx.R;
import com.kongzue.dialogx.dialogs.BottomDialog;
import com.kongzue.dialogx.interfaces.BaseDialog;
import com.kongzue.dialogx.interfaces.BottomMenuListViewTouchEvent;
import com.kongzue.dialogx.interfaces.DialogLifecycleCallback;
import com.kongzue.dialogx.interfaces.DialogXAnimInterface;
import com.kongzue.dialogx.interfaces.DialogXStyle;
import com.kongzue.dialogx.interfaces.MenuItemTextInfoInterceptor;
import com.kongzue.dialogx.interfaces.OnBackPressedListener;
import com.kongzue.dialogx.interfaces.OnBackgroundMaskClickListener;
import com.kongzue.dialogx.interfaces.OnBindView;
import com.kongzue.dialogx.interfaces.OnDialogButtonClickListener;
import com.kongzue.dialogx.interfaces.OnIconChangeCallBack;
import com.kongzue.dialogx.interfaces.OnMenuItemClickListener;
import com.kongzue.dialogx.interfaces.OnMenuItemSelectListener;
import com.kongzue.dialogx.util.BottomMenuArrayAdapter;
import com.kongzue.dialogx.util.TextInfo;
import com.kongzue.dialogx.util.views.BottomDialogListView;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
/* loaded from: classes10.dex */
public class BottomMenu extends BottomDialog {
    public static final int ITEM_CLICK_DELAY = 100;
    private BottomDialogListView listView;
    private MenuItemTextInfoInterceptor<BottomMenu> menuItemTextInfoInterceptor;
    private List<CharSequence> menuList;
    private BaseAdapter menuListAdapter;
    private OnIconChangeCallBack<BottomMenu> onIconChangeCallBack;
    protected OnMenuItemClickListener<BottomMenu> onMenuItemClickListener;
    protected ArrayList<Integer> selectionItems;
    private float touchDownY;

    /* renamed from: me  reason: collision with root package name */
    protected BottomMenu f972me = this;
    protected int selectionIndex = -1;
    protected SELECT_MODE selectMode = SELECT_MODE.NONE;
    private long lastClickTime = 0;

    /* loaded from: classes10.dex */
    public enum SELECT_MODE {
        NONE,
        SINGLE,
        MULTIPLE
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public /* bridge */ /* synthetic */ BottomDialog setCustomView(OnBindView onBindView) {
        return setCustomView((OnBindView<BottomDialog>) onBindView);
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public /* bridge */ /* synthetic */ BottomDialog setDialogLifecycleCallback(DialogLifecycleCallback dialogLifecycleCallback) {
        return setDialogLifecycleCallback((DialogLifecycleCallback<BottomDialog>) dialogLifecycleCallback);
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public /* bridge */ /* synthetic */ BottomDialog setDialogXAnimImpl(DialogXAnimInterface dialogXAnimImpl) {
        return setDialogXAnimImpl((DialogXAnimInterface<BottomDialog>) dialogXAnimImpl);
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public /* bridge */ /* synthetic */ BottomDialog setOkButton(int OkTextResId, OnDialogButtonClickListener OkButtonClickListener) {
        return setOkButton(OkTextResId, (OnDialogButtonClickListener<BottomDialog>) OkButtonClickListener);
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public /* bridge */ /* synthetic */ BottomDialog setOkButton(OnDialogButtonClickListener OkButtonClickListener) {
        return setOkButton((OnDialogButtonClickListener<BottomDialog>) OkButtonClickListener);
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public /* bridge */ /* synthetic */ BottomDialog setOkButton(CharSequence OkText, OnDialogButtonClickListener OkButtonClickListener) {
        return setOkButton(OkText, (OnDialogButtonClickListener<BottomDialog>) OkButtonClickListener);
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public /* bridge */ /* synthetic */ BottomDialog setOnBackPressedListener(OnBackPressedListener onBackPressedListener) {
        return setOnBackPressedListener((OnBackPressedListener<BottomDialog>) onBackPressedListener);
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public /* bridge */ /* synthetic */ BottomDialog setOnBackgroundMaskClickListener(OnBackgroundMaskClickListener onBackgroundMaskClickListener) {
        return setOnBackgroundMaskClickListener((OnBackgroundMaskClickListener<BottomDialog>) onBackgroundMaskClickListener);
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public /* bridge */ /* synthetic */ BottomDialog setOtherButton(int OtherTextResId, OnDialogButtonClickListener OtherButtonClickListener) {
        return setOtherButton(OtherTextResId, (OnDialogButtonClickListener<BottomDialog>) OtherButtonClickListener);
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public /* bridge */ /* synthetic */ BottomDialog setOtherButton(OnDialogButtonClickListener OtherButtonClickListener) {
        return setOtherButton((OnDialogButtonClickListener<BottomDialog>) OtherButtonClickListener);
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public /* bridge */ /* synthetic */ BottomDialog setOtherButton(CharSequence OtherText, OnDialogButtonClickListener OtherButtonClickListener) {
        return setOtherButton(OtherText, (OnDialogButtonClickListener<BottomDialog>) OtherButtonClickListener);
    }

    public static BottomMenu build() {
        return new BottomMenu();
    }

    public static BottomMenu build(DialogXStyle style) {
        return new BottomMenu().setStyle(style);
    }

    public static BottomMenu build(OnBindView<BottomDialog> onBindView) {
        return new BottomMenu().setCustomView(onBindView);
    }

    protected BottomMenu() {
    }

    public static BottomMenu show(List<CharSequence> menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(List<CharSequence> menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.setMenuList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu showStringList(List<String> menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.setMenuStringList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu showStringList(List<String> menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.setMenuStringList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(String[] menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(String[] menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.setMenuList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(CharSequence[] menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(CharSequence[] menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.setMenuList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(CharSequence title, CharSequence message, List<CharSequence> menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.message = message;
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(CharSequence title, CharSequence message, List<CharSequence> menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.message = message;
        bottomMenu.setMenuList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(CharSequence title, List<CharSequence> menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(CharSequence title, List<CharSequence> menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.setMenuList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu showStringList(CharSequence title, CharSequence message, List<String> menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.message = message;
        bottomMenu.setMenuStringList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu showStringList(CharSequence title, CharSequence message, List<String> menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.message = message;
        bottomMenu.setMenuStringList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(CharSequence title, CharSequence message, String[] menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.message = message;
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(CharSequence title, CharSequence message, String[] menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.message = message;
        bottomMenu.setMenuList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(CharSequence title, CharSequence message, CharSequence[] menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.message = message;
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(CharSequence title, CharSequence message, CharSequence[] menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.message = message;
        bottomMenu.setMenuList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(String title, String message, List<CharSequence> menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.message = message;
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(String title, String message, List<CharSequence> menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.message = message;
        bottomMenu.setMenuList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu showStringList(String title, String message, List<String> menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.message = message;
        bottomMenu.setMenuStringList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu showStringList(String title, String message, List<String> menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.message = message;
        bottomMenu.setMenuStringList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(String title, String message, String[] menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.message = message;
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(String title, String message, String[] menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.message = message;
        bottomMenu.setMenuList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(String title, String message, CharSequence[] menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.message = message;
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(String title, String message, CharSequence[] menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.message = message;
        bottomMenu.setMenuList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(int titleResId, int messageResId, List<CharSequence> menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = bottomMenu.getString(titleResId);
        bottomMenu.message = bottomMenu.getString(messageResId);
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(int titleResId, List<CharSequence> menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = bottomMenu.getString(titleResId);
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu showStringList(int titleResId, int messageResId, List<String> menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = bottomMenu.getString(titleResId);
        bottomMenu.message = bottomMenu.getString(messageResId);
        bottomMenu.setMenuStringList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(int titleResId, int messageResId, String[] menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = bottomMenu.getString(titleResId);
        bottomMenu.message = bottomMenu.getString(messageResId);
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(int titleResId, int messageResId, CharSequence[] menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = bottomMenu.getString(titleResId);
        bottomMenu.message = bottomMenu.getString(messageResId);
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(int titleResId, int messageResId, List<CharSequence> menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = bottomMenu.getString(titleResId);
        bottomMenu.message = bottomMenu.getString(messageResId);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(int titleResId, List<CharSequence> menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = bottomMenu.getString(titleResId);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu showStringList(int titleResId, int messageResId, List<String> menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = bottomMenu.getString(titleResId);
        bottomMenu.message = bottomMenu.getString(messageResId);
        bottomMenu.setMenuStringList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(int titleResId, int messageResId, String[] menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = bottomMenu.getString(titleResId);
        bottomMenu.message = bottomMenu.getString(messageResId);
        bottomMenu.setMenuList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(int titleResId, int messageResId, CharSequence[] menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = bottomMenu.getString(titleResId);
        bottomMenu.message = bottomMenu.getString(messageResId);
        bottomMenu.setMenuList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(CharSequence title, CharSequence[] menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(CharSequence title, String[] menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(CharSequence title, CharSequence[] menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.setMenuList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(CharSequence title, String[] menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = title;
        bottomMenu.setMenuList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(int titleResId, CharSequence[] menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = bottomMenu.getString(titleResId);
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(int titleResId, String[] menuList) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = bottomMenu.getString(titleResId);
        bottomMenu.setMenuList(menuList);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(int titleResId, CharSequence[] menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = bottomMenu.getString(titleResId);
        bottomMenu.setMenuList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    public static BottomMenu show(int titleResId, String[] menuList, OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        BottomMenu bottomMenu = new BottomMenu();
        bottomMenu.title = bottomMenu.getString(titleResId);
        bottomMenu.setMenuList(menuList);
        bottomMenu.setOnMenuItemClickListener(onMenuItemClickListener);
        bottomMenu.show();
        return bottomMenu;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.kongzue.dialogx.interfaces.BaseDialog
    public void onDialogShow() {
        int i2;
        int i3;
        if (getDialogImpl() != null) {
            getDialogImpl().boxList.setVisibility(0);
            if (!isAllowInterceptTouch()) {
                getDialogImpl().bkg.setMaxHeight((int) this.bottomDialogMaxHeight);
                if (this.bottomDialogMaxHeight != 0.0f) {
                    this.dialogImpl.scrollView.lockScroll(true);
                }
            }
            if (this.style.overrideBottomDialogRes() != null) {
                i2 = this.style.overrideBottomDialogRes().overrideMenuDividerDrawableRes(isLightTheme());
                i3 = this.style.overrideBottomDialogRes().overrideMenuDividerHeight(isLightTheme());
            } else {
                i2 = 0;
                i3 = 1;
            }
            if (i2 == 0) {
                i2 = isLightTheme() ? R.drawable.rect_dialogx_material_menu_split_divider : R.drawable.rect_dialogx_material_menu_split_divider_night;
            }
            if (!isLightTheme()) {
                this.listView = new BottomDialogListView(getDialogImpl(), getTopActivity(), R.style.DialogXCompatThemeDark);
            } else {
                this.listView = new BottomDialogListView(getDialogImpl(), getTopActivity());
            }
            this.listView.setOverScrollMode(2);
            this.listView.setDivider(getResources().getDrawable(i2));
            this.listView.setDividerHeight(i3);
            this.listView.setBottomMenuListViewTouchEvent(new BottomMenuListViewTouchEvent() { // from class: com.kongzue.dialogx.dialogs.BottomMenu.1
                @Override // com.kongzue.dialogx.interfaces.BottomMenuListViewTouchEvent
                public void down(MotionEvent event) {
                    BottomMenu bottomMenu = BottomMenu.this;
                    bottomMenu.touchDownY = bottomMenu.getDialogImpl().bkg.getY();
                }
            });
            this.listView.setOnItemClickListener(new AdapterView.OnItemClickListener() { // from class: com.kongzue.dialogx.dialogs.BottomMenu.2
                @Override // android.widget.AdapterView.OnItemClickListener
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    long currentTimeMillis = System.currentTimeMillis();
                    if (currentTimeMillis - BottomMenu.this.lastClickTime > 100) {
                        BottomMenu.this.lastClickTime = currentTimeMillis;
                        if (Math.abs(BottomMenu.this.touchDownY - BottomMenu.this.getDialogImpl().bkg.getY()) > BottomMenu.this.dip2px(15.0f)) {
                            return;
                        }
                        int i4 = AnonymousClass5.$SwitchMap$com$kongzue$dialogx$dialogs$BottomMenu$SELECT_MODE[BottomMenu.this.selectMode.ordinal()];
                        if (i4 == 1) {
                            if (BottomMenu.this.onMenuItemClickListener != null) {
                                if (BottomMenu.this.onMenuItemClickListener.onClick(BottomMenu.this.f972me, (CharSequence) BottomMenu.this.menuList.get(position), position)) {
                                    return;
                                }
                                BottomMenu.this.dismiss();
                                return;
                            }
                            BottomMenu.this.dismiss();
                        } else if (i4 == 2) {
                            if (BottomMenu.this.onMenuItemClickListener instanceof OnMenuItemSelectListener) {
                                OnMenuItemSelectListener onMenuItemSelectListener = (OnMenuItemSelectListener) BottomMenu.this.onMenuItemClickListener;
                                if (!onMenuItemSelectListener.onClick(BottomMenu.this.f972me, (CharSequence) BottomMenu.this.menuList.get(position), position)) {
                                    BottomMenu.this.dismiss();
                                    return;
                                }
                                BottomMenu.this.selectionIndex = position;
                                BottomMenu.this.menuListAdapter.notifyDataSetInvalidated();
                                onMenuItemSelectListener.onOneItemSelect(BottomMenu.this.f972me, (CharSequence) BottomMenu.this.menuList.get(position), position, true);
                            } else if (BottomMenu.this.onMenuItemClickListener != null) {
                                if (BottomMenu.this.onMenuItemClickListener.onClick(BottomMenu.this.f972me, (CharSequence) BottomMenu.this.menuList.get(position), position)) {
                                    return;
                                }
                                BottomMenu.this.dismiss();
                            } else {
                                BottomMenu.this.dismiss();
                            }
                        } else if (i4 == 3) {
                            if (BottomMenu.this.onMenuItemClickListener instanceof OnMenuItemSelectListener) {
                                OnMenuItemSelectListener onMenuItemSelectListener2 = (OnMenuItemSelectListener) BottomMenu.this.onMenuItemClickListener;
                                if (!onMenuItemSelectListener2.onClick(BottomMenu.this.f972me, (CharSequence) BottomMenu.this.menuList.get(position), position)) {
                                    BottomMenu.this.dismiss();
                                    return;
                                }
                                if (BottomMenu.this.selectionItems.contains(Integer.valueOf(position))) {
                                    BottomMenu.this.selectionItems.remove(new Integer(position));
                                } else {
                                    BottomMenu.this.selectionItems.add(Integer.valueOf(position));
                                }
                                BottomMenu.this.menuListAdapter.notifyDataSetInvalidated();
                                int[] iArr = new int[BottomMenu.this.selectionItems.size()];
                                CharSequence[] charSequenceArr = new CharSequence[BottomMenu.this.selectionItems.size()];
                                for (int i5 = 0; i5 < BottomMenu.this.selectionItems.size(); i5++) {
                                    iArr[i5] = BottomMenu.this.selectionItems.get(i5).intValue();
                                    charSequenceArr[i5] = (CharSequence) BottomMenu.this.menuList.get(iArr[i5]);
                                }
                                onMenuItemSelectListener2.onMultiItemSelect(BottomMenu.this.f972me, charSequenceArr, iArr);
                            } else if (BottomMenu.this.onMenuItemClickListener != null) {
                                if (BottomMenu.this.onMenuItemClickListener.onClick(BottomMenu.this.f972me, (CharSequence) BottomMenu.this.menuList.get(position), position)) {
                                    return;
                                }
                                BottomMenu.this.dismiss();
                            } else {
                                BottomMenu.this.dismiss();
                            }
                        }
                    }
                }
            });
            if (this.style.overrideBottomDialogRes() != null && this.style.overrideBottomDialogRes().overrideMenuItemLayout(true, 0, 0, false) != 0) {
                this.listView.setSelector(R.color.empty);
            }
            getDialogImpl().boxList.addView(this.listView, new RelativeLayout.LayoutParams(-1, -2));
            refreshUI();
            this.listView.post(new Runnable() { // from class: com.kongzue.dialogx.dialogs.BottomMenu.3
                @Override // java.lang.Runnable
                public void run() {
                    if (BottomMenu.this.menuListAdapter instanceof BottomMenuArrayAdapter) {
                        BottomMenuArrayAdapter bottomMenuArrayAdapter = (BottomMenuArrayAdapter) BottomMenu.this.menuListAdapter;
                        final View childAt = BottomMenu.this.listView.getChildAt(BottomMenu.this.getSelection());
                        if (childAt != null) {
                            childAt.post(new Runnable() { // from class: com.kongzue.dialogx.dialogs.BottomMenu.3.1
                                @Override // java.lang.Runnable
                                public void run() {
                                    childAt.setPressed(true);
                                }
                            });
                        }
                    }
                }
            });
        }
    }

    /* renamed from: com.kongzue.dialogx.dialogs.BottomMenu$5  reason: invalid class name */
    /* loaded from: classes10.dex */
    static /* synthetic */ class AnonymousClass5 {
        static final /* synthetic */ int[] $SwitchMap$com$kongzue$dialogx$dialogs$BottomMenu$SELECT_MODE;

        static {
            int[] iArr = new int[SELECT_MODE.values().length];
            $SwitchMap$com$kongzue$dialogx$dialogs$BottomMenu$SELECT_MODE = iArr;
            try {
                iArr[SELECT_MODE.NONE.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                $SwitchMap$com$kongzue$dialogx$dialogs$BottomMenu$SELECT_MODE[SELECT_MODE.SINGLE.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                $SwitchMap$com$kongzue$dialogx$dialogs$BottomMenu$SELECT_MODE[SELECT_MODE.MULTIPLE.ordinal()] = 3;
            } catch (NoSuchFieldError unused3) {
            }
        }
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public void refreshUI() {
        if (getDialogImpl() == null) {
            return;
        }
        if (this.listView != null) {
            if (this.menuListAdapter == null) {
                this.menuListAdapter = new BottomMenuArrayAdapter(this.f972me, getTopActivity(), this.menuList);
            }
            if (this.listView.getAdapter() == null) {
                this.listView.setAdapter((ListAdapter) this.menuListAdapter);
            } else {
                ListAdapter adapter = this.listView.getAdapter();
                BaseAdapter baseAdapter = this.menuListAdapter;
                if (adapter != baseAdapter) {
                    this.listView.setAdapter((ListAdapter) baseAdapter);
                } else {
                    baseAdapter.notifyDataSetChanged();
                }
            }
        }
        super.refreshUI();
    }

    public void preRefreshUI() {
        if (getDialogImpl() == null) {
            return;
        }
        runOnMain(new Runnable() { // from class: com.kongzue.dialogx.dialogs.BottomMenu.4
            @Override // java.lang.Runnable
            public void run() {
                BottomMenu.this.refreshUI();
            }
        });
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog, com.kongzue.dialogx.interfaces.BaseDialog
    public String dialogKey() {
        return getClass().getSimpleName() + "(" + Integer.toHexString(hashCode()) + ")";
    }

    public List<CharSequence> getMenuList() {
        return this.menuList;
    }

    public BottomMenu setMenuList(List<CharSequence> menuList) {
        this.menuList = menuList;
        this.menuListAdapter = null;
        preRefreshUI();
        return this;
    }

    private boolean isSameSize(int menuListSize) {
        List<CharSequence> list = this.menuList;
        return list == null || list.size() == 0 || this.menuList.size() == menuListSize;
    }

    public BottomMenu setMenuStringList(List<String> menuList) {
        ArrayList arrayList = new ArrayList();
        this.menuList = arrayList;
        arrayList.addAll(menuList);
        this.menuListAdapter = null;
        preRefreshUI();
        return this;
    }

    public BottomMenu setMenuList(String[] menuList) {
        ArrayList arrayList = new ArrayList();
        this.menuList = arrayList;
        arrayList.addAll(Arrays.asList(menuList));
        this.menuListAdapter = null;
        preRefreshUI();
        return this;
    }

    public BottomMenu setMenuList(CharSequence[] menuList) {
        this.menuList = Arrays.asList(menuList);
        this.menuListAdapter = null;
        preRefreshUI();
        return this;
    }

    public OnIconChangeCallBack<BottomMenu> getOnIconChangeCallBack() {
        return this.onIconChangeCallBack;
    }

    public BottomMenu setOnIconChangeCallBack(OnIconChangeCallBack<BottomMenu> onIconChangeCallBack) {
        this.onIconChangeCallBack = onIconChangeCallBack;
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public OnBackPressedListener<BottomDialog> getOnBackPressedListener() {
        return this.onBackPressedListener;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setOnBackPressedListener(OnBackPressedListener<BottomDialog> onBackPressedListener) {
        this.onBackPressedListener = onBackPressedListener;
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setDialogLifecycleCallback(DialogLifecycleCallback<BottomDialog> dialogLifecycleCallback) {
        this.dialogLifecycleCallback = dialogLifecycleCallback;
        if (this.isShow) {
            dialogLifecycleCallback.onShow(this.f972me);
        }
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setStyle(DialogXStyle style) {
        this.style = style;
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setTheme(DialogX.THEME theme) {
        this.theme = theme;
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog, com.kongzue.dialogx.interfaces.BaseDialog
    public boolean isCancelable() {
        if (this.privateCancelable != null) {
            return this.privateCancelable == BaseDialog.BOOLEAN.TRUE;
        } else if (overrideCancelable != null) {
            return overrideCancelable == BaseDialog.BOOLEAN.TRUE;
        } else {
            return this.cancelable;
        }
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setCancelable(boolean cancelable) {
        this.privateCancelable = cancelable ? BaseDialog.BOOLEAN.TRUE : BaseDialog.BOOLEAN.FALSE;
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomDialog.DialogImpl getDialogImpl() {
        return this.dialogImpl;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public CharSequence getTitle() {
        return this.title;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setTitle(CharSequence title) {
        this.title = title;
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setTitle(int titleResId) {
        this.title = getString(titleResId);
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public CharSequence getMessage() {
        return this.message;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setMessage(CharSequence message) {
        this.message = message;
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setMessage(int messageResId) {
        this.message = getString(messageResId);
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public CharSequence getCancelButton() {
        return this.cancelText;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setCancelButton(CharSequence cancelText) {
        this.cancelText = cancelText;
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setCancelButton(int cancelTextResId) {
        this.cancelText = getString(cancelTextResId);
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setCancelButton(OnDialogButtonClickListener cancelButtonClickListener) {
        this.cancelButtonClickListener = cancelButtonClickListener;
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setCancelButton(CharSequence cancelText, OnDialogButtonClickListener cancelButtonClickListener) {
        this.cancelText = cancelText;
        this.cancelButtonClickListener = cancelButtonClickListener;
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setCancelButton(int cancelTextResId, OnDialogButtonClickListener cancelButtonClickListener) {
        this.cancelText = getString(cancelTextResId);
        this.cancelButtonClickListener = cancelButtonClickListener;
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setCustomView(OnBindView<BottomDialog> onBindView) {
        this.onBindView = onBindView;
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public View getCustomView() {
        if (this.onBindView == null) {
            return null;
        }
        return this.onBindView.getCustomView();
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu removeCustomView() {
        this.onBindView.clean();
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public boolean isAllowInterceptTouch() {
        return super.isAllowInterceptTouch();
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setAllowInterceptTouch(boolean allowInterceptTouch) {
        this.allowInterceptTouch = allowInterceptTouch;
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public float getBottomDialogMaxHeight() {
        return this.bottomDialogMaxHeight;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setBottomDialogMaxHeight(float bottomDialogMaxHeight) {
        this.bottomDialogMaxHeight = bottomDialogMaxHeight;
        return this;
    }

    public OnMenuItemClickListener<BottomMenu> getOnMenuItemClickListener() {
        return this.onMenuItemClickListener;
    }

    public BottomMenu setOnMenuItemClickListener(OnMenuItemClickListener<BottomMenu> onMenuItemClickListener) {
        this.onMenuItemClickListener = onMenuItemClickListener;
        return this;
    }

    public BaseAdapter getMenuListAdapter() {
        return this.menuListAdapter;
    }

    public BottomMenu setMenuListAdapter(BaseAdapter menuListAdapter) {
        this.menuListAdapter = menuListAdapter;
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public OnDialogButtonClickListener getCancelButtonClickListener() {
        return this.cancelButtonClickListener;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setCancelButtonClickListener(OnDialogButtonClickListener cancelButtonClickListener) {
        this.cancelButtonClickListener = cancelButtonClickListener;
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public TextInfo getTitleTextInfo() {
        return this.titleTextInfo;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setTitleTextInfo(TextInfo titleTextInfo) {
        this.titleTextInfo = titleTextInfo;
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public TextInfo getMessageTextInfo() {
        return this.messageTextInfo;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setMessageTextInfo(TextInfo messageTextInfo) {
        this.messageTextInfo = messageTextInfo;
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public TextInfo getCancelTextInfo() {
        return this.cancelTextInfo;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setCancelTextInfo(TextInfo cancelTextInfo) {
        this.cancelTextInfo = cancelTextInfo;
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public int getBackgroundColor() {
        return this.backgroundColor;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setBackgroundColor(int backgroundColor) {
        this.backgroundColor = backgroundColor;
        preRefreshUI();
        return this;
    }

    public int getSelection() {
        return this.selectionIndex;
    }

    public ArrayList<Integer> getSelectionList() {
        return this.selectionItems;
    }

    public BottomMenu setSelection(int selectionIndex) {
        this.selectMode = SELECT_MODE.SINGLE;
        this.selectionIndex = selectionIndex;
        this.selectionItems = null;
        this.menuListAdapter = null;
        preRefreshUI();
        return this;
    }

    public BottomMenu setSingleSelection() {
        this.selectMode = SELECT_MODE.SINGLE;
        this.selectionIndex = -1;
        this.selectionItems = null;
        this.menuListAdapter = null;
        preRefreshUI();
        return this;
    }

    public BottomMenu setSelection(int[] selectionItems) {
        this.selectMode = SELECT_MODE.MULTIPLE;
        this.selectionIndex = -1;
        this.selectionItems = new ArrayList<>();
        if (selectionItems != null) {
            for (int i2 : selectionItems) {
                this.selectionItems.add(Integer.valueOf(i2));
            }
        }
        this.menuListAdapter = null;
        preRefreshUI();
        return this;
    }

    public BottomMenu setMultiSelection() {
        this.selectMode = SELECT_MODE.MULTIPLE;
        this.selectionIndex = -1;
        this.selectionItems = new ArrayList<>();
        this.menuListAdapter = null;
        preRefreshUI();
        return this;
    }

    public BottomMenu setSelection(List<Integer> selectionItems) {
        this.selectMode = SELECT_MODE.MULTIPLE;
        this.selectionIndex = -1;
        this.selectionItems = new ArrayList<>(selectionItems);
        this.menuListAdapter = null;
        preRefreshUI();
        return this;
    }

    public BottomMenu setNoSelect() {
        this.selectMode = SELECT_MODE.NONE;
        this.selectionIndex = -1;
        this.selectionItems = null;
        this.menuListAdapter = null;
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setBackgroundColorRes(int backgroundRes) {
        this.backgroundColor = getColor(backgroundRes);
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public CharSequence getOkButton() {
        return this.okText;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setOkButton(CharSequence okText) {
        this.okText = okText;
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setOkButton(int OkTextResId) {
        this.okText = getString(OkTextResId);
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setOkButton(OnDialogButtonClickListener<BottomDialog> OkButtonClickListener) {
        this.okButtonClickListener = OkButtonClickListener;
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setOkButton(CharSequence OkText, OnDialogButtonClickListener<BottomDialog> OkButtonClickListener) {
        this.okText = OkText;
        this.okButtonClickListener = OkButtonClickListener;
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setOkButton(int OkTextResId, OnDialogButtonClickListener<BottomDialog> OkButtonClickListener) {
        this.okText = getString(OkTextResId);
        this.okButtonClickListener = OkButtonClickListener;
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public CharSequence getOtherButton() {
        return this.otherText;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setOtherButton(CharSequence otherText) {
        this.otherText = otherText;
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setOtherButton(int OtherTextResId) {
        this.otherText = getString(OtherTextResId);
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setOtherButton(OnDialogButtonClickListener<BottomDialog> OtherButtonClickListener) {
        this.otherButtonClickListener = OtherButtonClickListener;
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setOtherButton(CharSequence OtherText, OnDialogButtonClickListener<BottomDialog> OtherButtonClickListener) {
        this.otherText = OtherText;
        this.otherButtonClickListener = OtherButtonClickListener;
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setOtherButton(int OtherTextResId, OnDialogButtonClickListener<BottomDialog> OtherButtonClickListener) {
        this.otherText = getString(OtherTextResId);
        this.otherButtonClickListener = OtherButtonClickListener;
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setMaskColor(int maskColor) {
        this.maskColor = maskColor;
        preRefreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public long getEnterAnimDuration() {
        return this.enterAnimDuration;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setEnterAnimDuration(long enterAnimDuration) {
        this.enterAnimDuration = enterAnimDuration;
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public long getExitAnimDuration() {
        return this.exitAnimDuration;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setExitAnimDuration(long exitAnimDuration) {
        this.exitAnimDuration = exitAnimDuration;
        return this;
    }

    public SELECT_MODE getSelectMode() {
        return this.selectMode;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog, com.kongzue.dialogx.interfaces.BaseDialog
    protected void shutdown() {
        dismiss();
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setMaxWidth(int maxWidth) {
        this.maxWidth = maxWidth;
        refreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setDialogImplMode(DialogX.IMPL_MODE dialogImplMode) {
        this.dialogImplMode = dialogImplMode;
        return this;
    }

    public TextInfo getMenuTextInfo() {
        return this.menuTextInfo == null ? DialogX.menuTextInfo : this.menuTextInfo;
    }

    public BottomMenu setMenuTextInfo(TextInfo menuTextInfo) {
        this.menuTextInfo = menuTextInfo;
        return this;
    }

    public MenuItemTextInfoInterceptor<BottomMenu> getMenuItemTextInfoInterceptor() {
        return this.menuItemTextInfoInterceptor;
    }

    public BottomMenu setMenuItemTextInfoInterceptor(MenuItemTextInfoInterceptor<BottomMenu> menuItemTextInfoInterceptor) {
        this.menuItemTextInfoInterceptor = menuItemTextInfoInterceptor;
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public boolean isBkgInterceptTouch() {
        return this.bkgInterceptTouch;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setBkgInterceptTouch(boolean bkgInterceptTouch) {
        this.bkgInterceptTouch = bkgInterceptTouch;
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public OnBackgroundMaskClickListener<BottomDialog> getOnBackgroundMaskClickListener() {
        return this.onBackgroundMaskClickListener;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setOnBackgroundMaskClickListener(OnBackgroundMaskClickListener<BottomDialog> onBackgroundMaskClickListener) {
        this.onBackgroundMaskClickListener = onBackgroundMaskClickListener;
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setRadius(float radiusPx) {
        this.backgroundRadius = radiusPx;
        refreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public float getRadius() {
        return this.backgroundRadius;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setTitleIcon(Bitmap titleIcon) {
        this.titleIcon = new BitmapDrawable(getResources(), titleIcon);
        refreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setTitleIcon(int titleIconResId) {
        this.titleIcon = getResources().getDrawable(titleIconResId);
        refreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setTitleIcon(Drawable titleIcon) {
        this.titleIcon = titleIcon;
        refreshUI();
        return this;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public DialogXAnimInterface<BottomDialog> getDialogXAnimImpl() {
        return this.dialogXAnimImpl;
    }

    @Override // com.kongzue.dialogx.dialogs.BottomDialog
    public BottomMenu setDialogXAnimImpl(DialogXAnimInterface<BottomDialog> dialogXAnimImpl) {
        this.dialogXAnimImpl = dialogXAnimImpl;
        return this;
    }
}
