package com.kongzue.dialogx.dialogs;

import android.animation.ValueAnimator;
import android.graphics.Outline;
import android.graphics.drawable.GradientDrawable;
import android.os.Build;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewOutlineProvider;
import android.view.ViewTreeObserver;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.Transformation;
import android.widget.AdapterView;
import android.widget.ListAdapter;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.constraintlayout.core.widgets.analyzer.BasicMeasure;
import androidx.lifecycle.Lifecycle;
import com.kongzue.dialogx.DialogX;
import com.kongzue.dialogx.R;
import com.kongzue.dialogx.interfaces.BaseDialog;
import com.kongzue.dialogx.interfaces.DialogConvertViewInterface;
import com.kongzue.dialogx.interfaces.DialogLifecycleCallback;
import com.kongzue.dialogx.interfaces.DialogXAnimInterface;
import com.kongzue.dialogx.interfaces.DialogXStyle;
import com.kongzue.dialogx.interfaces.OnBackPressedListener;
import com.kongzue.dialogx.interfaces.OnBackgroundMaskClickListener;
import com.kongzue.dialogx.interfaces.OnBindView;
import com.kongzue.dialogx.interfaces.OnIconChangeCallBack;
import com.kongzue.dialogx.interfaces.OnMenuItemClickListener;
import com.kongzue.dialogx.util.ObjectRunnable;
import com.kongzue.dialogx.util.PopMenuArrayAdapter;
import com.kongzue.dialogx.util.TextInfo;
import com.kongzue.dialogx.util.views.BlurView;
import com.kongzue.dialogx.util.views.DialogXBaseRelativeLayout;
import com.kongzue.dialogx.util.views.MaxRelativeLayout;
import com.kongzue.dialogx.util.views.PopMenuListView;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;
/* loaded from: classes10.dex */
public class PopMenu extends BaseDialog {
    public static long overrideEnterDuration = -1;
    public static long overrideExitDuration = -1;
    protected int alignGravity;
    protected float backgroundRadius;
    protected View baseView;
    protected int[] baseViewLoc;
    protected boolean bkgInterceptTouch;
    private boolean closing;
    protected DialogImpl dialogImpl;
    protected DialogLifecycleCallback<PopMenu> dialogLifecycleCallback;
    protected View dialogView;
    protected DialogXAnimInterface<PopMenu> dialogXAnimImpl;
    protected int height;
    protected boolean hideWithExitAnim;
    private boolean isHide;

    /* renamed from: me  reason: collision with root package name */
    protected PopMenu f976me;
    protected List<CharSequence> menuList;
    protected PopMenuArrayAdapter menuListAdapter;
    protected TextInfo menuTextInfo;
    protected boolean offScreen;
    protected OnBackPressedListener<PopMenu> onBackPressedListener;
    protected OnBackgroundMaskClickListener<PopMenu> onBackgroundMaskClickListener;
    protected OnBindView<PopMenu> onBindView;
    protected OnIconChangeCallBack<PopMenu> onIconChangeCallBack;
    protected OnMenuItemClickListener<PopMenu> onMenuItemClickListener;
    protected boolean overlayBaseView;
    protected int width;

    @Override // com.kongzue.dialogx.interfaces.BaseDialog
    public boolean isCancelable() {
        return true;
    }

    @Override // com.kongzue.dialogx.interfaces.BaseDialog
    protected void shutdown() {
    }

    public PopMenu() {
        this.f976me = this;
        this.bkgInterceptTouch = true;
        this.overlayBaseView = true;
        this.width = -1;
        this.height = -1;
        this.offScreen = false;
        this.backgroundRadius = -1.0f;
        this.alignGravity = -1;
        this.baseViewLoc = new int[2];
    }

    public PopMenu(View baseView, List<CharSequence> menuList) {
        this.f976me = this;
        this.bkgInterceptTouch = true;
        this.overlayBaseView = true;
        this.width = -1;
        this.height = -1;
        this.offScreen = false;
        this.backgroundRadius = -1.0f;
        this.alignGravity = -1;
        this.baseViewLoc = new int[2];
        ArrayList arrayList = new ArrayList();
        this.menuList = arrayList;
        arrayList.addAll(menuList);
        this.baseView = baseView;
    }

    public PopMenu(View baseView, CharSequence[] menuList) {
        this.f976me = this;
        this.bkgInterceptTouch = true;
        this.overlayBaseView = true;
        this.width = -1;
        this.height = -1;
        this.offScreen = false;
        this.backgroundRadius = -1.0f;
        this.alignGravity = -1;
        this.baseViewLoc = new int[2];
        ArrayList arrayList = new ArrayList();
        this.menuList = arrayList;
        arrayList.addAll(Arrays.asList(menuList));
        this.baseView = baseView;
    }

    public PopMenu(List<CharSequence> menuList) {
        this.f976me = this;
        this.bkgInterceptTouch = true;
        this.overlayBaseView = true;
        this.width = -1;
        this.height = -1;
        this.offScreen = false;
        this.backgroundRadius = -1.0f;
        this.alignGravity = -1;
        this.baseViewLoc = new int[2];
        ArrayList arrayList = new ArrayList();
        this.menuList = arrayList;
        arrayList.addAll(menuList);
    }

    public PopMenu(CharSequence[] menuList) {
        this.f976me = this;
        this.bkgInterceptTouch = true;
        this.overlayBaseView = true;
        this.width = -1;
        this.height = -1;
        this.offScreen = false;
        this.backgroundRadius = -1.0f;
        this.alignGravity = -1;
        this.baseViewLoc = new int[2];
        ArrayList arrayList = new ArrayList();
        this.menuList = arrayList;
        arrayList.addAll(Arrays.asList(menuList));
    }

    public PopMenu(OnBindView<PopMenu> onBindView) {
        this.f976me = this;
        this.bkgInterceptTouch = true;
        this.overlayBaseView = true;
        this.width = -1;
        this.height = -1;
        this.offScreen = false;
        this.backgroundRadius = -1.0f;
        this.alignGravity = -1;
        this.baseViewLoc = new int[2];
        this.onBindView = onBindView;
    }

    public PopMenu(View baseView, OnBindView<PopMenu> onBindView) {
        this.f976me = this;
        this.bkgInterceptTouch = true;
        this.overlayBaseView = true;
        this.width = -1;
        this.height = -1;
        this.offScreen = false;
        this.backgroundRadius = -1.0f;
        this.alignGravity = -1;
        this.baseViewLoc = new int[2];
        this.baseView = baseView;
        this.onBindView = onBindView;
    }

    public PopMenu(View baseView, List<CharSequence> menuList, OnBindView<PopMenu> onBindView) {
        this.f976me = this;
        this.bkgInterceptTouch = true;
        this.overlayBaseView = true;
        this.width = -1;
        this.height = -1;
        this.offScreen = false;
        this.backgroundRadius = -1.0f;
        this.alignGravity = -1;
        this.baseViewLoc = new int[2];
        this.baseView = baseView;
        ArrayList arrayList = new ArrayList();
        this.menuList = arrayList;
        arrayList.addAll(menuList);
        this.onBindView = onBindView;
    }

    public PopMenu(View baseView, CharSequence[] menuList, OnBindView<PopMenu> onBindView) {
        this.f976me = this;
        this.bkgInterceptTouch = true;
        this.overlayBaseView = true;
        this.width = -1;
        this.height = -1;
        this.offScreen = false;
        this.backgroundRadius = -1.0f;
        this.alignGravity = -1;
        this.baseViewLoc = new int[2];
        this.baseView = baseView;
        ArrayList arrayList = new ArrayList();
        this.menuList = arrayList;
        arrayList.addAll(Arrays.asList(menuList));
        this.onBindView = onBindView;
    }

    public PopMenu(List<CharSequence> menuList, OnBindView<PopMenu> onBindView) {
        this.f976me = this;
        this.bkgInterceptTouch = true;
        this.overlayBaseView = true;
        this.width = -1;
        this.height = -1;
        this.offScreen = false;
        this.backgroundRadius = -1.0f;
        this.alignGravity = -1;
        this.baseViewLoc = new int[2];
        ArrayList arrayList = new ArrayList();
        this.menuList = arrayList;
        arrayList.addAll(menuList);
        this.onBindView = onBindView;
    }

    public PopMenu(CharSequence[] menuList, OnBindView<PopMenu> onBindView) {
        this.f976me = this;
        this.bkgInterceptTouch = true;
        this.overlayBaseView = true;
        this.width = -1;
        this.height = -1;
        this.offScreen = false;
        this.backgroundRadius = -1.0f;
        this.alignGravity = -1;
        this.baseViewLoc = new int[2];
        ArrayList arrayList = new ArrayList();
        this.menuList = arrayList;
        arrayList.addAll(Arrays.asList(menuList));
        this.onBindView = onBindView;
    }

    public static PopMenu build() {
        return new PopMenu();
    }

    public static PopMenu build(DialogXStyle style) {
        return new PopMenu().setStyle(style);
    }

    public static PopMenu show(CharSequence[] menus) {
        PopMenu popMenu = new PopMenu(menus);
        popMenu.show();
        return popMenu;
    }

    public static PopMenu show(List<CharSequence> menuList) {
        PopMenu popMenu = new PopMenu(menuList);
        popMenu.show();
        return popMenu;
    }

    public static PopMenu show(View baseView, CharSequence[] menus) {
        PopMenu popMenu = new PopMenu(baseView, menus);
        popMenu.show();
        return popMenu;
    }

    public static PopMenu show(View baseView, List<CharSequence> menuList) {
        PopMenu popMenu = new PopMenu(baseView, menuList);
        popMenu.show();
        return popMenu;
    }

    public static PopMenu show(View baseView, CharSequence[] menus, OnBindView<PopMenu> onBindView) {
        PopMenu popMenu = new PopMenu(baseView, menus, onBindView);
        popMenu.show();
        return popMenu;
    }

    public static PopMenu show(View baseView, List<CharSequence> menuList, OnBindView<PopMenu> onBindView) {
        PopMenu popMenu = new PopMenu(baseView, menuList, onBindView);
        popMenu.show();
        return popMenu;
    }

    public static PopMenu show(CharSequence[] menus, OnBindView<PopMenu> onBindView) {
        PopMenu popMenu = new PopMenu(menus, onBindView);
        popMenu.show();
        return popMenu;
    }

    public static PopMenu show(List<CharSequence> menuList, OnBindView<PopMenu> onBindView) {
        PopMenu popMenu = new PopMenu(menuList, onBindView);
        popMenu.show();
        return popMenu;
    }

    @Override // com.kongzue.dialogx.interfaces.BaseDialog
    public PopMenu show() {
        if (this.isHide && getDialogView() != null && this.isShow) {
            if (this.hideWithExitAnim && getDialogImpl() != null) {
                getDialogView().setVisibility(0);
                getDialogImpl().getDialogXAnimImpl().doShowAnim(this.f976me, new ObjectRunnable<Float>() { // from class: com.kongzue.dialogx.dialogs.PopMenu.1
                    @Override // com.kongzue.dialogx.util.ObjectRunnable
                    public void run(Float value) {
                        PopMenu.this.getDialogImpl().boxRoot.setBkgAlpha(value.floatValue());
                    }
                });
            } else {
                getDialogView().setVisibility(0);
            }
            return this;
        }
        super.beforeShow();
        if (getDialogView() == null) {
            int i2 = isLightTheme() ? R.layout.layout_dialogx_popmenu_material : R.layout.layout_dialogx_popmenu_material_dark;
            if (getStyle().popMenuSettings() != null && getStyle().popMenuSettings().layout(isLightTheme()) != 0) {
                i2 = getStyle().popMenuSettings().layout(isLightTheme());
            }
            this.dialogView = createView(i2);
            this.dialogImpl = new DialogImpl(this.dialogView);
            View view = this.dialogView;
            if (view != null) {
                view.setTag(this.f976me);
            }
        }
        show(this.dialogView);
        View view2 = this.baseView;
        if (view2 != null) {
            view2.getViewTreeObserver().addOnPreDrawListener(new ViewTreeObserver.OnPreDrawListener() { // from class: com.kongzue.dialogx.dialogs.PopMenu.2
                @Override // android.view.ViewTreeObserver.OnPreDrawListener
                public boolean onPreDraw() {
                    if (PopMenu.this.getDialogImpl() != null) {
                        PopMenu.this.baseViewLoc = new int[2];
                        PopMenu.this.baseView.getLocationOnScreen(PopMenu.this.baseViewLoc);
                        int width = PopMenu.this.baseView.getWidth();
                        int height = PopMenu.this.baseView.getHeight();
                        int i3 = PopMenu.this.baseViewLoc[0];
                        int i4 = PopMenu.this.baseViewLoc[1];
                        if (PopMenu.this.overlayBaseView) {
                            height = 0;
                        }
                        PopMenu.this.getDialogImpl().boxBody.setX(i3);
                        PopMenu.this.getDialogImpl().boxBody.setY(i4 + height);
                        if (width != 0 && PopMenu.this.getDialogImpl().boxBody.getWidth() != width) {
                            PopMenu.this.getDialogImpl().boxBody.setLayoutParams(new RelativeLayout.LayoutParams(width, -2));
                        }
                        PopMenu.this.baseView.getViewTreeObserver().removeOnPreDrawListener(this);
                    }
                    return true;
                }
            });
        }
        return this;
    }

    /* loaded from: classes10.dex */
    public class DialogImpl implements DialogConvertViewInterface {
        private BlurView blurView;
        private MaxRelativeLayout boxBody;
        private RelativeLayout boxCustom;
        private DialogXBaseRelativeLayout boxRoot;
        private PopMenuListView listMenu;

        public DialogImpl(View convertView) {
            this.boxRoot = (DialogXBaseRelativeLayout) convertView.findViewById(R.id.box_root);
            this.boxBody = (MaxRelativeLayout) convertView.findViewById(R.id.box_body);
            this.boxCustom = (RelativeLayout) convertView.findViewById(R.id.box_custom);
            this.listMenu = (PopMenuListView) convertView.findViewById(R.id.listMenu);
            init();
        }

        @Override // com.kongzue.dialogx.interfaces.DialogConvertViewInterface
        public void init() {
            int i2;
            int i3;
            PopMenu.this.closing = false;
            if (PopMenu.this.menuListAdapter == null) {
                PopMenu.this.menuListAdapter = new PopMenuArrayAdapter(PopMenu.this.f976me, BaseDialog.getTopActivity(), PopMenu.this.menuList);
            }
            this.boxRoot.setParentDialog(PopMenu.this.f976me);
            this.boxRoot.setOnLifecycleCallBack(new DialogXBaseRelativeLayout.OnLifecycleCallBack() { // from class: com.kongzue.dialogx.dialogs.PopMenu.DialogImpl.1
                @Override // com.kongzue.dialogx.util.views.DialogXBaseRelativeLayout.OnLifecycleCallBack
                public void onShow() {
                    PopMenu.this.isShow = true;
                    PopMenu.this.preShow = false;
                    PopMenu.this.lifecycle.setCurrentState(Lifecycle.State.CREATED);
                    PopMenu.this.onDialogShow();
                    PopMenu.this.getDialogLifecycleCallback().onShow(PopMenu.this.f976me);
                    PopMenu.this.refreshUI();
                }

                @Override // com.kongzue.dialogx.util.views.DialogXBaseRelativeLayout.OnLifecycleCallBack
                public void onDismiss() {
                    PopMenu.this.isShow = false;
                    PopMenu.this.getDialogLifecycleCallback().onDismiss(PopMenu.this.f976me);
                    PopMenu.this.menuListAdapter = null;
                    PopMenu.this.dialogImpl = null;
                    PopMenu.this.baseView = null;
                    PopMenu.this.dialogLifecycleCallback = null;
                    PopMenu.this.lifecycle.setCurrentState(Lifecycle.State.DESTROYED);
                    System.gc();
                }
            });
            this.boxRoot.setOnBackPressedListener(new DialogXBaseRelativeLayout.PrivateBackPressedListener() { // from class: com.kongzue.dialogx.dialogs.PopMenu.DialogImpl.2
                @Override // com.kongzue.dialogx.util.views.DialogXBaseRelativeLayout.PrivateBackPressedListener
                public boolean onBackPressed() {
                    if (PopMenu.this.onBackPressedListener != null) {
                        if (PopMenu.this.onBackPressedListener.onBackPressed(PopMenu.this.f976me)) {
                            PopMenu.this.dismiss();
                            return true;
                        }
                        return true;
                    } else if (PopMenu.this.isCancelable()) {
                        PopMenu.this.dismiss();
                        return true;
                    } else {
                        return true;
                    }
                }
            });
            this.listMenu.setMaxHeight(BaseDialog.getRootFrameLayout() == null ? PopMenu.this.dip2px(500.0f) : BaseDialog.getRootFrameLayout().getMeasuredHeight() - PopMenu.this.dip2px(150.0f));
            this.boxBody.setVisibility(4);
            this.boxBody.post(new Runnable() { // from class: com.kongzue.dialogx.dialogs.PopMenu.DialogImpl.3
                @Override // java.lang.Runnable
                public void run() {
                    DialogImpl.this.getDialogXAnimImpl().doShowAnim(PopMenu.this.f976me, new ObjectRunnable<Float>() { // from class: com.kongzue.dialogx.dialogs.PopMenu.DialogImpl.3.1
                        @Override // com.kongzue.dialogx.util.ObjectRunnable
                        public void run(Float value) {
                            DialogImpl.this.boxRoot.setBkgAlpha(value.floatValue());
                        }
                    });
                    PopMenu.this.lifecycle.setCurrentState(Lifecycle.State.RESUMED);
                }
            });
            if (PopMenu.this.style.popMenuSettings() != null) {
                i2 = PopMenu.this.style.popMenuSettings().overrideMenuDividerDrawableRes(PopMenu.this.isLightTheme());
                i3 = PopMenu.this.style.popMenuSettings().overrideMenuDividerHeight(PopMenu.this.isLightTheme());
            } else {
                i2 = 0;
                i3 = 0;
            }
            if (i2 == 0) {
                i2 = PopMenu.this.isLightTheme() ? R.drawable.rect_dialogx_material_menu_split_divider : R.drawable.rect_dialogx_material_menu_split_divider_night;
            }
            this.listMenu.setOverScrollMode(2);
            this.listMenu.setVerticalScrollBarEnabled(false);
            this.listMenu.setDivider(PopMenu.this.getResources().getDrawable(i2));
            this.listMenu.setDividerHeight(i3);
            this.listMenu.setOnItemClickListener(new AdapterView.OnItemClickListener() { // from class: com.kongzue.dialogx.dialogs.PopMenu.DialogImpl.4
                @Override // android.widget.AdapterView.OnItemClickListener
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    if (PopMenu.this.closing || PopMenu.this.getOnMenuItemClickListener().onClick(PopMenu.this.f976me, PopMenu.this.menuList.get(position), position)) {
                        return;
                    }
                    PopMenu.this.dismiss();
                }
            });
            PopMenu.this.onDialogInit();
        }

        @Override // com.kongzue.dialogx.interfaces.DialogConvertViewInterface
        public void refreshView() {
            if (this.boxRoot == null || BaseDialog.getTopActivity() == null) {
                return;
            }
            if (this.listMenu.getAdapter() == null) {
                this.listMenu.setAdapter((ListAdapter) PopMenu.this.menuListAdapter);
            } else if (PopMenu.this.menuListAdapter.getMenuList() != PopMenu.this.menuList) {
                PopMenu.this.menuListAdapter = new PopMenuArrayAdapter(PopMenu.this.f976me, BaseDialog.getTopActivity(), PopMenu.this.menuList);
                this.listMenu.setAdapter((ListAdapter) PopMenu.this.menuListAdapter);
            } else {
                PopMenu.this.menuListAdapter.notifyDataSetChanged();
            }
            if (PopMenu.this.bkgInterceptTouch) {
                if (PopMenu.this.isCancelable()) {
                    this.boxRoot.setOnClickListener(new View.OnClickListener() { // from class: com.kongzue.dialogx.dialogs.PopMenu.DialogImpl.5
                        @Override // android.view.View.OnClickListener
                        public void onClick(View v) {
                            if (PopMenu.this.onBackgroundMaskClickListener == null || !PopMenu.this.onBackgroundMaskClickListener.onClick(PopMenu.this.f976me, v)) {
                                DialogImpl.this.doDismiss(v);
                            }
                        }
                    });
                } else {
                    this.boxRoot.setOnClickListener(null);
                }
            } else {
                this.boxRoot.setClickable(false);
            }
            if (PopMenu.this.backgroundRadius > -1.0f) {
                GradientDrawable gradientDrawable = (GradientDrawable) this.boxBody.getBackground();
                if (gradientDrawable != null) {
                    gradientDrawable.setCornerRadius(PopMenu.this.backgroundRadius);
                }
                if (Build.VERSION.SDK_INT >= 21) {
                    this.boxBody.setOutlineProvider(new ViewOutlineProvider() { // from class: com.kongzue.dialogx.dialogs.PopMenu.DialogImpl.6
                        @Override // android.view.ViewOutlineProvider
                        public void getOutline(View view, Outline outline) {
                            outline.setRoundRect(0, 0, view.getWidth(), view.getHeight(), PopMenu.this.backgroundRadius);
                        }
                    });
                    this.boxBody.setClipToOutline(true);
                }
            }
            if (PopMenu.this.onBindView != null && PopMenu.this.onBindView.getCustomView() != null) {
                PopMenu.this.onBindView.bindParent(this.boxCustom, PopMenu.this.f976me);
                this.boxCustom.setVisibility(0);
            } else {
                this.boxCustom.setVisibility(8);
            }
            if (PopMenu.this.width != -1) {
                this.boxBody.setMaxWidth(PopMenu.this.width);
                this.boxBody.setMinimumWidth(PopMenu.this.width);
            }
            if (PopMenu.this.height != -1) {
                this.boxBody.setMaxHeight(PopMenu.this.height);
                this.boxBody.setMinimumHeight(PopMenu.this.height);
            }
            PopMenu.this.onDialogRefreshUI();
        }

        @Override // com.kongzue.dialogx.interfaces.DialogConvertViewInterface
        public void doDismiss(View v) {
            if (v != null) {
                v.setEnabled(false);
            }
            if (PopMenu.this.dismissAnimFlag) {
                return;
            }
            PopMenu.this.dismissAnimFlag = true;
            this.boxRoot.post(new Runnable() { // from class: com.kongzue.dialogx.dialogs.PopMenu.DialogImpl.7
                @Override // java.lang.Runnable
                public void run() {
                    DialogImpl.this.getDialogXAnimImpl().doExitAnim(PopMenu.this.f976me, new ObjectRunnable<Float>() { // from class: com.kongzue.dialogx.dialogs.PopMenu.DialogImpl.7.1
                        @Override // com.kongzue.dialogx.util.ObjectRunnable
                        public void run(Float value) {
                            if (DialogImpl.this.boxRoot != null && PopMenu.this.baseView == null) {
                                DialogImpl.this.boxRoot.setBkgAlpha(value.floatValue());
                            }
                            if (value.floatValue() == 0.0f) {
                                PopMenu.dismiss(PopMenu.this.dialogView);
                            }
                        }
                    });
                }
            });
        }

        protected DialogXAnimInterface<PopMenu> getDialogXAnimImpl() {
            if (PopMenu.this.dialogXAnimImpl == null) {
                PopMenu.this.dialogXAnimImpl = new DialogXAnimInterface<PopMenu>() { // from class: com.kongzue.dialogx.dialogs.PopMenu.DialogImpl.8
                    int selectMenuIndex = -1;

                    @Override // com.kongzue.dialogx.interfaces.DialogXAnimInterface
                    public /* bridge */ /* synthetic */ void doExitAnim(PopMenu dialog, ObjectRunnable animProgress) {
                        doExitAnim2(dialog, (ObjectRunnable<Float>) animProgress);
                    }

                    @Override // com.kongzue.dialogx.interfaces.DialogXAnimInterface
                    public /* bridge */ /* synthetic */ void doShowAnim(PopMenu dialog, ObjectRunnable animProgress) {
                        doShowAnim2(dialog, (ObjectRunnable<Float>) animProgress);
                    }

                    /* JADX WARN: Code restructure failed: missing block: B:65:0x022f, code lost:
                        if (r13.this$1.this$0.isAlignGravity(80) != false) goto L61;
                     */
                    /* JADX WARN: Removed duplicated region for block: B:82:0x02a3  */
                    /* JADX WARN: Removed duplicated region for block: B:93:0x0305  */
                    /* JADX WARN: Removed duplicated region for block: B:95:0x0311  */
                    /* renamed from: doShowAnim  reason: avoid collision after fix types in other method */
                    /*
                        Code decompiled incorrectly, please refer to instructions dump.
                    */
                    public void doShowAnim2(PopMenu dialog, final ObjectRunnable<Float> animProgress) {
                        long j;
                        int i2;
                        if (PopMenu.this.enterAnimDuration != -1) {
                            j = PopMenu.this.enterAnimDuration;
                        } else {
                            j = PopMenu.overrideEnterDuration == -1 ? 150L : PopMenu.overrideEnterDuration;
                        }
                        if (PopMenu.this.baseView != null) {
                            final int bodyRealHeight = PopMenu.this.getBodyRealHeight();
                            DialogImpl.this.boxBody.getLayoutParams().height = 1;
                            if (PopMenu.this.overlayBaseView && !DialogImpl.this.listMenu.isCanScroll()) {
                                if (PopMenu.this.baseView instanceof TextView) {
                                    String charSequence = ((TextView) PopMenu.this.baseView).getText().toString();
                                    Iterator<CharSequence> it = PopMenu.this.menuList.iterator();
                                    while (true) {
                                        if (!it.hasNext()) {
                                            break;
                                        }
                                        CharSequence next = it.next();
                                        if (TextUtils.equals(next.toString(), charSequence)) {
                                            this.selectMenuIndex = PopMenu.this.menuList.indexOf(next);
                                            break;
                                        }
                                    }
                                }
                                if (this.selectMenuIndex != -1) {
                                    int[] iArr = new int[2];
                                    if (DialogImpl.this.listMenu.getChildAt(this.selectMenuIndex) != null) {
                                        int measuredHeight = DialogImpl.this.listMenu.getChildAt(this.selectMenuIndex).getMeasuredHeight();
                                        DialogImpl.this.listMenu.getChildAt(this.selectMenuIndex).getLocationOnScreen(iArr);
                                        DialogImpl.this.boxBody.setY(((PopMenu.this.baseViewLoc[1] + (PopMenu.this.baseView.getMeasuredHeight() / 2.0f)) - (iArr[1] - DialogImpl.this.boxBody.getY())) - (measuredHeight / 2.0f));
                                    }
                                }
                            }
                            int i3 = PopMenu.this.baseViewLoc[0];
                            int i4 = PopMenu.this.baseViewLoc[1];
                            if (PopMenu.this.alignGravity != -1) {
                                int max = PopMenu.this.isAlignGravity(16) ? Math.max(0, ((PopMenu.this.baseView.getMeasuredHeight() / 2) + i4) - (DialogImpl.this.boxBody.getHeight() / 2)) : 0;
                                if (PopMenu.this.isAlignGravity(1)) {
                                    i2 = Math.max(0, (PopMenu.this.getWidth() > 0 ? (PopMenu.this.baseView.getMeasuredWidth() / 2) - (PopMenu.this.getWidth() / 2) : 0) + i3);
                                } else {
                                    i2 = 0;
                                }
                                if (PopMenu.this.isAlignGravity(17)) {
                                    i2 = Math.max(0, (PopMenu.this.getWidth() > 0 ? (PopMenu.this.baseView.getMeasuredWidth() / 2) - (PopMenu.this.getWidth() / 2) : 0) + i3);
                                    max = Math.max(0, ((PopMenu.this.baseView.getMeasuredHeight() / 2) + i4) - (DialogImpl.this.boxBody.getHeight() / 2));
                                }
                                if (PopMenu.this.overlayBaseView) {
                                    if (PopMenu.this.isAlignGravity(48)) {
                                        max = PopMenu.this.baseView.getHeight() + (i4 - DialogImpl.this.boxBody.getHeight());
                                    }
                                    if (PopMenu.this.isAlignGravity(3)) {
                                        i2 = i3;
                                    }
                                    if (PopMenu.this.isAlignGravity(5)) {
                                        i2 = i3 + (PopMenu.this.getWidth() > 0 ? PopMenu.this.baseView.getMeasuredWidth() - PopMenu.this.width : 0);
                                    }
                                } else {
                                    if (PopMenu.this.isAlignGravity(48)) {
                                        max = Math.max(0, i4 - DialogImpl.this.boxBody.getHeight());
                                    }
                                    if (PopMenu.this.isAlignGravity(3)) {
                                        i2 = Math.max(0, i3 - DialogImpl.this.boxBody.getWidth());
                                    }
                                    if (PopMenu.this.isAlignGravity(5)) {
                                        i2 = Math.max(0, i3 + PopMenu.this.baseView.getWidth());
                                    }
                                    if (PopMenu.this.isAlignGravity(80)) {
                                        i4 = Math.max(0, i4 + PopMenu.this.baseView.getHeight());
                                        if (!PopMenu.this.offScreen) {
                                            if (i2 < 0) {
                                                i2 = 0;
                                            }
                                            if (DialogImpl.this.boxBody.getWidth() + i2 > DialogImpl.this.boxRoot.getWidth()) {
                                                i2 = DialogImpl.this.boxRoot.getWidth() - DialogImpl.this.boxBody.getWidth();
                                            }
                                            if (i4 < 0) {
                                                i4 = 0;
                                            }
                                            if (DialogImpl.this.boxBody.getHeight() + i4 > DialogImpl.this.boxRoot.getHeight()) {
                                                i4 = DialogImpl.this.boxRoot.getHeight() - DialogImpl.this.boxBody.getHeight();
                                            }
                                        }
                                        if (i2 != 0) {
                                            DialogImpl.this.boxBody.setX(i2);
                                        }
                                        if (i4 != 0) {
                                            DialogImpl.this.boxBody.setY(i4);
                                        }
                                    }
                                    i4 = max;
                                    if (!PopMenu.this.offScreen) {
                                    }
                                    if (i2 != 0) {
                                    }
                                    if (i4 != 0) {
                                    }
                                }
                            }
                            Animation animation = new Animation() { // from class: com.kongzue.dialogx.dialogs.PopMenu.DialogImpl.8.1
                                @Override // android.view.animation.Animation
                                public boolean willChangeBounds() {
                                    return true;
                                }

                                @Override // android.view.animation.Animation
                                protected void applyTransformation(float interpolatedTime, Transformation t) {
                                    int i5 = interpolatedTime == 1.0f ? -2 : (int) (bodyRealHeight * interpolatedTime);
                                    DialogImpl.this.boxBody.getLayoutParams().height = i5;
                                    DialogImpl.this.boxBody.getLayoutParams().width = PopMenu.this.getWidth() == -1 ? PopMenu.this.baseView.getWidth() : PopMenu.this.getWidth();
                                    float f = i5;
                                    if (DialogImpl.this.boxBody.getY() + f > DialogImpl.this.boxRoot.getSafeHeight()) {
                                        DialogImpl.this.boxBody.setY(DialogImpl.this.boxRoot.getSafeHeight() - f);
                                    }
                                    if (!PopMenu.this.offScreen) {
                                        float x = DialogImpl.this.boxBody.getX();
                                        float y = DialogImpl.this.boxBody.getY();
                                        if (x < 0.0f) {
                                            x = 0.0f;
                                        }
                                        if (DialogImpl.this.boxBody.getWidth() + x > DialogImpl.this.boxRoot.getWidth()) {
                                            x = DialogImpl.this.boxRoot.getWidth() - DialogImpl.this.boxBody.getWidth();
                                        }
                                        if (y < 0.0f) {
                                            y = 0.0f;
                                        }
                                        if (DialogImpl.this.boxBody.getHeight() + y > DialogImpl.this.boxRoot.getHeight()) {
                                            y = DialogImpl.this.boxRoot.getHeight() - DialogImpl.this.boxBody.getHeight();
                                        }
                                        DialogImpl.this.boxBody.setX(x);
                                        DialogImpl.this.boxBody.setY(y);
                                    }
                                    DialogImpl.this.boxBody.requestLayout();
                                }
                            };
                            animation.setInterpolator(new DecelerateInterpolator(2.0f));
                            animation.setDuration(j);
                            DialogImpl.this.boxBody.startAnimation(animation);
                            DialogImpl.this.boxBody.setVisibility(0);
                            if (PopMenu.this.getStyle().popMenuSettings() == null || PopMenu.this.getStyle().popMenuSettings().blurBackgroundSettings() == null || !PopMenu.this.getStyle().popMenuSettings().blurBackgroundSettings().blurBackground()) {
                                return;
                            }
                            int color = PopMenu.this.getResources().getColor(PopMenu.this.getStyle().popMenuSettings().blurBackgroundSettings().blurForwardColorRes(PopMenu.this.isLightTheme()));
                            DialogImpl.this.blurView = new BlurView(DialogImpl.this.boxBody.getContext(), null);
                            RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams(DialogImpl.this.boxBody.getWidth(), bodyRealHeight);
                            BlurView blurView = DialogImpl.this.blurView;
                            if (PopMenu.this.backgroundColor != -1) {
                                color = PopMenu.this.backgroundColor;
                            }
                            blurView.setOverlayColor(color);
                            DialogImpl.this.blurView.setTag("blurView");
                            DialogImpl.this.blurView.setRadiusPx(PopMenu.this.getStyle().popMenuSettings().blurBackgroundSettings().blurBackgroundRoundRadiusPx());
                            DialogImpl.this.boxBody.addView(DialogImpl.this.blurView, 0, layoutParams);
                            return;
                        }
                        RelativeLayout.LayoutParams layoutParams2 = (RelativeLayout.LayoutParams) DialogImpl.this.boxBody.getLayoutParams();
                        layoutParams2.addRule(13);
                        layoutParams2.width = PopMenu.this.getWidth() != -1 ? PopMenu.this.getWidth() : -1;
                        layoutParams2.leftMargin = PopMenu.this.dip2px(50.0f);
                        layoutParams2.rightMargin = PopMenu.this.dip2px(50.0f);
                        DialogImpl.this.boxBody.setLayoutParams(layoutParams2);
                        DialogImpl.this.boxBody.setAlpha(0.0f);
                        if (Build.VERSION.SDK_INT >= 21) {
                            DialogImpl.this.boxBody.setElevation(PopMenu.this.dip2px(20.0f));
                        }
                        DialogImpl.this.boxBody.setVisibility(0);
                        DialogImpl.this.boxBody.animate().alpha(1.0f).setDuration(j);
                        DialogImpl.this.boxBody.post(new Runnable() { // from class: com.kongzue.dialogx.dialogs.PopMenu.DialogImpl.8.2
                            @Override // java.lang.Runnable
                            public void run() {
                                if (PopMenu.this.getStyle().popMenuSettings() == null || PopMenu.this.getStyle().popMenuSettings().blurBackgroundSettings() == null || !PopMenu.this.getStyle().popMenuSettings().blurBackgroundSettings().blurBackground()) {
                                    return;
                                }
                                int color2 = PopMenu.this.getResources().getColor(PopMenu.this.getStyle().popMenuSettings().blurBackgroundSettings().blurForwardColorRes(PopMenu.this.isLightTheme()));
                                DialogImpl.this.blurView = new BlurView(DialogImpl.this.boxBody.getContext(), null);
                                RelativeLayout.LayoutParams layoutParams3 = new RelativeLayout.LayoutParams(DialogImpl.this.boxBody.getWidth(), DialogImpl.this.boxBody.getHeight());
                                BlurView blurView2 = DialogImpl.this.blurView;
                                if (PopMenu.this.backgroundColor != -1) {
                                    color2 = PopMenu.this.backgroundColor;
                                }
                                blurView2.setOverlayColor(color2);
                                DialogImpl.this.blurView.setTag("blurView");
                                DialogImpl.this.blurView.setRadiusPx(PopMenu.this.getStyle().popMenuSettings().blurBackgroundSettings().blurBackgroundRoundRadiusPx());
                                DialogImpl.this.boxBody.addView(DialogImpl.this.blurView, 0, layoutParams3);
                            }
                        });
                        ValueAnimator ofFloat = ValueAnimator.ofFloat(0.0f, 1.0f);
                        ofFloat.setDuration(j);
                        ofFloat.addUpdateListener(new ValueAnimator.AnimatorUpdateListener() { // from class: com.kongzue.dialogx.dialogs.PopMenu.DialogImpl.8.3
                            @Override // android.animation.ValueAnimator.AnimatorUpdateListener
                            public void onAnimationUpdate(ValueAnimator animation2) {
                                animProgress.run((Float) animation2.getAnimatedValue());
                            }
                        });
                        ofFloat.start();
                    }

                    /* renamed from: doExitAnim  reason: avoid collision after fix types in other method */
                    public void doExitAnim2(PopMenu dialog, final ObjectRunnable<Float> animProgress) {
                        if (PopMenu.overrideExitDuration != -1) {
                            PopMenu.this.exitAnimDuration = PopMenu.overrideExitDuration;
                        }
                        Animation loadAnimation = AnimationUtils.loadAnimation(BaseDialog.getTopActivity() == null ? DialogImpl.this.boxRoot.getContext() : BaseDialog.getTopActivity(), R.anim.anim_dialogx_default_exit);
                        if (PopMenu.this.exitAnimDuration != -1) {
                            loadAnimation.setDuration(PopMenu.this.exitAnimDuration);
                        }
                        DialogImpl.this.boxBody.startAnimation(loadAnimation);
                        DialogImpl.this.boxRoot.animate().alpha(0.0f).setInterpolator(new AccelerateInterpolator()).setDuration(PopMenu.this.exitAnimDuration == -1 ? loadAnimation.getDuration() : PopMenu.this.exitAnimDuration);
                        ValueAnimator ofFloat = ValueAnimator.ofFloat(1.0f, 0.0f);
                        ofFloat.setDuration(PopMenu.this.exitAnimDuration == -1 ? loadAnimation.getDuration() : PopMenu.this.exitAnimDuration);
                        ofFloat.addUpdateListener(new ValueAnimator.AnimatorUpdateListener() { // from class: com.kongzue.dialogx.dialogs.PopMenu.DialogImpl.8.4
                            @Override // android.animation.ValueAnimator.AnimatorUpdateListener
                            public void onAnimationUpdate(ValueAnimator animation) {
                                animProgress.run((Float) animation.getAnimatedValue());
                            }
                        });
                        ofFloat.start();
                    }
                };
            }
            return PopMenu.this.dialogXAnimImpl;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public int getBodyRealHeight() {
        if (getDialogImpl() == null) {
            return 0;
        }
        getDialogImpl().boxBody.measure(View.MeasureSpec.makeMeasureSpec(((View) getDialogImpl().boxBody.getParent()).getWidth(), BasicMeasure.EXACTLY), View.MeasureSpec.makeMeasureSpec(((View) getDialogImpl().boxBody.getParent()).getHeight(), Integer.MIN_VALUE));
        return getDialogImpl().boxBody.getMeasuredHeight();
    }

    public void dismiss() {
        this.closing = true;
        runOnMain(new Runnable() { // from class: com.kongzue.dialogx.dialogs.PopMenu.3
            @Override // java.lang.Runnable
            public void run() {
                if (PopMenu.this.dialogImpl == null) {
                    return;
                }
                PopMenu.this.dialogImpl.doDismiss(null);
            }
        });
    }

    @Override // com.kongzue.dialogx.interfaces.BaseDialog
    public void restartDialog() {
        View view = this.dialogView;
        if (view != null) {
            dismiss(view);
            this.isShow = false;
        }
        if (getDialogImpl().boxCustom != null) {
            getDialogImpl().boxCustom.removeAllViews();
        }
        show();
    }

    @Override // com.kongzue.dialogx.interfaces.BaseDialog
    public View getDialogView() {
        View view = this.dialogView;
        if (view == null) {
            return null;
        }
        return view;
    }

    public List<CharSequence> getMenuList() {
        return this.menuList;
    }

    public PopMenu setMenuList(List<CharSequence> menuList) {
        ArrayList arrayList = new ArrayList();
        this.menuList = arrayList;
        arrayList.addAll(menuList);
        refreshUI();
        return this;
    }

    public PopMenu setMenuList(String[] menuList) {
        ArrayList arrayList = new ArrayList();
        this.menuList = arrayList;
        arrayList.addAll(Arrays.asList(menuList));
        refreshUI();
        return this;
    }

    public PopMenu setMenuList(CharSequence[] menuList) {
        ArrayList arrayList = new ArrayList();
        this.menuList = arrayList;
        arrayList.addAll(Arrays.asList(menuList));
        refreshUI();
        return this;
    }

    public void refreshUI() {
        if (getDialogImpl() == null) {
            return;
        }
        runOnMain(new Runnable() { // from class: com.kongzue.dialogx.dialogs.PopMenu.4
            @Override // java.lang.Runnable
            public void run() {
                if (PopMenu.this.dialogImpl != null) {
                    PopMenu.this.dialogImpl.refreshView();
                }
            }
        });
    }

    public DialogImpl getDialogImpl() {
        return this.dialogImpl;
    }

    @Override // com.kongzue.dialogx.interfaces.BaseDialog
    public String dialogKey() {
        return getClass().getSimpleName() + "(" + Integer.toHexString(hashCode()) + ")";
    }

    public DialogLifecycleCallback<PopMenu> getDialogLifecycleCallback() {
        DialogLifecycleCallback<PopMenu> dialogLifecycleCallback = this.dialogLifecycleCallback;
        return dialogLifecycleCallback == null ? new DialogLifecycleCallback<PopMenu>() { // from class: com.kongzue.dialogx.dialogs.PopMenu.5
        } : dialogLifecycleCallback;
    }

    public PopMenu setDialogLifecycleCallback(DialogLifecycleCallback<PopMenu> dialogLifecycleCallback) {
        this.dialogLifecycleCallback = dialogLifecycleCallback;
        if (this.isShow) {
            dialogLifecycleCallback.onShow(this.f976me);
        }
        return this;
    }

    public boolean isOverlayBaseView() {
        return this.overlayBaseView;
    }

    public PopMenu setOverlayBaseView(boolean overlayBaseView) {
        this.overlayBaseView = overlayBaseView;
        refreshUI();
        return this;
    }

    public OnMenuItemClickListener<PopMenu> getOnMenuItemClickListener() {
        OnMenuItemClickListener<PopMenu> onMenuItemClickListener = this.onMenuItemClickListener;
        return onMenuItemClickListener == null ? new OnMenuItemClickListener<PopMenu>() { // from class: com.kongzue.dialogx.dialogs.PopMenu.6
            @Override // com.kongzue.dialogx.interfaces.OnMenuItemClickListener
            public boolean onClick(PopMenu dialog, CharSequence text, int index) {
                return false;
            }
        } : onMenuItemClickListener;
    }

    public PopMenu setOnMenuItemClickListener(OnMenuItemClickListener<PopMenu> onMenuItemClickListener) {
        this.onMenuItemClickListener = onMenuItemClickListener;
        return this;
    }

    public OnIconChangeCallBack<PopMenu> getOnIconChangeCallBack() {
        return this.onIconChangeCallBack;
    }

    public PopMenu setOnIconChangeCallBack(OnIconChangeCallBack<PopMenu> onIconChangeCallBack) {
        this.onIconChangeCallBack = onIconChangeCallBack;
        return this;
    }

    public PopMenu setCustomView(OnBindView<PopMenu> onBindView) {
        this.onBindView = onBindView;
        refreshUI();
        return this;
    }

    public View getCustomView() {
        OnBindView<PopMenu> onBindView = this.onBindView;
        if (onBindView == null) {
            return null;
        }
        return onBindView.getCustomView();
    }

    public PopMenu removeCustomView() {
        this.onBindView.clean();
        refreshUI();
        return this;
    }

    public int getWidth() {
        return this.width;
    }

    public PopMenu setWidth(int width) {
        this.width = width;
        refreshUI();
        return this;
    }

    public int getHeight() {
        return this.height;
    }

    public PopMenu setHeight(int height) {
        this.height = height;
        refreshUI();
        return this;
    }

    public int getAlignGravity() {
        return this.alignGravity;
    }

    public boolean isAlignGravity(int gravity) {
        return (this.alignGravity & gravity) == gravity;
    }

    public PopMenu setAlignGravity(int alignGravity) {
        this.alignGravity = alignGravity;
        return this;
    }

    public PopMenu setDialogImplMode(DialogX.IMPL_MODE dialogImplMode) {
        this.dialogImplMode = dialogImplMode;
        return this;
    }

    public TextInfo getMenuTextInfo() {
        TextInfo textInfo = this.menuTextInfo;
        return textInfo == null ? DialogX.menuTextInfo : textInfo;
    }

    public PopMenu setMenuTextInfo(TextInfo menuTextInfo) {
        this.menuTextInfo = menuTextInfo;
        return this;
    }

    public boolean isOffScreen() {
        return this.offScreen;
    }

    public PopMenu setOffScreen(boolean offScreen) {
        this.offScreen = offScreen;
        return this;
    }

    public boolean isBkgInterceptTouch() {
        return this.bkgInterceptTouch;
    }

    public PopMenu setBkgInterceptTouch(boolean bkgInterceptTouch) {
        this.bkgInterceptTouch = bkgInterceptTouch;
        return this;
    }

    public OnBackgroundMaskClickListener<PopMenu> getOnBackgroundMaskClickListener() {
        return this.onBackgroundMaskClickListener;
    }

    public PopMenu setOnBackgroundMaskClickListener(OnBackgroundMaskClickListener<PopMenu> onBackgroundMaskClickListener) {
        this.onBackgroundMaskClickListener = onBackgroundMaskClickListener;
        return this;
    }

    public PopMenu setStyle(DialogXStyle style) {
        this.style = style;
        return this;
    }

    public PopMenu setTheme(DialogX.THEME theme) {
        this.theme = theme;
        return this;
    }

    public PopMenu setRadius(float radiusPx) {
        this.backgroundRadius = radiusPx;
        refreshUI();
        return this;
    }

    public float getRadius() {
        return this.backgroundRadius;
    }

    public void hide() {
        this.isHide = true;
        this.hideWithExitAnim = false;
        if (getDialogView() != null) {
            getDialogView().setVisibility(8);
        }
    }

    public void hideWithExitAnim() {
        this.hideWithExitAnim = true;
        this.isHide = true;
        if (getDialogImpl() != null) {
            getDialogImpl().getDialogXAnimImpl().doExitAnim(this.f976me, new ObjectRunnable<Float>() { // from class: com.kongzue.dialogx.dialogs.PopMenu.7
                @Override // com.kongzue.dialogx.util.ObjectRunnable
                public void run(Float value) {
                    PopMenu.this.getDialogImpl().boxRoot.setBkgAlpha(value.floatValue());
                    if (value.floatValue() != 0.0f || PopMenu.this.getDialogView() == null) {
                        return;
                    }
                    PopMenu.this.getDialogView().setVisibility(8);
                }
            });
        }
    }

    public DialogXAnimInterface<PopMenu> getDialogXAnimImpl() {
        return this.dialogXAnimImpl;
    }

    public PopMenu setDialogXAnimImpl(DialogXAnimInterface<PopMenu> dialogXAnimImpl) {
        this.dialogXAnimImpl = dialogXAnimImpl;
        return this;
    }

    public OnBackPressedListener<PopMenu> getOnBackPressedListener() {
        return this.onBackPressedListener;
    }

    public PopMenu setOnBackPressedListener(OnBackPressedListener<PopMenu> onBackPressedListener) {
        this.onBackPressedListener = onBackPressedListener;
        return this;
    }

    public View getBaseView() {
        return this.baseView;
    }

    public PopMenu setBaseView(View baseView) {
        this.baseView = baseView;
        refreshUI();
        return this;
    }
}
