package com.kongzue.dialogx.dialogs;

import android.animation.ValueAnimator;
import android.app.Activity;
import android.graphics.Outline;
import android.graphics.Rect;
import android.graphics.drawable.GradientDrawable;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.view.View;
import android.view.ViewOutlineProvider;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.view.animation.DecelerateInterpolator;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.lifecycle.Lifecycle;
import com.kongzue.dialogx.DialogX;
import com.kongzue.dialogx.R;
import com.kongzue.dialogx.interfaces.BaseDialog;
import com.kongzue.dialogx.interfaces.DialogConvertViewInterface;
import com.kongzue.dialogx.interfaces.DialogLifecycleCallback;
import com.kongzue.dialogx.interfaces.DialogXAnimInterface;
import com.kongzue.dialogx.interfaces.DialogXStyle;
import com.kongzue.dialogx.interfaces.NoTouchInterface;
import com.kongzue.dialogx.interfaces.OnBindView;
import com.kongzue.dialogx.interfaces.OnDialogButtonClickListener;
import com.kongzue.dialogx.interfaces.OnSafeInsetsChangeListener;
import com.kongzue.dialogx.util.ObjectRunnable;
import com.kongzue.dialogx.util.TextInfo;
import com.kongzue.dialogx.util.views.DialogXBaseRelativeLayout;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Timer;
import java.util.TimerTask;
import java.util.concurrent.CopyOnWriteArrayList;
/* loaded from: classes10.dex */
public class PopTip extends BaseDialog implements NoTouchInterface {
    public static final int TIME_NO_AUTO_DISMISS_DELAY = -1;
    public static int overrideEnterAnimRes = 0;
    public static long overrideEnterDuration = -1;
    public static int overrideExitAnimRes = 0;
    public static long overrideExitDuration = -1;
    protected static List<PopTip> popTipList;
    protected DialogXStyle.PopTipSettings.ALIGN align;
    protected long autoDismissDelay;
    protected Timer autoDismissTimer;
    protected CharSequence buttonText;
    protected DialogImpl dialogImpl;
    protected DialogLifecycleCallback<PopTip> dialogLifecycleCallback;
    private View dialogView;
    protected DialogXAnimInterface<PopTip> dialogXAnimImpl;
    protected int iconResId;
    private boolean isHide;
    protected CharSequence message;
    protected TextInfo messageTextInfo;
    protected OnBindView<PopTip> onBindView;
    protected OnDialogButtonClickListener<PopTip> onButtonClickListener;
    protected OnDialogButtonClickListener<PopTip> onPopTipClickListener;
    protected BaseDialog.BOOLEAN tintIcon;

    /* renamed from: me  reason: collision with root package name */
    protected PopTip f978me = this;
    protected int enterAnimResId = 0;
    protected int exitAnimResId = 0;
    protected float backgroundRadius = -1.0f;
    protected TextInfo buttonTextInfo = new TextInfo().setBold(true);
    protected int[] bodyMargin = {-1, -1, -1, -1};
    protected boolean preRecycle = false;

    @Override // com.kongzue.dialogx.interfaces.BaseDialog
    public boolean isCancelable() {
        return false;
    }

    protected PopTip() {
    }

    public static PopTip build() {
        return new PopTip();
    }

    public static PopTip build(DialogXStyle style) {
        return new PopTip().setStyle(style);
    }

    public static PopTip build(OnBindView<PopTip> onBindView) {
        return new PopTip().setCustomView(onBindView);
    }

    public PopTip(OnBindView<PopTip> onBindView) {
        this.onBindView = onBindView;
    }

    public PopTip(CharSequence message) {
        this.message = message;
    }

    public PopTip(int messageResId) {
        this.message = getString(messageResId);
    }

    public PopTip(int iconResId, CharSequence message) {
        this.iconResId = iconResId;
        this.message = message;
    }

    public PopTip(int iconResId, CharSequence message, CharSequence buttonText) {
        this.iconResId = iconResId;
        this.message = message;
        this.buttonText = buttonText;
    }

    public PopTip(int iconResId, int messageResId, int buttonTextResId) {
        this.iconResId = iconResId;
        this.message = getString(messageResId);
        this.buttonText = getString(buttonTextResId);
    }

    public PopTip(CharSequence message, CharSequence buttonText) {
        this.message = message;
        this.buttonText = buttonText;
    }

    public PopTip(int messageResId, int buttonTextResId) {
        this.message = getString(messageResId);
        this.buttonText = getString(buttonTextResId);
    }

    public PopTip(CharSequence message, OnBindView<PopTip> onBindView) {
        this.message = message;
        this.onBindView = onBindView;
    }

    public PopTip(int messageResId, OnBindView<PopTip> onBindView) {
        this.message = getString(messageResId);
        this.onBindView = onBindView;
    }

    public PopTip(int iconResId, CharSequence message, OnBindView<PopTip> onBindView) {
        this.iconResId = iconResId;
        this.message = message;
        this.onBindView = onBindView;
    }

    public PopTip(int iconResId, CharSequence message, CharSequence buttonText, OnBindView<PopTip> onBindView) {
        this.iconResId = iconResId;
        this.message = message;
        this.buttonText = buttonText;
        this.onBindView = onBindView;
    }

    public PopTip(int iconResId, int messageResId, int buttonTextResId, OnBindView<PopTip> onBindView) {
        this.iconResId = iconResId;
        this.message = getString(messageResId);
        this.buttonText = getString(buttonTextResId);
        this.onBindView = onBindView;
    }

    public PopTip(CharSequence message, CharSequence buttonText, OnBindView<PopTip> onBindView) {
        this.message = message;
        this.buttonText = buttonText;
        this.onBindView = onBindView;
    }

    public PopTip(int messageResId, int buttonTextResId, OnBindView<PopTip> onBindView) {
        this.message = getString(messageResId);
        this.buttonText = getString(buttonTextResId);
        this.onBindView = onBindView;
    }

    public static PopTip show(OnBindView<PopTip> onBindView) {
        PopTip popTip = new PopTip(onBindView);
        popTip.show();
        return popTip;
    }

    public static PopTip show(CharSequence message) {
        PopTip popTip = new PopTip(message);
        popTip.show();
        return popTip;
    }

    public static PopTip show(int messageResId) {
        PopTip popTip = new PopTip(messageResId);
        popTip.show();
        return popTip;
    }

    public static PopTip show(CharSequence message, OnBindView<PopTip> onBindView) {
        PopTip popTip = new PopTip(message, onBindView);
        popTip.show();
        return popTip;
    }

    public static PopTip show(int messageResId, OnBindView<PopTip> onBindView) {
        PopTip popTip = new PopTip(messageResId, onBindView);
        popTip.show();
        return popTip;
    }

    public static PopTip show(CharSequence message, CharSequence buttonText) {
        PopTip popTip = new PopTip(message, buttonText);
        popTip.show();
        return popTip;
    }

    public static PopTip show(int messageResId, int buttonTextResId) {
        PopTip popTip = new PopTip(messageResId, buttonTextResId);
        popTip.show();
        return popTip;
    }

    public static PopTip show(int iconResId, CharSequence message, OnBindView<PopTip> onBindView) {
        PopTip popTip = new PopTip(iconResId, message, onBindView);
        popTip.show();
        return popTip;
    }

    public static PopTip show(int iconResId, CharSequence message) {
        PopTip popTip = new PopTip(iconResId, message);
        popTip.show();
        return popTip;
    }

    public static PopTip show(int iconResId, CharSequence message, CharSequence buttonText) {
        PopTip popTip = new PopTip(iconResId, message, buttonText);
        popTip.show();
        return popTip;
    }

    public static PopTip show(int iconResId, CharSequence message, CharSequence buttonText, OnBindView<PopTip> onBindView) {
        PopTip popTip = new PopTip(iconResId, message, buttonText, onBindView);
        popTip.show();
        return popTip;
    }

    public static PopTip show(int iconResId, int messageResId, int buttonTextResId, OnBindView<PopTip> onBindView) {
        PopTip popTip = new PopTip(iconResId, messageResId, buttonTextResId, onBindView);
        popTip.show();
        return popTip;
    }

    public static PopTip show(CharSequence message, CharSequence buttonText, OnBindView<PopTip> onBindView) {
        PopTip popTip = new PopTip(message, buttonText, onBindView);
        popTip.show();
        return popTip;
    }

    public static PopTip show(int messageResId, int buttonTextResId, OnBindView<PopTip> onBindView) {
        PopTip popTip = new PopTip(messageResId, buttonTextResId, onBindView);
        popTip.show();
        return popTip;
    }

    @Override // com.kongzue.dialogx.interfaces.BaseDialog
    public PopTip show() {
        if (this.isHide && getDialogView() != null) {
            getDialogView().setVisibility(0);
            return this;
        }
        super.beforeShow();
        if (getDialogView() == null) {
            if (DialogX.onlyOnePopTip) {
                PopTip popTip = null;
                List<PopTip> list = popTipList;
                if (list != null && !list.isEmpty()) {
                    List<PopTip> list2 = popTipList;
                    popTip = list2.get(list2.size() - 1);
                }
                if (popTip != null) {
                    popTip.dismiss();
                }
            } else if (popTipList != null) {
                for (int i2 = 0; i2 < popTipList.size(); i2++) {
                    popTipList.get(i2).moveUp();
                }
            }
            if (popTipList == null) {
                popTipList = new ArrayList();
            }
            popTipList.add(this);
            int i3 = isLightTheme() ? R.layout.layout_dialogx_poptip_material : R.layout.layout_dialogx_poptip_material_dark;
            if (this.style.popTipSettings() != null) {
                if (this.style.popTipSettings().layout(isLightTheme()) != 0) {
                    i3 = this.style.popTipSettings().layout(isLightTheme());
                }
                if (this.align == null) {
                    if (this.style.popTipSettings().align() == null) {
                        this.align = DialogXStyle.PopTipSettings.ALIGN.BOTTOM;
                    } else {
                        this.align = this.style.popTipSettings().align();
                    }
                }
                int enterAnimResId = this.style.popTipSettings().enterAnimResId(isLightTheme());
                int exitAnimResId = this.style.popTipSettings().exitAnimResId(isLightTheme());
                int i4 = this.enterAnimResId;
                if (i4 != 0 || (i4 = overrideEnterAnimRes) != 0) {
                    enterAnimResId = i4;
                } else if (enterAnimResId == 0) {
                    enterAnimResId = R.anim.anim_dialogx_default_enter;
                }
                this.enterAnimResId = enterAnimResId;
                int i5 = this.exitAnimResId;
                if (i5 != 0 || (i5 = overrideExitAnimRes) != 0) {
                    exitAnimResId = i5;
                } else if (exitAnimResId == 0) {
                    exitAnimResId = R.anim.anim_dialogx_default_exit;
                }
                this.exitAnimResId = exitAnimResId;
                this.enterAnimDuration = this.enterAnimDuration == -1 ? overrideEnterDuration : this.enterAnimDuration;
                this.exitAnimDuration = this.exitAnimDuration == -1 ? overrideExitDuration : this.exitAnimDuration;
            }
            this.dialogView = createView(i3);
            this.dialogImpl = new DialogImpl(this.dialogView);
            View view = this.dialogView;
            if (view != null) {
                view.setTag(this.f978me);
            }
        }
        show(this.dialogView);
        return this;
    }

    public PopTip show(Activity activity) {
        super.beforeShow();
        if (this.dialogView != null) {
            if (DialogX.onlyOnePopTip) {
                PopTip popTip = null;
                List<PopTip> list = popTipList;
                if (list != null && !list.isEmpty()) {
                    List<PopTip> list2 = popTipList;
                    popTip = list2.get(list2.size() - 1);
                }
                if (popTip != null) {
                    popTip.dismiss();
                }
            } else if (popTipList != null) {
                for (int i2 = 0; i2 < popTipList.size(); i2++) {
                    popTipList.get(i2).moveUp();
                }
            }
            if (popTipList == null) {
                popTipList = new ArrayList();
            }
            popTipList.add(this);
            int i3 = isLightTheme() ? R.layout.layout_dialogx_poptip_material : R.layout.layout_dialogx_poptip_material_dark;
            if (this.style.popTipSettings() != null) {
                if (this.style.popTipSettings().layout(isLightTheme()) != 0) {
                    i3 = this.style.popTipSettings().layout(isLightTheme());
                }
                if (this.align == null) {
                    if (this.style.popTipSettings().align() == null) {
                        this.align = DialogXStyle.PopTipSettings.ALIGN.BOTTOM;
                    } else {
                        this.align = this.style.popTipSettings().align();
                    }
                }
                int enterAnimResId = this.style.popTipSettings().enterAnimResId(isLightTheme());
                int exitAnimResId = this.style.popTipSettings().exitAnimResId(isLightTheme());
                int i4 = this.enterAnimResId;
                if (i4 != 0 || (i4 = overrideEnterAnimRes) != 0) {
                    enterAnimResId = i4;
                } else if (enterAnimResId == 0) {
                    enterAnimResId = R.anim.anim_dialogx_default_enter;
                }
                this.enterAnimResId = enterAnimResId;
                int i5 = this.exitAnimResId;
                if (i5 != 0 || (i5 = overrideExitAnimRes) != 0) {
                    exitAnimResId = i5;
                } else if (exitAnimResId == 0) {
                    exitAnimResId = R.anim.anim_dialogx_default_exit;
                }
                this.exitAnimResId = exitAnimResId;
                this.enterAnimDuration = this.enterAnimDuration == -1 ? overrideEnterDuration : this.enterAnimDuration;
                this.exitAnimDuration = this.exitAnimDuration == -1 ? overrideExitDuration : this.exitAnimDuration;
            }
            this.dialogView = createView(i3);
            this.dialogImpl = new DialogImpl(this.dialogView);
            View view = this.dialogView;
            if (view != null) {
                view.setTag(this.f978me);
            }
        }
        show(activity, this.dialogView);
        return this;
    }

    @Override // com.kongzue.dialogx.interfaces.BaseDialog
    public String dialogKey() {
        return getClass().getSimpleName() + "(" + Integer.toHexString(hashCode()) + ")";
    }

    public PopTip autoDismiss(long delay) {
        this.autoDismissDelay = delay;
        Timer timer = this.autoDismissTimer;
        if (timer != null) {
            timer.cancel();
        }
        if (delay < 0) {
            return this;
        }
        Timer timer2 = new Timer();
        this.autoDismissTimer = timer2;
        timer2.schedule(new TimerTask() { // from class: com.kongzue.dialogx.dialogs.PopTip.1
            @Override // java.util.TimerTask, java.lang.Runnable
            public void run() {
                PopTip.this.dismiss();
            }
        }, delay);
        return this;
    }

    public void resetAutoDismissTimer() {
        autoDismiss(this.autoDismissDelay);
    }

    public PopTip showShort() {
        autoDismiss(2000L);
        if (!this.preShow && !this.isShow) {
            show();
        }
        return this;
    }

    public PopTip showLong() {
        autoDismiss(3500L);
        if (!this.preShow && !this.isShow) {
            show();
        }
        return this;
    }

    public PopTip showAlways() {
        return noAutoDismiss();
    }

    public PopTip noAutoDismiss() {
        autoDismiss(-1L);
        return this;
    }

    /* loaded from: classes10.dex */
    public class DialogImpl implements DialogConvertViewInterface {
        public LinearLayout boxBody;
        public RelativeLayout boxCustom;
        public DialogXBaseRelativeLayout boxRoot;
        public ImageView imgDialogxPopIcon;
        public TextView txtDialogxButton;
        public TextView txtDialogxPopText;

        public DialogImpl(View convertView) {
            if (convertView == null) {
                return;
            }
            this.boxRoot = (DialogXBaseRelativeLayout) convertView.findViewById(R.id.box_root);
            this.boxBody = (LinearLayout) convertView.findViewById(R.id.box_body);
            this.imgDialogxPopIcon = (ImageView) convertView.findViewById(R.id.img_dialogx_pop_icon);
            this.txtDialogxPopText = (TextView) convertView.findViewById(R.id.txt_dialogx_pop_text);
            this.boxCustom = (RelativeLayout) convertView.findViewById(R.id.box_custom);
            this.txtDialogxButton = (TextView) convertView.findViewById(R.id.txt_dialogx_button);
            init();
            PopTip.this.dialogImpl = this;
            refreshView();
        }

        @Override // com.kongzue.dialogx.interfaces.DialogConvertViewInterface
        public void init() {
            if (PopTip.this.messageTextInfo == null) {
                PopTip.this.messageTextInfo = DialogX.popTextInfo;
            }
            if (PopTip.this.buttonTextInfo == null) {
                PopTip.this.buttonTextInfo = DialogX.buttonTextInfo;
            }
            if (PopTip.this.backgroundColor == -1) {
                PopTip.this.backgroundColor = DialogX.backgroundColor;
            }
            if (PopTip.this.autoDismissTimer == null) {
                PopTip.this.showShort();
            }
            this.boxRoot.setParentDialog(PopTip.this.f978me);
            this.boxRoot.setAutoUnsafePlacePadding(false);
            this.boxRoot.setOnLifecycleCallBack(new DialogXBaseRelativeLayout.OnLifecycleCallBack() { // from class: com.kongzue.dialogx.dialogs.PopTip.DialogImpl.1
                @Override // com.kongzue.dialogx.util.views.DialogXBaseRelativeLayout.OnLifecycleCallBack
                public void onShow() {
                    PopTip.this.isShow = true;
                    PopTip.this.preShow = false;
                    PopTip.this.lifecycle.setCurrentState(Lifecycle.State.CREATED);
                    DialogImpl.this.boxRoot.setAlpha(0.0f);
                    PopTip.this.onDialogShow();
                    PopTip.this.getDialogLifecycleCallback().onShow(PopTip.this.f978me);
                }

                @Override // com.kongzue.dialogx.util.views.DialogXBaseRelativeLayout.OnLifecycleCallBack
                public void onDismiss() {
                    if (PopTip.popTipList != null) {
                        PopTip.popTipList.remove(PopTip.this);
                    }
                    PopTip.this.isShow = false;
                    PopTip.this.getDialogLifecycleCallback().onDismiss(PopTip.this.f978me);
                    PopTip.this.dialogImpl = null;
                    PopTip.this.lifecycle.setCurrentState(Lifecycle.State.DESTROYED);
                    System.gc();
                }
            });
            RelativeLayout.LayoutParams layoutParams = (RelativeLayout.LayoutParams) this.boxBody.getLayoutParams();
            if (PopTip.this.align == null) {
                PopTip.this.align = DialogXStyle.PopTipSettings.ALIGN.BOTTOM;
            }
            int i2 = AnonymousClass6.$SwitchMap$com$kongzue$dialogx$interfaces$DialogXStyle$PopTipSettings$ALIGN[PopTip.this.align.ordinal()];
            if (i2 == 1) {
                layoutParams.removeRule(13);
                layoutParams.addRule(10);
            } else if (i2 == 2) {
                layoutParams.removeRule(13);
                layoutParams.addRule(12);
                this.boxRoot.setAutoUnsafePlacePadding(true);
            } else if (i2 == 3) {
                layoutParams.removeRule(10);
                layoutParams.removeRule(12);
                layoutParams.addRule(13);
            }
            this.boxBody.setLayoutParams(layoutParams);
            this.boxRoot.setOnSafeInsetsChangeListener(new OnSafeInsetsChangeListener() { // from class: com.kongzue.dialogx.dialogs.PopTip.DialogImpl.2
                @Override // com.kongzue.dialogx.interfaces.OnSafeInsetsChangeListener
                public void onChange(Rect unsafeRect) {
                    if (PopTip.this.align == DialogXStyle.PopTipSettings.ALIGN.TOP) {
                        DialogImpl.this.boxBody.setY(unsafeRect.top + PopTip.this.bodyMargin[1]);
                    } else if (PopTip.this.align == DialogXStyle.PopTipSettings.ALIGN.TOP_INSIDE) {
                        DialogImpl.this.boxBody.setPadding(0, unsafeRect.top, 0, 0);
                    }
                }
            });
            this.boxRoot.setOnBackPressedListener(new DialogXBaseRelativeLayout.PrivateBackPressedListener() { // from class: com.kongzue.dialogx.dialogs.PopTip.DialogImpl.3
                @Override // com.kongzue.dialogx.util.views.DialogXBaseRelativeLayout.PrivateBackPressedListener
                public boolean onBackPressed() {
                    return false;
                }
            });
            this.boxRoot.post(new Runnable() { // from class: com.kongzue.dialogx.dialogs.PopTip.DialogImpl.4
                @Override // java.lang.Runnable
                public void run() {
                    DialogImpl.this.getDialogXAnimImpl().doShowAnim(PopTip.this.f978me, null);
                    PopTip.this.lifecycle.setCurrentState(Lifecycle.State.RESUMED);
                }
            });
            this.txtDialogxButton.setOnClickListener(new View.OnClickListener() { // from class: com.kongzue.dialogx.dialogs.PopTip.DialogImpl.5
                @Override // android.view.View.OnClickListener
                public void onClick(View v) {
                    if (PopTip.this.onButtonClickListener != null) {
                        if (PopTip.this.onButtonClickListener.onClick(PopTip.this.f978me, v)) {
                            return;
                        }
                        DialogImpl.this.doDismiss(v);
                        return;
                    }
                    DialogImpl.this.doDismiss(v);
                }
            });
            PopTip.this.onDialogInit();
        }

        @Override // com.kongzue.dialogx.interfaces.DialogConvertViewInterface
        public void refreshView() {
            if (this.boxRoot == null || BaseDialog.getTopActivity() == null) {
                return;
            }
            if (PopTip.this.backgroundColor != -1) {
                PopTip popTip = PopTip.this;
                popTip.tintColor(this.boxBody, popTip.backgroundColor);
            }
            if (PopTip.this.onBindView != null && PopTip.this.onBindView.getCustomView() != null) {
                PopTip.this.onBindView.bindParent(this.boxCustom, PopTip.this.f978me);
                this.boxCustom.setVisibility(0);
            } else {
                this.boxCustom.setVisibility(8);
            }
            PopTip popTip2 = PopTip.this;
            popTip2.showText(this.txtDialogxPopText, popTip2.message);
            PopTip popTip3 = PopTip.this;
            popTip3.showText(this.txtDialogxButton, popTip3.buttonText);
            BaseDialog.useTextInfo(this.txtDialogxPopText, PopTip.this.messageTextInfo);
            BaseDialog.useTextInfo(this.txtDialogxButton, PopTip.this.buttonTextInfo);
            if (PopTip.this.iconResId != 0) {
                this.imgDialogxPopIcon.setVisibility(0);
                this.imgDialogxPopIcon.setImageResource(PopTip.this.iconResId);
                if (Build.VERSION.SDK_INT >= 21) {
                    if (PopTip.this.isTintIcon()) {
                        this.imgDialogxPopIcon.setImageTintList(this.txtDialogxPopText.getTextColors());
                    } else {
                        this.imgDialogxPopIcon.setImageTintList(null);
                    }
                }
            } else {
                this.imgDialogxPopIcon.setVisibility(8);
            }
            if (PopTip.this.backgroundRadius > -1.0f) {
                GradientDrawable gradientDrawable = (GradientDrawable) this.boxBody.getBackground();
                if (gradientDrawable != null) {
                    gradientDrawable.setCornerRadius(PopTip.this.backgroundRadius);
                }
                if (Build.VERSION.SDK_INT >= 21) {
                    this.boxBody.setOutlineProvider(new ViewOutlineProvider() { // from class: com.kongzue.dialogx.dialogs.PopTip.DialogImpl.6
                        @Override // android.view.ViewOutlineProvider
                        public void getOutline(View view, Outline outline) {
                            outline.setRoundRect(0, 0, view.getWidth(), view.getHeight(), PopTip.this.backgroundRadius);
                        }
                    });
                    this.boxBody.setClipToOutline(true);
                }
            }
            if (PopTip.this.onPopTipClickListener != null) {
                this.boxBody.setOnClickListener(new View.OnClickListener() { // from class: com.kongzue.dialogx.dialogs.PopTip.DialogImpl.7
                    @Override // android.view.View.OnClickListener
                    public void onClick(View v) {
                        if (PopTip.this.onPopTipClickListener.onClick(PopTip.this.f978me, v)) {
                            return;
                        }
                        PopTip.this.dismiss();
                    }
                });
            } else {
                this.boxBody.setOnClickListener(null);
                this.boxBody.setClickable(false);
            }
            RelativeLayout.LayoutParams layoutParams = (RelativeLayout.LayoutParams) this.boxBody.getLayoutParams();
            if (PopTip.this.bodyMargin[0] != -1) {
                layoutParams.leftMargin = PopTip.this.bodyMargin[0];
            }
            if (PopTip.this.bodyMargin[1] != -1) {
                layoutParams.topMargin = PopTip.this.bodyMargin[1];
            }
            if (PopTip.this.bodyMargin[2] != -1) {
                layoutParams.rightMargin = PopTip.this.bodyMargin[2];
            }
            if (PopTip.this.bodyMargin[3] != -1) {
                layoutParams.bottomMargin = PopTip.this.bodyMargin[3];
            }
            this.boxBody.setLayoutParams(layoutParams);
            PopTip.this.onDialogRefreshUI();
        }

        @Override // com.kongzue.dialogx.interfaces.DialogConvertViewInterface
        public void doDismiss(final View v) {
            if (v != null) {
                v.setEnabled(false);
            }
            if (PopTip.this.dismissAnimFlag) {
                return;
            }
            PopTip.this.dismissAnimFlag = true;
            this.boxRoot.post(new Runnable() { // from class: com.kongzue.dialogx.dialogs.PopTip.DialogImpl.8
                @Override // java.lang.Runnable
                public void run() {
                    DialogImpl.this.getDialogXAnimImpl().doExitAnim(PopTip.this.f978me, null);
                }
            });
        }

        protected DialogXAnimInterface<PopTip> getDialogXAnimImpl() {
            if (PopTip.this.dialogXAnimImpl == null) {
                PopTip.this.dialogXAnimImpl = new DialogXAnimInterface<PopTip>() { // from class: com.kongzue.dialogx.dialogs.PopTip.DialogImpl.9
                    @Override // com.kongzue.dialogx.interfaces.DialogXAnimInterface
                    public /* bridge */ /* synthetic */ void doExitAnim(PopTip dialog, ObjectRunnable animProgress) {
                        doExitAnim2(dialog, (ObjectRunnable<Float>) animProgress);
                    }

                    @Override // com.kongzue.dialogx.interfaces.DialogXAnimInterface
                    public /* bridge */ /* synthetic */ void doShowAnim(PopTip dialog, ObjectRunnable animProgress) {
                        doShowAnim2(dialog, (ObjectRunnable<Float>) animProgress);
                    }

                    /* renamed from: doShowAnim  reason: avoid collision after fix types in other method */
                    public void doShowAnim2(PopTip dialog, ObjectRunnable<Float> animProgress) {
                        Animation loadAnimation = AnimationUtils.loadAnimation(BaseDialog.getTopActivity(), PopTip.this.enterAnimResId == 0 ? R.anim.anim_dialogx_default_enter : PopTip.this.enterAnimResId);
                        loadAnimation.setInterpolator(new DecelerateInterpolator(2.0f));
                        if (PopTip.this.enterAnimDuration != -1) {
                            loadAnimation.setDuration(PopTip.this.enterAnimDuration);
                        }
                        loadAnimation.setFillAfter(true);
                        DialogImpl.this.boxBody.startAnimation(loadAnimation);
                        DialogImpl.this.boxRoot.animate().setDuration(PopTip.this.enterAnimDuration == -1 ? loadAnimation.getDuration() : PopTip.this.enterAnimDuration).alpha(1.0f).setInterpolator(new DecelerateInterpolator()).setListener(null);
                    }

                    /* renamed from: doExitAnim  reason: avoid collision after fix types in other method */
                    public void doExitAnim2(PopTip dialog, ObjectRunnable<Float> animProgress) {
                        Animation loadAnimation = AnimationUtils.loadAnimation(BaseDialog.getTopActivity() == null ? DialogImpl.this.boxRoot.getContext() : BaseDialog.getTopActivity(), PopTip.this.exitAnimResId == 0 ? R.anim.anim_dialogx_default_exit : PopTip.this.exitAnimResId);
                        if (PopTip.this.exitAnimDuration != -1) {
                            loadAnimation.setDuration(PopTip.this.exitAnimDuration);
                        }
                        loadAnimation.setFillAfter(true);
                        DialogImpl.this.boxBody.startAnimation(loadAnimation);
                        DialogImpl.this.boxRoot.animate().alpha(0.0f).setInterpolator(new AccelerateInterpolator()).setDuration(PopTip.this.exitAnimDuration == -1 ? loadAnimation.getDuration() : PopTip.this.exitAnimDuration);
                        new Handler(Looper.getMainLooper()).postDelayed(new Runnable() { // from class: com.kongzue.dialogx.dialogs.PopTip.DialogImpl.9.1
                            @Override // java.lang.Runnable
                            public void run() {
                                PopTip.this.waitForDismiss();
                            }
                        }, PopTip.this.exitAnimDuration == -1 ? loadAnimation.getDuration() : PopTip.this.exitAnimDuration);
                    }
                };
            }
            return PopTip.this.dialogXAnimImpl;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: com.kongzue.dialogx.dialogs.PopTip$6  reason: invalid class name */
    /* loaded from: classes10.dex */
    public static /* synthetic */ class AnonymousClass6 {
        static final /* synthetic */ int[] $SwitchMap$com$kongzue$dialogx$interfaces$DialogXStyle$PopTipSettings$ALIGN;

        static {
            int[] iArr = new int[DialogXStyle.PopTipSettings.ALIGN.values().length];
            $SwitchMap$com$kongzue$dialogx$interfaces$DialogXStyle$PopTipSettings$ALIGN = iArr;
            try {
                iArr[DialogXStyle.PopTipSettings.ALIGN.TOP.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                $SwitchMap$com$kongzue$dialogx$interfaces$DialogXStyle$PopTipSettings$ALIGN[DialogXStyle.PopTipSettings.ALIGN.BOTTOM.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                $SwitchMap$com$kongzue$dialogx$interfaces$DialogXStyle$PopTipSettings$ALIGN[DialogXStyle.PopTipSettings.ALIGN.CENTER.ordinal()] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            try {
                $SwitchMap$com$kongzue$dialogx$interfaces$DialogXStyle$PopTipSettings$ALIGN[DialogXStyle.PopTipSettings.ALIGN.TOP_INSIDE.ordinal()] = 4;
            } catch (NoSuchFieldError unused4) {
            }
            try {
                $SwitchMap$com$kongzue$dialogx$interfaces$DialogXStyle$PopTipSettings$ALIGN[DialogXStyle.PopTipSettings.ALIGN.BOTTOM_INSIDE.ordinal()] = 5;
            } catch (NoSuchFieldError unused5) {
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void waitForDismiss() {
        this.preRecycle = true;
        List<PopTip> list = popTipList;
        if (list != null) {
            for (PopTip popTip : list) {
                if (!popTip.preRecycle) {
                    return;
                }
            }
            Iterator it = new CopyOnWriteArrayList(popTipList).iterator();
            while (it.hasNext()) {
                dismiss(((PopTip) it.next()).dialogView);
            }
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:24:0x0055, code lost:
        if (r2 != 5) goto L23;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void moveUp() {
        float y;
        float height;
        if (getDialogImpl() == null || getDialogImpl().boxBody == null) {
            return;
        }
        LinearLayout linearLayout = getDialogImpl().boxBody;
        if (getDialogImpl() == null || linearLayout == null) {
            return;
        }
        if (this.style.popTipSettings() != null) {
            this.align = this.style.popTipSettings().align();
        }
        if (this.align == null) {
            this.align = DialogXStyle.PopTipSettings.ALIGN.TOP;
        }
        float f = 0.0f;
        int i2 = AnonymousClass6.$SwitchMap$com$kongzue$dialogx$interfaces$DialogXStyle$PopTipSettings$ALIGN[this.align.ordinal()];
        if (i2 == 1) {
            f = linearLayout.getY() + (linearLayout.getHeight() * 1.3f);
        } else {
            if (i2 != 2 && i2 != 3) {
                if (i2 == 4) {
                    y = linearLayout.getY() + linearLayout.getHeight();
                    height = linearLayout.getPaddingTop();
                    f = y - height;
                }
            }
            y = linearLayout.getY();
            height = linearLayout.getHeight() * 1.3f;
            f = y - height;
        }
        if (linearLayout.getTag() instanceof ValueAnimator) {
            ((ValueAnimator) linearLayout.getTag()).end();
        }
        ValueAnimator ofFloat = ValueAnimator.ofFloat(linearLayout.getY(), f);
        linearLayout.setTag(ofFloat);
        ofFloat.addUpdateListener(new ValueAnimator.AnimatorUpdateListener() { // from class: com.kongzue.dialogx.dialogs.PopTip.2
            @Override // android.animation.ValueAnimator.AnimatorUpdateListener
            public void onAnimationUpdate(ValueAnimator animation) {
                if (PopTip.this.getDialogImpl() == null || !PopTip.this.isShow) {
                    animation.cancel();
                    return;
                }
                LinearLayout linearLayout2 = PopTip.this.getDialogImpl().boxBody;
                if (linearLayout2 == null || !linearLayout2.isAttachedToWindow()) {
                    return;
                }
                linearLayout2.setY(((Float) animation.getAnimatedValue()).floatValue());
            }
        });
        ofFloat.setDuration(this.enterAnimDuration == -1 ? 300L : this.enterAnimDuration).setInterpolator(new DecelerateInterpolator(2.0f));
        ofFloat.start();
    }

    public void refreshUI() {
        if (getDialogImpl() == null) {
            return;
        }
        runOnMain(new Runnable() { // from class: com.kongzue.dialogx.dialogs.PopTip.3
            @Override // java.lang.Runnable
            public void run() {
                if (PopTip.this.dialogImpl != null) {
                    PopTip.this.dialogImpl.refreshView();
                }
            }
        });
    }

    public void dismiss() {
        runOnMain(new Runnable() { // from class: com.kongzue.dialogx.dialogs.PopTip.4
            @Override // java.lang.Runnable
            public void run() {
                if (PopTip.this.dialogImpl == null) {
                    return;
                }
                PopTip.this.dialogImpl.doDismiss(null);
            }
        });
    }

    public DialogLifecycleCallback<PopTip> getDialogLifecycleCallback() {
        DialogLifecycleCallback<PopTip> dialogLifecycleCallback = this.dialogLifecycleCallback;
        return dialogLifecycleCallback == null ? new DialogLifecycleCallback<PopTip>() { // from class: com.kongzue.dialogx.dialogs.PopTip.5
        } : dialogLifecycleCallback;
    }

    public PopTip setDialogLifecycleCallback(DialogLifecycleCallback<PopTip> dialogLifecycleCallback) {
        this.dialogLifecycleCallback = dialogLifecycleCallback;
        if (this.isShow) {
            dialogLifecycleCallback.onShow(this.f978me);
        }
        return this;
    }

    public PopTip setStyle(DialogXStyle style) {
        this.style = style;
        return this;
    }

    public PopTip setTheme(DialogX.THEME theme) {
        this.theme = theme;
        return this;
    }

    public DialogImpl getDialogImpl() {
        return this.dialogImpl;
    }

    public PopTip setCustomView(OnBindView<PopTip> onBindView) {
        this.onBindView = onBindView;
        refreshUI();
        return this;
    }

    public View getCustomView() {
        OnBindView<PopTip> onBindView = this.onBindView;
        if (onBindView == null) {
            return null;
        }
        return onBindView.getCustomView();
    }

    public PopTip removeCustomView() {
        this.onBindView.clean();
        refreshUI();
        return this;
    }

    public DialogXStyle.PopTipSettings.ALIGN getAlign() {
        return this.align;
    }

    @Deprecated
    public PopTip setAlign(DialogXStyle.PopTipSettings.ALIGN align) {
        this.align = align;
        return this;
    }

    public int getIconResId() {
        return this.iconResId;
    }

    public PopTip setIconResId(int iconResId) {
        this.iconResId = iconResId;
        refreshUI();
        return this;
    }

    public CharSequence getMessage() {
        return this.message;
    }

    public PopTip setMessage(CharSequence message) {
        this.message = message;
        refreshUI();
        return this;
    }

    public PopTip setMessage(int messageResId) {
        this.message = getString(messageResId);
        refreshUI();
        return this;
    }

    public CharSequence getButtonText() {
        return this.buttonText;
    }

    public PopTip setButton(CharSequence buttonText) {
        this.buttonText = buttonText;
        refreshUI();
        return this;
    }

    public PopTip setButton(int buttonTextResId) {
        this.buttonText = getString(buttonTextResId);
        refreshUI();
        return this;
    }

    public PopTip setButton(CharSequence buttonText, OnDialogButtonClickListener<PopTip> onButtonClickListener) {
        this.buttonText = buttonText;
        this.onButtonClickListener = onButtonClickListener;
        refreshUI();
        return this;
    }

    public PopTip setButton(int buttonTextResId, OnDialogButtonClickListener<PopTip> onButtonClickListener) {
        this.buttonText = getString(buttonTextResId);
        this.onButtonClickListener = onButtonClickListener;
        refreshUI();
        return this;
    }

    public PopTip setButton(OnDialogButtonClickListener<PopTip> onButtonClickListener) {
        this.onButtonClickListener = onButtonClickListener;
        return this;
    }

    public TextInfo getMessageTextInfo() {
        return this.messageTextInfo;
    }

    public PopTip setMessageTextInfo(TextInfo messageTextInfo) {
        this.messageTextInfo = messageTextInfo;
        refreshUI();
        return this;
    }

    public TextInfo getButtonTextInfo() {
        return this.buttonTextInfo;
    }

    public PopTip setButtonTextInfo(TextInfo buttonTextInfo) {
        this.buttonTextInfo = buttonTextInfo;
        refreshUI();
        return this;
    }

    public OnDialogButtonClickListener<PopTip> getOnButtonClickListener() {
        return this.onButtonClickListener;
    }

    public PopTip setOnButtonClickListener(OnDialogButtonClickListener<PopTip> onButtonClickListener) {
        this.onButtonClickListener = onButtonClickListener;
        return this;
    }

    @Deprecated
    public boolean isAutoTintIconInLightOrDarkMode() {
        return isTintIcon();
    }

    @Deprecated
    public PopTip setAutoTintIconInLightOrDarkMode(boolean autoTintIconInLightOrDarkMode) {
        setTintIcon(autoTintIconInLightOrDarkMode);
        return this;
    }

    public OnDialogButtonClickListener<PopTip> getOnPopTipClickListener() {
        return this.onPopTipClickListener;
    }

    public PopTip setOnPopTipClickListener(OnDialogButtonClickListener<PopTip> onPopTipClickListener) {
        this.onPopTipClickListener = onPopTipClickListener;
        refreshUI();
        return this;
    }

    public int getBackgroundColor() {
        return this.backgroundColor;
    }

    public PopTip setBackgroundColor(int backgroundColor) {
        this.backgroundColor = backgroundColor;
        refreshUI();
        return this;
    }

    public PopTip setBackgroundColorRes(int backgroundColorResId) {
        this.backgroundColor = getColor(backgroundColorResId);
        refreshUI();
        return this;
    }

    public long getEnterAnimDuration() {
        return this.enterAnimDuration;
    }

    public PopTip setEnterAnimDuration(long enterAnimDuration) {
        this.enterAnimDuration = enterAnimDuration;
        return this;
    }

    public long getExitAnimDuration() {
        return this.exitAnimDuration;
    }

    public PopTip setExitAnimDuration(long exitAnimDuration) {
        this.exitAnimDuration = exitAnimDuration;
        return this;
    }

    @Override // com.kongzue.dialogx.interfaces.BaseDialog
    public void restartDialog() {
        View view = this.dialogView;
        if (view != null) {
            dismiss(view);
            this.isShow = false;
        }
        if (getDialogImpl().boxCustom != null) {
            getDialogImpl().boxCustom.removeAllViews();
        }
        if (DialogX.onlyOnePopTip) {
            PopTip popTip = null;
            List<PopTip> list = popTipList;
            if (list != null && !list.isEmpty()) {
                List<PopTip> list2 = popTipList;
                popTip = list2.get(list2.size() - 1);
            }
            if (popTip != null) {
                popTip.dismiss();
            }
        } else if (popTipList != null) {
            for (int i2 = 0; i2 < popTipList.size(); i2++) {
                popTipList.get(i2).moveUp();
            }
        }
        if (popTipList == null) {
            popTipList = new ArrayList();
        }
        popTipList.add(this);
        int i3 = isLightTheme() ? R.layout.layout_dialogx_poptip_material : R.layout.layout_dialogx_poptip_material_dark;
        if (this.style.popTipSettings() != null) {
            if (this.style.popTipSettings().layout(isLightTheme()) != 0) {
                i3 = this.style.popTipSettings().layout(isLightTheme());
            }
            if (this.align == null) {
                if (this.style.popTipSettings().align() == null) {
                    this.align = DialogXStyle.PopTipSettings.ALIGN.BOTTOM;
                } else {
                    this.align = this.style.popTipSettings().align();
                }
            }
            int enterAnimResId = this.style.popTipSettings().enterAnimResId(isLightTheme());
            int exitAnimResId = this.style.popTipSettings().exitAnimResId(isLightTheme());
            int i4 = this.enterAnimResId;
            if (i4 != 0 || (i4 = overrideEnterAnimRes) != 0) {
                enterAnimResId = i4;
            } else if (enterAnimResId == 0) {
                enterAnimResId = R.anim.anim_dialogx_default_enter;
            }
            this.enterAnimResId = enterAnimResId;
            int i5 = this.exitAnimResId;
            if (i5 != 0 || (i5 = overrideExitAnimRes) != 0) {
                exitAnimResId = i5;
            } else if (exitAnimResId == 0) {
                exitAnimResId = R.anim.anim_dialogx_default_exit;
            }
            this.exitAnimResId = exitAnimResId;
            this.enterAnimDuration = this.enterAnimDuration == -1 ? overrideEnterDuration : this.enterAnimDuration;
            this.exitAnimDuration = this.exitAnimDuration == -1 ? overrideExitDuration : this.exitAnimDuration;
        }
        this.enterAnimDuration = 0L;
        this.dialogView = createView(i3);
        this.dialogImpl = new DialogImpl(this.dialogView);
        View view2 = this.dialogView;
        if (view2 != null) {
            view2.setTag(this.f978me);
        }
        show(this.dialogView);
    }

    public void hide() {
        this.isHide = true;
        if (getDialogView() != null) {
            getDialogView().setVisibility(8);
        }
    }

    public PopTip setAnimResId(int enterResId, int exitResId) {
        this.enterAnimResId = enterResId;
        this.exitAnimResId = exitResId;
        return this;
    }

    public PopTip setEnterAnimResId(int enterResId) {
        this.enterAnimResId = enterResId;
        return this;
    }

    public PopTip setExitAnimResId(int exitResId) {
        this.exitAnimResId = exitResId;
        return this;
    }

    @Override // com.kongzue.dialogx.interfaces.BaseDialog
    protected void shutdown() {
        dismiss();
    }

    public PopTip setDialogImplMode(DialogX.IMPL_MODE dialogImplMode) {
        this.dialogImplMode = dialogImplMode;
        return this;
    }

    public PopTip setMargin(int left, int top2, int right, int bottom) {
        int[] iArr = this.bodyMargin;
        iArr[0] = left;
        iArr[1] = top2;
        iArr[2] = right;
        iArr[3] = bottom;
        refreshUI();
        return this;
    }

    public PopTip setMarginLeft(int left) {
        this.bodyMargin[0] = left;
        refreshUI();
        return this;
    }

    public PopTip setMarginTop(int top2) {
        this.bodyMargin[1] = top2;
        refreshUI();
        return this;
    }

    public PopTip setMarginRight(int right) {
        this.bodyMargin[2] = right;
        refreshUI();
        return this;
    }

    public PopTip setMarginBottom(int bottom) {
        this.bodyMargin[3] = bottom;
        refreshUI();
        return this;
    }

    public int getMarginLeft() {
        return this.bodyMargin[0];
    }

    public int getMarginTop() {
        return this.bodyMargin[1];
    }

    public int getMarginRight() {
        return this.bodyMargin[2];
    }

    public int getMarginBottom() {
        return this.bodyMargin[3];
    }

    public PopTip iconSuccess() {
        setTintIcon(false);
        int i2 = R.mipmap.ico_dialogx_success;
        if (getStyle().popTipSettings() != null && getStyle().popTipSettings().defaultIconSuccess() != 0) {
            i2 = getStyle().popTipSettings().defaultIconSuccess();
        }
        setIconResId(i2);
        return this;
    }

    public PopTip iconWarning() {
        setTintIcon(false);
        int i2 = R.mipmap.ico_dialogx_warning;
        if (getStyle().popTipSettings() != null && getStyle().popTipSettings().defaultIconWarning() != 0) {
            i2 = getStyle().popTipSettings().defaultIconWarning();
        }
        setIconResId(i2);
        return this;
    }

    public PopTip iconError() {
        setTintIcon(false);
        int i2 = R.mipmap.ico_dialogx_error;
        if (getStyle().popTipSettings() != null && getStyle().popTipSettings().defaultIconError() != 0) {
            i2 = getStyle().popTipSettings().defaultIconError();
        }
        setIconResId(i2);
        return this;
    }

    public boolean isTintIcon() {
        if (this.tintIcon != null || getStyle().popTipSettings() == null) {
            return this.tintIcon == BaseDialog.BOOLEAN.TRUE;
        }
        return getStyle().popTipSettings().tintIcon();
    }

    public PopTip setTintIcon(boolean tintIcon) {
        this.tintIcon = tintIcon ? BaseDialog.BOOLEAN.TRUE : BaseDialog.BOOLEAN.FALSE;
        refreshUI();
        return this;
    }

    public PopTip setRadius(float radiusPx) {
        this.backgroundRadius = radiusPx;
        refreshUI();
        return this;
    }

    public float getRadius() {
        return this.backgroundRadius;
    }

    public DialogXAnimInterface<PopTip> getDialogXAnimImpl() {
        return this.dialogXAnimImpl;
    }

    public PopTip setDialogXAnimImpl(DialogXAnimInterface<PopTip> dialogXAnimImpl) {
        this.dialogXAnimImpl = dialogXAnimImpl;
        return this;
    }
}
