package com.kongzue.dialogx.style;

import android.content.Context;
import android.content.res.Resources;
import com.kongzue.dialogx.interfaces.DialogXStyle;
import com.kongzue.dialogx.interfaces.ProgressViewInterface;
import com.kongzue.dialogx.iostheme.R;
import com.kongzue.dialogx.style.views.ProgressView;
/* loaded from: classes2.dex */
public class IOSStyle extends DialogXStyle {
    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int exitAnimResId() {
        return 0;
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int splitWidthPx() {
        return 1;
    }

    public static IOSStyle style() {
        return new IOSStyle();
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int layout(boolean light) {
        return light ? R.layout.layout_dialogx_ios : R.layout.layout_dialogx_ios_dark;
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int enterAnimResId() {
        return R.anim.anim_dialogx_ios_enter;
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int[] verticalButtonOrder() {
        return new int[]{1, 5, 3, 5, 2};
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int[] horizontalButtonOrder() {
        return new int[]{2, 5, 3, 5, 1};
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int splitColorRes(boolean light) {
        return light ? R.color.dialogxIOSSplitLight : R.color.dialogxIOSSplitDark;
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.BlurBackgroundSetting messageDialogBlurSettings() {
        return new DialogXStyle.BlurBackgroundSetting() { // from class: com.kongzue.dialogx.style.IOSStyle.1
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BlurBackgroundSetting
            public boolean blurBackground() {
                return true;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BlurBackgroundSetting
            public int blurForwardColorRes(boolean light) {
                return light ? R.color.dialogxIOSBkgLight : R.color.dialogxIOSBkgDark;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BlurBackgroundSetting
            public int blurBackgroundRoundRadiusPx() {
                return IOSStyle.this.dip2px(15.0f);
            }
        };
    }

    /* JADX INFO: Access modifiers changed from: private */
    public int dip2px(float dpValue) {
        return (int) ((dpValue * Resources.getSystem().getDisplayMetrics().density) + 0.5f);
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.HorizontalButtonRes overrideHorizontalButtonRes() {
        return new DialogXStyle.HorizontalButtonRes() { // from class: com.kongzue.dialogx.style.IOSStyle.2
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.HorizontalButtonRes
            public int overrideHorizontalOkButtonBackgroundRes(int visibleButtonCount, boolean light) {
                return visibleButtonCount == 1 ? light ? R.drawable.button_dialogx_ios_bottom_light : R.drawable.button_dialogx_ios_bottom_night : light ? R.drawable.button_dialogx_ios_right_light : R.drawable.button_dialogx_ios_right_night;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.HorizontalButtonRes
            public int overrideHorizontalCancelButtonBackgroundRes(int visibleButtonCount, boolean light) {
                return light ? R.drawable.button_dialogx_ios_left_light : R.drawable.button_dialogx_ios_left_night;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.HorizontalButtonRes
            public int overrideHorizontalOtherButtonBackgroundRes(int visibleButtonCount, boolean light) {
                return light ? R.drawable.button_dialogx_ios_center_light : R.drawable.button_dialogx_ios_center_night;
            }
        };
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.VerticalButtonRes overrideVerticalButtonRes() {
        return new DialogXStyle.VerticalButtonRes() { // from class: com.kongzue.dialogx.style.IOSStyle.3
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.VerticalButtonRes
            public int overrideVerticalOkButtonBackgroundRes(int visibleButtonCount, boolean light) {
                return light ? R.drawable.button_dialogx_ios_center_light : R.drawable.button_dialogx_ios_center_night;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.VerticalButtonRes
            public int overrideVerticalCancelButtonBackgroundRes(int visibleButtonCount, boolean light) {
                return light ? R.drawable.button_dialogx_ios_bottom_light : R.drawable.button_dialogx_ios_bottom_night;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.VerticalButtonRes
            public int overrideVerticalOtherButtonBackgroundRes(int visibleButtonCount, boolean light) {
                return light ? R.drawable.button_dialogx_ios_center_light : R.drawable.button_dialogx_ios_center_night;
            }
        };
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.WaitTipRes overrideWaitTipRes() {
        return new DialogXStyle.WaitTipRes() { // from class: com.kongzue.dialogx.style.IOSStyle.4
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.WaitTipRes
            public boolean blurBackground() {
                return true;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.WaitTipRes
            public int overrideRadiusPx() {
                return -1;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.WaitTipRes
            public int overrideTextColorRes(boolean light) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.WaitTipRes
            public int overrideWaitLayout(boolean light) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.WaitTipRes
            public int overrideBackgroundColorRes(boolean light) {
                return light ? R.color.dialogxIOSWaitBkgDark : R.color.dialogxIOSWaitBkgLight;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.WaitTipRes
            public ProgressViewInterface overrideWaitView(Context context, boolean light) {
                return new ProgressView(context).setLightMode(light);
            }
        };
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.BottomDialogRes overrideBottomDialogRes() {
        return new DialogXStyle.BottomDialogRes() { // from class: com.kongzue.dialogx.style.IOSStyle.5
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public float overrideBottomDialogMaxHeight() {
                return 0.0f;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideMenuDividerHeight(boolean light) {
                return 1;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideMultiSelectionImage(boolean light, boolean isSelected) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideSelectionImage(boolean light, boolean isSelected) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideSelectionMenuBackgroundColor(boolean light) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public boolean selectionImageTint(boolean light) {
                return true;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public boolean touchSlide() {
                return false;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideDialogLayout(boolean light) {
                return light ? R.layout.layout_dialogx_bottom_ios : R.layout.layout_dialogx_bottom_ios_dark;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideMenuDividerDrawableRes(boolean light) {
                return light ? R.drawable.rect_dialogx_ios_menu_split_divider : R.drawable.rect_dialogx_ios_menu_split_divider_night;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideMenuTextColor(boolean light) {
                return light ? R.color.dialogxIOSBlue : R.color.dialogxIOSBlueDark;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideMenuItemLayout(boolean light, int index, int count, boolean isContentVisibility) {
                if (light) {
                    if (index == 0) {
                        return isContentVisibility ? R.layout.item_dialogx_ios_bottom_menu_center_light : R.layout.item_dialogx_ios_bottom_menu_top_light;
                    } else if (index == count - 1) {
                        return R.layout.item_dialogx_ios_bottom_menu_bottom_light;
                    } else {
                        return R.layout.item_dialogx_ios_bottom_menu_center_light;
                    }
                } else if (index == 0) {
                    return isContentVisibility ? R.layout.item_dialogx_ios_bottom_menu_center_dark : R.layout.item_dialogx_ios_bottom_menu_top_dark;
                } else if (index == count - 1) {
                    return R.layout.item_dialogx_ios_bottom_menu_bottom_dark;
                } else {
                    return R.layout.item_dialogx_ios_bottom_menu_center_dark;
                }
            }
        };
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.PopTipSettings popTipSettings() {
        return new DialogXStyle.PopTipSettings() { // from class: com.kongzue.dialogx.style.IOSStyle.6
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopTipSettings
            public boolean tintIcon() {
                return false;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopTipSettings
            public int layout(boolean light) {
                return light ? R.layout.layout_dialogx_poptip_ios : R.layout.layout_dialogx_poptip_ios_dark;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopTipSettings
            public DialogXStyle.PopTipSettings.ALIGN align() {
                return DialogXStyle.PopTipSettings.ALIGN.TOP;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopTipSettings
            public int enterAnimResId(boolean light) {
                return R.anim.anim_dialogx_ios_top_enter;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopTipSettings
            public int exitAnimResId(boolean light) {
                return R.anim.anim_dialogx_ios_top_exit;
            }
        };
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.PopNotificationSettings popNotificationSettings() {
        return new DialogXStyle.PopNotificationSettings() { // from class: com.kongzue.dialogx.style.IOSStyle.7
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopNotificationSettings
            public boolean tintIcon() {
                return false;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopNotificationSettings
            public int layout(boolean light) {
                return light ? R.layout.layout_dialogx_popnotification_ios : R.layout.layout_dialogx_popnotification_ios_dark;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopNotificationSettings
            public DialogXStyle.PopNotificationSettings.ALIGN align() {
                return DialogXStyle.PopNotificationSettings.ALIGN.TOP;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopNotificationSettings
            public int enterAnimResId(boolean light) {
                return com.kongzue.dialogx.R.anim.anim_dialogx_notification_enter;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopNotificationSettings
            public int exitAnimResId(boolean light) {
                return com.kongzue.dialogx.R.anim.anim_dialogx_notification_exit;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopNotificationSettings
            public DialogXStyle.BlurBackgroundSetting blurBackgroundSettings() {
                return new DialogXStyle.BlurBackgroundSetting() { // from class: com.kongzue.dialogx.style.IOSStyle.7.1
                    @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BlurBackgroundSetting
                    public boolean blurBackground() {
                        return true;
                    }

                    {
                        IOSStyle iOSStyle = IOSStyle.this;
                    }

                    @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BlurBackgroundSetting
                    public int blurForwardColorRes(boolean light) {
                        return light ? R.color.dialogxIOSNotificationBkgLight : R.color.dialogxIOSNotificationBkgDark;
                    }

                    @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BlurBackgroundSetting
                    public int blurBackgroundRoundRadiusPx() {
                        return IOSStyle.this.dip2px(18.0f);
                    }
                };
            }
        };
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.PopMenuSettings popMenuSettings() {
        return new DialogXStyle.PopMenuSettings() { // from class: com.kongzue.dialogx.style.IOSStyle.8
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int overrideMenuDividerHeight(boolean light) {
                return 1;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int overrideMenuTextColor(boolean light) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int overrideSelectionMenuBackgroundColor(boolean light) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int paddingVertical() {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public boolean selectionImageTint(boolean light) {
                return false;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int layout(boolean light) {
                return light ? R.layout.layout_dialogx_popmenu_ios : R.layout.layout_dialogx_popmenu_ios_dark;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public DialogXStyle.BlurBackgroundSetting blurBackgroundSettings() {
                return new DialogXStyle.BlurBackgroundSetting() { // from class: com.kongzue.dialogx.style.IOSStyle.8.1
                    @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BlurBackgroundSetting
                    public boolean blurBackground() {
                        return true;
                    }

                    {
                        IOSStyle iOSStyle = IOSStyle.this;
                    }

                    @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BlurBackgroundSetting
                    public int blurForwardColorRes(boolean light) {
                        return light ? R.color.dialogxIOSBkgLight : R.color.dialogxIOSBkgDark;
                    }

                    @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BlurBackgroundSetting
                    public int blurBackgroundRoundRadiusPx() {
                        return IOSStyle.this.dip2px(15.0f);
                    }
                };
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int backgroundMaskColorRes() {
                return R.color.black20;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int overrideMenuDividerDrawableRes(boolean light) {
                return light ? R.drawable.rect_dialogx_ios_menu_split_divider : R.drawable.rect_dialogx_ios_menu_split_divider_night;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int overrideMenuItemLayoutRes(boolean light) {
                return light ? R.layout.item_dialogx_ios_popmenu_light : R.layout.item_dialogx_ios_popmenu_dark;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int overrideMenuItemBackgroundRes(boolean light, int index, int count, boolean isContentVisibility) {
                if (light) {
                    if (index == 0) {
                        return R.drawable.button_dialogx_ios_top_light;
                    }
                    if (index == count - 1) {
                        return R.drawable.button_dialogx_ios_bottom_light;
                    }
                    return R.drawable.button_dialogx_ios_center_light;
                } else if (index == 0) {
                    return R.drawable.button_dialogx_ios_top_night;
                } else {
                    if (index == count - 1) {
                        return R.drawable.button_dialogx_ios_bottom_night;
                    }
                    return R.drawable.button_dialogx_ios_center_night;
                }
            }
        };
    }
}
