package com.kongzue.dialogx.style;

import android.content.Context;
import android.content.res.Resources;
import com.kongzue.dialogx.interfaces.DialogXStyle;
import com.kongzue.dialogx.interfaces.ProgressViewInterface;
import com.kongzue.dialogx.miuistyle.R;
/* loaded from: classes.dex */
public class MIUIStyle extends DialogXStyle {
    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.BlurBackgroundSetting messageDialogBlurSettings() {
        return null;
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.HorizontalButtonRes overrideHorizontalButtonRes() {
        return null;
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.VerticalButtonRes overrideVerticalButtonRes() {
        return null;
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.PopTipSettings popTipSettings() {
        return null;
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int splitColorRes(boolean light) {
        return 0;
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int splitWidthPx() {
        return 0;
    }

    public static MIUIStyle style() {
        return new MIUIStyle();
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int layout(boolean light) {
        return light ? R.layout.layout_dialogx_miui : R.layout.layout_dialogx_miui_dark;
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int enterAnimResId() {
        return R.anim.anim_dialogx_bottom_enter;
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int exitAnimResId() {
        return R.anim.anim_dialogx_bottom_exit;
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int[] verticalButtonOrder() {
        return new int[]{1, 3, 2};
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int[] horizontalButtonOrder() {
        return new int[]{2, 3, 1};
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.WaitTipRes overrideWaitTipRes() {
        return new DialogXStyle.WaitTipRes() { // from class: com.kongzue.dialogx.style.MIUIStyle.1
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.WaitTipRes
            public boolean blurBackground() {
                return false;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.WaitTipRes
            public int overrideBackgroundColorRes(boolean light) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.WaitTipRes
            public int overrideRadiusPx() {
                return -1;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.WaitTipRes
            public int overrideWaitLayout(boolean light) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.WaitTipRes
            public ProgressViewInterface overrideWaitView(Context context, boolean light) {
                return null;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.WaitTipRes
            public int overrideTextColorRes(boolean light) {
                return light ? R.color.white : R.color.black;
            }
        };
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.BottomDialogRes overrideBottomDialogRes() {
        return new DialogXStyle.BottomDialogRes() { // from class: com.kongzue.dialogx.style.MIUIStyle.2
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public float overrideBottomDialogMaxHeight() {
                return 0.6f;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideMenuDividerDrawableRes(boolean light) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideMenuDividerHeight(boolean light) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideMultiSelectionImage(boolean b, boolean b1) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideSelectionImage(boolean light, boolean isSelected) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public boolean selectionImageTint(boolean light) {
                return false;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public boolean touchSlide() {
                return false;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideDialogLayout(boolean light) {
                return light ? R.layout.layout_dialogx_bottom_miui : R.layout.layout_dialogx_bottom_miui_dark;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideMenuTextColor(boolean light) {
                return light ? R.color.black : R.color.dialogxMIUITextDark;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideMenuItemLayout(boolean light, int index, int count, boolean isContentVisibility) {
                if (light) {
                    if (index == 0) {
                        return R.layout.item_dialogx_miui_bottom_menu_top_light;
                    }
                    if (index == count - 1) {
                        return R.layout.item_dialogx_miui_bottom_menu_bottom_light;
                    }
                    return R.layout.item_dialogx_miui_bottom_menu_center_light;
                } else if (index == 0) {
                    return R.layout.item_dialogx_miui_bottom_menu_top_dark;
                } else {
                    if (index == count - 1) {
                        return R.layout.item_dialogx_miui_bottom_menu_bottom_dark;
                    }
                    return R.layout.item_dialogx_miui_bottom_menu_center_dark;
                }
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideSelectionMenuBackgroundColor(boolean light) {
                return light ? R.color.dialogxMIUIItemSelectionBkg : R.color.dialogxMIUIItemSelectionBkgDark;
            }
        };
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.PopNotificationSettings popNotificationSettings() {
        return new DialogXStyle.PopNotificationSettings() { // from class: com.kongzue.dialogx.style.MIUIStyle.3
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopNotificationSettings
            public boolean tintIcon() {
                return false;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopNotificationSettings
            public int layout(boolean light) {
                return light ? R.layout.layout_dialogx_popnotification_miui : R.layout.layout_dialogx_popnotification_miui_dark;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopNotificationSettings
            public DialogXStyle.PopNotificationSettings.ALIGN align() {
                return DialogXStyle.PopNotificationSettings.ALIGN.TOP;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopNotificationSettings
            public int enterAnimResId(boolean light) {
                return R.anim.anim_dialogx_notification_enter;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopNotificationSettings
            public int exitAnimResId(boolean light) {
                return R.anim.anim_dialogx_notification_exit;
            }
        };
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.PopMenuSettings popMenuSettings() {
        return new DialogXStyle.PopMenuSettings() { // from class: com.kongzue.dialogx.style.MIUIStyle.4
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public DialogXStyle.BlurBackgroundSetting blurBackgroundSettings() {
                return null;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int overrideMenuDividerDrawableRes(boolean b) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int overrideMenuDividerHeight(boolean b) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int overrideMenuTextColor(boolean b) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int overrideSelectionMenuBackgroundColor(boolean b) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public boolean selectionImageTint(boolean b) {
                return false;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int layout(boolean light) {
                return light ? R.layout.layout_dialogx_popmenu_miui : R.layout.layout_dialogx_popmenu_miui_dark;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int backgroundMaskColorRes() {
                return R.color.black20;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int overrideMenuItemLayoutRes(boolean b) {
                return R.layout.item_dialogx_miui_popmenu;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int overrideMenuItemBackgroundRes(boolean light, int index, int count, boolean isContentVisibility) {
                if (light) {
                    if (index == 0) {
                        return R.drawable.button_dialogx_miui_top_light;
                    }
                    if (index == count - 1) {
                        return R.drawable.button_dialogx_miui_bottom_light;
                    }
                    return R.drawable.button_dialogx_miui_center_light;
                } else if (index == 0) {
                    return R.drawable.button_dialogx_miui_top_night;
                } else {
                    if (index == count - 1) {
                        return R.drawable.button_dialogx_miui_bottom_night;
                    }
                    return R.drawable.button_dialogx_miui_center_night;
                }
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int paddingVertical() {
                return MIUIStyle.this.dip2px(10.0f);
            }
        };
    }

    /* JADX INFO: Access modifiers changed from: private */
    public int dip2px(float dpValue) {
        return (int) ((dpValue * Resources.getSystem().getDisplayMetrics().density) + 0.5f);
    }
}
