package com.kongzue.dialogx.style;

import android.content.Context;
import com.kongzue.dialogx.R;
import com.kongzue.dialogx.interfaces.DialogXStyle;
import com.kongzue.dialogx.interfaces.ProgressViewInterface;
import com.kongzue.dialogx.util.views.ProgressView;
/* loaded from: classes10.dex */
public class MaterialStyle extends DialogXStyle {
    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.BlurBackgroundSetting messageDialogBlurSettings() {
        return null;
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int splitColorRes(boolean light) {
        return 0;
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int splitWidthPx() {
        return 1;
    }

    public static MaterialStyle style() {
        return new MaterialStyle();
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int layout(boolean light) {
        return light ? R.layout.layout_dialogx_material : R.layout.layout_dialogx_material_dark;
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int enterAnimResId() {
        return R.anim.anim_dialogx_default_enter;
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int exitAnimResId() {
        return R.anim.anim_dialogx_default_exit;
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int[] verticalButtonOrder() {
        return new int[]{1, 3, 2};
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public int[] horizontalButtonOrder() {
        return new int[]{3, 4, 2, 1};
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.HorizontalButtonRes overrideHorizontalButtonRes() {
        return new DialogXStyle.HorizontalButtonRes() { // from class: com.kongzue.dialogx.style.MaterialStyle.1
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.HorizontalButtonRes
            public int overrideHorizontalOkButtonBackgroundRes(int visibleButtonCount, boolean light) {
                return light ? R.drawable.button_dialogx_material_light : R.drawable.button_dialogx_material_night;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.HorizontalButtonRes
            public int overrideHorizontalCancelButtonBackgroundRes(int visibleButtonCount, boolean light) {
                return light ? R.drawable.button_dialogx_material_light : R.drawable.button_dialogx_material_night;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.HorizontalButtonRes
            public int overrideHorizontalOtherButtonBackgroundRes(int visibleButtonCount, boolean light) {
                return light ? R.drawable.button_dialogx_material_light : R.drawable.button_dialogx_material_night;
            }
        };
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.VerticalButtonRes overrideVerticalButtonRes() {
        return new DialogXStyle.VerticalButtonRes() { // from class: com.kongzue.dialogx.style.MaterialStyle.2
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.VerticalButtonRes
            public int overrideVerticalOkButtonBackgroundRes(int visibleButtonCount, boolean light) {
                return light ? R.drawable.button_dialogx_material_light : R.drawable.button_dialogx_material_night;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.VerticalButtonRes
            public int overrideVerticalCancelButtonBackgroundRes(int visibleButtonCount, boolean light) {
                return light ? R.drawable.button_dialogx_material_light : R.drawable.button_dialogx_material_night;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.VerticalButtonRes
            public int overrideVerticalOtherButtonBackgroundRes(int visibleButtonCount, boolean light) {
                return light ? R.drawable.button_dialogx_material_light : R.drawable.button_dialogx_material_night;
            }
        };
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.WaitTipRes overrideWaitTipRes() {
        return new DialogXStyle.WaitTipRes() { // from class: com.kongzue.dialogx.style.MaterialStyle.3
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.WaitTipRes
            public boolean blurBackground() {
                return false;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.WaitTipRes
            public int overrideBackgroundColorRes(boolean light) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.WaitTipRes
            public int overrideRadiusPx() {
                return -1;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.WaitTipRes
            public int overrideWaitLayout(boolean light) {
                return R.layout.layout_dialogx_wait;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.WaitTipRes
            public int overrideTextColorRes(boolean light) {
                return light ? R.color.white : R.color.black;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.WaitTipRes
            public ProgressViewInterface overrideWaitView(Context context, boolean light) {
                return new ProgressView(context);
            }
        };
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.BottomDialogRes overrideBottomDialogRes() {
        return new DialogXStyle.BottomDialogRes() { // from class: com.kongzue.dialogx.style.MaterialStyle.4
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public float overrideBottomDialogMaxHeight() {
                return 0.6f;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideMenuDividerHeight(boolean light) {
                return 1;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideMenuItemLayout(boolean light, int index, int count, boolean isContentVisibility) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideSelectionMenuBackgroundColor(boolean light) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public boolean selectionImageTint(boolean light) {
                return false;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public boolean touchSlide() {
                return true;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideDialogLayout(boolean light) {
                return light ? R.layout.layout_dialogx_bottom_material : R.layout.layout_dialogx_bottom_material_dark;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideMenuDividerDrawableRes(boolean light) {
                return light ? R.drawable.rect_dialogx_material_menu_split_divider : R.drawable.rect_dialogx_material_menu_split_divider_night;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideMenuTextColor(boolean light) {
                return light ? R.color.black90 : R.color.white90;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideSelectionImage(boolean light, boolean isSelected) {
                return isSelected ? R.mipmap.img_dialogx_bottom_menu_material_item_selection : R.mipmap.img_dialogx_bottom_menu_material_item_non_select;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.BottomDialogRes
            public int overrideMultiSelectionImage(boolean light, boolean isSelected) {
                return isSelected ? R.mipmap.img_dialogx_bottom_menu_material_item_multi_selection : R.mipmap.img_dialogx_bottom_menu_material_item_non_multi_select;
            }
        };
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.PopTipSettings popTipSettings() {
        return new DialogXStyle.PopTipSettings() { // from class: com.kongzue.dialogx.style.MaterialStyle.5
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopTipSettings
            public boolean tintIcon() {
                return true;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopTipSettings
            public int layout(boolean light) {
                return light ? R.layout.layout_dialogx_poptip_material : R.layout.layout_dialogx_poptip_material_dark;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopTipSettings
            public DialogXStyle.PopTipSettings.ALIGN align() {
                return DialogXStyle.PopTipSettings.ALIGN.BOTTOM;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopTipSettings
            public int enterAnimResId(boolean light) {
                return R.anim.anim_dialogx_default_enter;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopTipSettings
            public int exitAnimResId(boolean light) {
                return R.anim.anim_dialogx_default_exit;
            }
        };
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.PopNotificationSettings popNotificationSettings() {
        return new DialogXStyle.PopNotificationSettings() { // from class: com.kongzue.dialogx.style.MaterialStyle.6
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopNotificationSettings
            public boolean tintIcon() {
                return false;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopNotificationSettings
            public int layout(boolean light) {
                return light ? R.layout.layout_dialogx_popnotification_material : R.layout.layout_dialogx_popnotification_material_dark;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopNotificationSettings
            public DialogXStyle.PopNotificationSettings.ALIGN align() {
                return DialogXStyle.PopNotificationSettings.ALIGN.TOP;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopNotificationSettings
            public int enterAnimResId(boolean light) {
                return R.anim.anim_dialogx_notification_enter;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopNotificationSettings
            public int exitAnimResId(boolean light) {
                return R.anim.anim_dialogx_notification_exit;
            }
        };
    }

    @Override // com.kongzue.dialogx.interfaces.DialogXStyle
    public DialogXStyle.PopMenuSettings popMenuSettings() {
        return new DialogXStyle.PopMenuSettings() { // from class: com.kongzue.dialogx.style.MaterialStyle.7
            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int backgroundMaskColorRes() {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public DialogXStyle.BlurBackgroundSetting blurBackgroundSettings() {
                return null;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int overrideMenuDividerDrawableRes(boolean b) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int overrideMenuDividerHeight(boolean b) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int overrideMenuItemBackgroundRes(boolean b, int i2, int i1, boolean b1) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int overrideMenuItemLayoutRes(boolean b) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int overrideSelectionMenuBackgroundColor(boolean b) {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int paddingVertical() {
                return 0;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public boolean selectionImageTint(boolean b) {
                return false;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int layout(boolean light) {
                return light ? R.layout.layout_dialogx_popmenu_material : R.layout.layout_dialogx_popmenu_material_dark;
            }

            @Override // com.kongzue.dialogx.interfaces.DialogXStyle.PopMenuSettings
            public int overrideMenuTextColor(boolean light) {
                return light ? R.color.black90 : R.color.white90;
            }
        };
    }
}
