package com.kongzue.dialogx.util;

import android.animation.ObjectAnimator;
import android.content.res.Resources;
import android.view.MotionEvent;
import android.view.View;
import com.kongzue.dialogx.DialogX;
import com.kongzue.dialogx.dialogs.BottomDialog;
import com.kongzue.dialogx.interfaces.ScrollController;
/* loaded from: classes10.dex */
public class BottomDialogTouchEventInterceptor {
    private float bkgOldY;
    private float bkgTouchDownY;
    private boolean isBkgTouched = false;
    private int oldMode;
    private float scrolledY;

    public BottomDialogTouchEventInterceptor(BottomDialog me2, BottomDialog.DialogImpl impl) {
        refresh(me2, impl);
    }

    public void refresh(final BottomDialog me2, final BottomDialog.DialogImpl impl) {
        if (me2 == null || impl == null || impl.bkg == null || impl.scrollView == null) {
            return;
        }
        if (me2.isAllowInterceptTouch()) {
            impl.bkg.setOnTouchListener(new View.OnTouchListener() { // from class: com.kongzue.dialogx.util.BottomDialogTouchEventInterceptor.1
                /* JADX WARN: Code restructure failed: missing block: B:8:0x000e, code lost:
                    if (r8 != 3) goto L8;
                 */
                @Override // android.view.View.OnTouchListener
                /*
                    Code decompiled incorrectly, please refer to instructions dump.
                */
                public boolean onTouch(View v, MotionEvent event) {
                    int action = event.getAction();
                    if (action != 0) {
                        if (action != 1) {
                            if (action == 2) {
                                if (BottomDialogTouchEventInterceptor.this.isBkgTouched) {
                                    float y = (impl.boxBkg.getY() + event.getY()) - BottomDialogTouchEventInterceptor.this.bkgTouchDownY;
                                    if (impl.scrollView.isCanScroll()) {
                                        if (y > impl.boxRoot.getUnsafePlace().top) {
                                            if (impl.scrollView.getScrollDistance() != 0) {
                                                BottomDialogTouchEventInterceptor.this.bkgTouchDownY = event.getY();
                                            } else {
                                                if (impl.scrollView instanceof ScrollController) {
                                                    impl.scrollView.lockScroll(true);
                                                }
                                                impl.boxBkg.setY(y);
                                            }
                                        } else {
                                            if (impl.scrollView instanceof ScrollController) {
                                                impl.scrollView.lockScroll(false);
                                            }
                                            impl.boxBkg.setY(impl.boxRoot.getUnsafePlace().top);
                                        }
                                    } else if (y > impl.boxRoot.getUnsafePlace().top) {
                                        impl.boxBkg.setY(y);
                                        return true;
                                    } else {
                                        impl.boxBkg.setY(impl.boxRoot.getUnsafePlace().top);
                                    }
                                }
                            }
                        }
                        BottomDialogTouchEventInterceptor.this.scrolledY = impl.scrollView.getScrollDistance();
                        BottomDialogTouchEventInterceptor.this.isBkgTouched = false;
                        if (BottomDialogTouchEventInterceptor.this.bkgOldY != impl.boxRoot.getUnsafePlace().top) {
                            if (impl.boxBkg.getY() <= BottomDialogTouchEventInterceptor.this.bkgOldY + DialogX.touchSlideTriggerThreshold) {
                                if (impl.boxBkg.getY() != BottomDialogTouchEventInterceptor.this.bkgOldY) {
                                    ObjectAnimator ofFloat = ObjectAnimator.ofFloat(impl.boxBkg, "y", impl.boxBkg.getY(), impl.boxRoot.getUnsafePlace().top);
                                    ofFloat.setDuration(300L);
                                    ofFloat.start();
                                }
                            } else {
                                impl.preDismiss();
                            }
                        } else if (impl.boxBkg.getY() <= impl.boxRoot.getUnsafePlace().top + impl.bkgEnterAimY + DialogX.touchSlideTriggerThreshold) {
                            if (impl.boxBkg.getY() != BottomDialogTouchEventInterceptor.this.bkgOldY) {
                                ObjectAnimator ofFloat2 = ObjectAnimator.ofFloat(impl.boxBkg, "y", impl.boxBkg.getY(), impl.bkgEnterAimY);
                                ofFloat2.setDuration(300L);
                                ofFloat2.start();
                            }
                        } else {
                            impl.preDismiss();
                        }
                    } else {
                        BottomDialogTouchEventInterceptor.this.bkgTouchDownY = event.getY();
                        BottomDialogTouchEventInterceptor.this.isBkgTouched = true;
                        BottomDialogTouchEventInterceptor.this.bkgOldY = impl.boxBkg.getY();
                    }
                    return false;
                }
            });
            return;
        }
        if (impl.scrollView instanceof ScrollController) {
            impl.scrollView.lockScroll(false);
        }
        impl.bkg.setOnTouchListener(null);
    }

    private int dip2px(float dpValue) {
        return (int) ((dpValue * Resources.getSystem().getDisplayMetrics().density) + 0.5f);
    }
}
