package com.kongzue.dialogx.util;

import android.content.Context;
import android.content.res.ColorStateList;
import android.os.Build;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.Space;
import android.widget.TextView;
import com.kongzue.dialogx.R;
import com.kongzue.dialogx.dialogs.BottomMenu;
import com.kongzue.dialogx.interfaces.BaseDialog;
import java.util.List;
/* loaded from: classes10.dex */
public class BottomMenuArrayAdapter extends BaseAdapter {
    private BottomMenu bottomMenu;
    public Context context;
    TextInfo defaultMenuTextInfo;
    public List<CharSequence> objects;

    @Override // android.widget.Adapter
    public long getItemId(int position) {
        return position;
    }

    public BottomMenuArrayAdapter(BottomMenu bottomMenu, Context context, List<CharSequence> objects) {
        this.objects = objects;
        this.context = context;
        this.bottomMenu = bottomMenu;
    }

    /* loaded from: classes10.dex */
    class ViewHolder {
        ImageView imgDialogxMenuIcon;
        ImageView imgDialogxMenuSelection;
        Space spaceDialogxRightPadding;
        TextView txtDialogxMenuText;

        ViewHolder() {
        }
    }

    @Override // android.widget.Adapter
    public int getCount() {
        return this.objects.size();
    }

    @Override // android.widget.Adapter
    public CharSequence getItem(int position) {
        return this.objects.get(position);
    }

    @Override // android.widget.Adapter
    public View getView(int position, View convertView, ViewGroup parent) {
        View view;
        ViewHolder viewHolder;
        if (convertView == null) {
            viewHolder = new ViewHolder();
            LayoutInflater from = LayoutInflater.from(this.context);
            int i2 = R.layout.item_dialogx_material_bottom_menu_normal_text;
            if (this.bottomMenu.getStyle().overrideBottomDialogRes() != null) {
                i2 = this.bottomMenu.getStyle().overrideBottomDialogRes().overrideMenuItemLayout(this.bottomMenu.isLightTheme(), position, getCount(), false);
                if (i2 == 0) {
                    i2 = R.layout.item_dialogx_material_bottom_menu_normal_text;
                } else if ((!BaseDialog.isNull(this.bottomMenu.getTitle()) || !BaseDialog.isNull(this.bottomMenu.getMessage()) || this.bottomMenu.getCustomView() != null) && position == 0) {
                    i2 = this.bottomMenu.getStyle().overrideBottomDialogRes().overrideMenuItemLayout(this.bottomMenu.isLightTheme(), position, getCount(), true);
                }
            }
            view = from.inflate(i2, (ViewGroup) null);
            viewHolder.imgDialogxMenuIcon = (ImageView) view.findViewById(R.id.img_dialogx_menu_icon);
            viewHolder.imgDialogxMenuSelection = (ImageView) view.findViewById(R.id.img_dialogx_menu_selection);
            viewHolder.txtDialogxMenuText = (TextView) view.findViewById(R.id.txt_dialogx_menu_text);
            viewHolder.spaceDialogxRightPadding = (Space) view.findViewById(R.id.space_dialogx_right_padding);
            view.setTag(viewHolder);
        } else {
            view = convertView;
            viewHolder = (ViewHolder) convertView.getTag();
        }
        if (this.bottomMenu.getSelectMode() == BottomMenu.SELECT_MODE.SINGLE) {
            if (viewHolder.imgDialogxMenuSelection != null) {
                if (this.bottomMenu.getSelection() == position) {
                    viewHolder.imgDialogxMenuSelection.setVisibility(0);
                    int overrideSelectionImage = this.bottomMenu.getStyle().overrideBottomDialogRes().overrideSelectionImage(this.bottomMenu.isLightTheme(), true);
                    if (overrideSelectionImage != 0) {
                        viewHolder.imgDialogxMenuSelection.setImageResource(overrideSelectionImage);
                    }
                } else {
                    int overrideSelectionImage2 = this.bottomMenu.getStyle().overrideBottomDialogRes().overrideSelectionImage(this.bottomMenu.isLightTheme(), false);
                    if (overrideSelectionImage2 != 0) {
                        viewHolder.imgDialogxMenuSelection.setVisibility(0);
                        viewHolder.imgDialogxMenuSelection.setImageResource(overrideSelectionImage2);
                    } else {
                        viewHolder.imgDialogxMenuSelection.setVisibility(4);
                    }
                }
            }
        } else if (this.bottomMenu.getSelectMode() == BottomMenu.SELECT_MODE.MULTIPLE) {
            if (viewHolder.imgDialogxMenuSelection != null) {
                if (this.bottomMenu.getSelectionList().contains(Integer.valueOf(position))) {
                    viewHolder.imgDialogxMenuSelection.setVisibility(0);
                    int overrideMultiSelectionImage = this.bottomMenu.getStyle().overrideBottomDialogRes().overrideMultiSelectionImage(this.bottomMenu.isLightTheme(), true);
                    if (overrideMultiSelectionImage != 0) {
                        viewHolder.imgDialogxMenuSelection.setImageResource(overrideMultiSelectionImage);
                    }
                } else {
                    int overrideMultiSelectionImage2 = this.bottomMenu.getStyle().overrideBottomDialogRes().overrideMultiSelectionImage(this.bottomMenu.isLightTheme(), false);
                    if (overrideMultiSelectionImage2 != 0) {
                        viewHolder.imgDialogxMenuSelection.setVisibility(0);
                        viewHolder.imgDialogxMenuSelection.setImageResource(overrideMultiSelectionImage2);
                    } else {
                        viewHolder.imgDialogxMenuSelection.setVisibility(4);
                    }
                }
            }
        } else {
            viewHolder.imgDialogxMenuSelection.setVisibility(8);
        }
        int overrideSelectionMenuBackgroundColor = this.bottomMenu.getStyle().overrideBottomDialogRes() != null ? this.bottomMenu.getStyle().overrideBottomDialogRes().overrideSelectionMenuBackgroundColor(this.bottomMenu.isLightTheme()) : 0;
        if (this.bottomMenu.getSelection() == position && overrideSelectionMenuBackgroundColor != 0 && Build.VERSION.SDK_INT >= 21) {
            view.setBackgroundTintList(ColorStateList.valueOf(this.context.getResources().getColor(overrideSelectionMenuBackgroundColor)));
        }
        CharSequence charSequence = this.objects.get(position);
        int i3 = this.bottomMenu.isLightTheme() ? R.color.black90 : R.color.white90;
        if (this.bottomMenu.getStyle().overrideBottomDialogRes() != null && this.bottomMenu.getStyle().overrideBottomDialogRes().overrideMenuTextColor(this.bottomMenu.isLightTheme()) != 0) {
            i3 = this.bottomMenu.getStyle().overrideBottomDialogRes().overrideMenuTextColor(this.bottomMenu.isLightTheme());
        }
        if (charSequence != null) {
            if (this.defaultMenuTextInfo == null) {
                this.defaultMenuTextInfo = new TextInfo().setShowEllipsis(viewHolder.txtDialogxMenuText.getEllipsize() == TextUtils.TruncateAt.END).setFontColor(viewHolder.txtDialogxMenuText.getTextColors().getDefaultColor()).setBold(viewHolder.txtDialogxMenuText.getPaint().isFakeBoldText()).setFontSize(px2dip(viewHolder.txtDialogxMenuText.getTextSize())).setGravity(viewHolder.txtDialogxMenuText.getGravity()).setMaxLines(viewHolder.txtDialogxMenuText.getMaxLines());
            }
            viewHolder.txtDialogxMenuText.setText(charSequence);
            viewHolder.txtDialogxMenuText.setTextColor(this.context.getResources().getColor(i3));
            if (this.bottomMenu.getMenuItemTextInfoInterceptor() != null) {
                TextInfo menuItemTextInfo = this.bottomMenu.getMenuItemTextInfoInterceptor().menuItemTextInfo(this.bottomMenu, position, charSequence.toString());
                if (menuItemTextInfo != null) {
                    BaseDialog.useTextInfo(viewHolder.txtDialogxMenuText, menuItemTextInfo);
                } else if (this.bottomMenu.getMenuTextInfo() != null) {
                    BaseDialog.useTextInfo(viewHolder.txtDialogxMenuText, this.bottomMenu.getMenuTextInfo());
                } else {
                    BaseDialog.useTextInfo(viewHolder.txtDialogxMenuText, this.defaultMenuTextInfo);
                }
            } else if (this.bottomMenu.getMenuTextInfo() != null) {
                BaseDialog.useTextInfo(viewHolder.txtDialogxMenuText, this.bottomMenu.getMenuTextInfo());
            }
            if (Build.VERSION.SDK_INT >= 21 && viewHolder.imgDialogxMenuSelection != null) {
                if (this.bottomMenu.getStyle().overrideBottomDialogRes() != null && this.bottomMenu.getStyle().overrideBottomDialogRes().selectionImageTint(this.bottomMenu.isLightTheme())) {
                    viewHolder.imgDialogxMenuSelection.setImageTintList(ColorStateList.valueOf(this.context.getResources().getColor(i3)));
                } else {
                    viewHolder.imgDialogxMenuSelection.setImageTintList(null);
                }
            }
            if (this.bottomMenu.getOnIconChangeCallBack() != null) {
                int icon = this.bottomMenu.getOnIconChangeCallBack().getIcon(this.bottomMenu, position, charSequence.toString());
                boolean isAutoTintIconInLightOrDarkMode = this.bottomMenu.getOnIconChangeCallBack().isAutoTintIconInLightOrDarkMode();
                if (icon != 0) {
                    viewHolder.imgDialogxMenuIcon.setVisibility(0);
                    viewHolder.imgDialogxMenuIcon.setImageResource(icon);
                    if (viewHolder.spaceDialogxRightPadding != null) {
                        viewHolder.spaceDialogxRightPadding.setVisibility(0);
                    }
                    if (Build.VERSION.SDK_INT >= 21 && isAutoTintIconInLightOrDarkMode) {
                        viewHolder.imgDialogxMenuIcon.setImageTintList(ColorStateList.valueOf(this.context.getResources().getColor(i3)));
                    }
                } else {
                    viewHolder.imgDialogxMenuIcon.setVisibility(8);
                    if (viewHolder.spaceDialogxRightPadding != null) {
                        viewHolder.spaceDialogxRightPadding.setVisibility(8);
                    }
                }
            } else {
                viewHolder.imgDialogxMenuIcon.setVisibility(8);
                if (viewHolder.spaceDialogxRightPadding != null) {
                    viewHolder.spaceDialogxRightPadding.setVisibility(8);
                }
            }
        }
        return view;
    }

    private int px2dip(float pxValue) {
        return (int) ((pxValue / this.context.getResources().getDisplayMetrics().density) + 0.5f);
    }
}
