package com.kongzue.dialogx.util;

import com.kongzue.dialogx.interfaces.BaseDialog;
import java.util.ArrayList;
/* loaded from: classes10.dex */
public class DialogListBuilder {
    ArrayList<BaseDialog> dialogs;

    public static DialogListBuilder create(BaseDialog... dialogs) {
        DialogListBuilder dialogListBuilder = new DialogListBuilder();
        for (BaseDialog baseDialog : dialogs) {
            dialogListBuilder.add(baseDialog);
        }
        return dialogListBuilder;
    }

    public DialogListBuilder add(BaseDialog dialog) {
        if (this.dialogs == null) {
            this.dialogs = new ArrayList<>();
        }
        if (!dialog.isShow() && !dialog.isPreShow()) {
            dialog.setDialogListBuilder(this);
            this.dialogs.add(dialog);
        }
        return this;
    }

    public DialogListBuilder show() {
        ArrayList<BaseDialog> arrayList = this.dialogs;
        if (arrayList != null && !arrayList.isEmpty()) {
            this.dialogs.get(0).show();
        }
        return this;
    }

    public void showNext() {
        ArrayList<BaseDialog> arrayList = this.dialogs;
        if (arrayList == null || arrayList.isEmpty()) {
            return;
        }
        ArrayList<BaseDialog> arrayList2 = this.dialogs;
        arrayList2.remove(arrayList2.get(0));
        if (this.dialogs.isEmpty()) {
            return;
        }
        this.dialogs.get(0).show();
    }

    public boolean isEmpty() {
        ArrayList<BaseDialog> arrayList = this.dialogs;
        if (arrayList == null) {
            return true;
        }
        return arrayList.isEmpty();
    }
}
