package com.kongzue.dialogx.util;

import com.kongzue.dialogx.DialogX;
import com.kongzue.dialogx.interfaces.BaseDialog;
import java.lang.ref.WeakReference;
/* loaded from: classes10.dex */
public class DialogXImplModeAgent {
    private WeakReference<BaseDialog> dialogWeakReference;
    private DialogX.IMPL_MODE implMode;

    public DialogXImplModeAgent(DialogX.IMPL_MODE implMode, BaseDialog dialog) {
        this.implMode = implMode;
        this.dialogWeakReference = new WeakReference<>(dialog);
    }

    public DialogX.IMPL_MODE getImplMode() {
        return this.implMode;
    }

    public DialogXImplModeAgent setImplMode(DialogX.IMPL_MODE implMode) {
        this.implMode = implMode;
        return this;
    }

    public BaseDialog getDialog() {
        WeakReference<BaseDialog> weakReference = this.dialogWeakReference;
        if (weakReference == null) {
            return null;
        }
        return weakReference.get();
    }

    public DialogXImplModeAgent setDialogWeakReference(BaseDialog dialog) {
        this.dialogWeakReference = new WeakReference<>(dialog);
        return this;
    }

    public void recycle() {
        WeakReference<BaseDialog> weakReference = this.dialogWeakReference;
        if (weakReference != null) {
            weakReference.clear();
        }
        this.dialogWeakReference = null;
        this.implMode = null;
    }
}
