package com.kongzue.dialogx.util;

import android.animation.ObjectAnimator;
import android.content.res.Resources;
import android.view.MotionEvent;
import android.view.View;
import com.kongzue.dialogx.DialogX;
import com.kongzue.dialogx.dialogs.FullScreenDialog;
import com.kongzue.dialogx.interfaces.ScrollController;
/* loaded from: classes10.dex */
public class FullScreenDialogTouchEventInterceptor {
    private float bkgOldY;
    private float bkgTouchDownY;
    private boolean isBkgTouched = false;

    public FullScreenDialogTouchEventInterceptor(FullScreenDialog me2, FullScreenDialog.DialogImpl impl) {
        refresh(me2, impl);
    }

    public void refresh(final FullScreenDialog me2, final FullScreenDialog.DialogImpl impl) {
        if (me2 == null || impl == null || impl.bkg == null) {
            return;
        }
        if (me2.isAllowInterceptTouch()) {
            View view = impl.boxCustom;
            if (impl.scrollView != null) {
                view = impl.bkg;
            }
            view.setOnTouchListener(new View.OnTouchListener() { // from class: com.kongzue.dialogx.util.FullScreenDialogTouchEventInterceptor.1
                /* JADX WARN: Code restructure failed: missing block: B:8:0x000f, code lost:
                    if (r9 != 3) goto L8;
                 */
                @Override // android.view.View.OnTouchListener
                /*
                    Code decompiled incorrectly, please refer to instructions dump.
                */
                public boolean onTouch(View v, MotionEvent event) {
                    int action = event.getAction();
                    if (action != 0) {
                        if (action != 1) {
                            if (action == 2) {
                                if (FullScreenDialogTouchEventInterceptor.this.isBkgTouched) {
                                    float y = (impl.bkg.getY() + event.getY()) - FullScreenDialogTouchEventInterceptor.this.bkgTouchDownY;
                                    if (impl.scrollView == null || !impl.scrollView.isCanScroll()) {
                                        impl.bkg.setY(y >= 0.0f ? y : 0.0f);
                                    } else if (y > 0.0f) {
                                        if (impl.scrollView.getScrollDistance() != 0) {
                                            FullScreenDialogTouchEventInterceptor.this.bkgTouchDownY = event.getY();
                                        } else {
                                            if (impl.scrollView instanceof ScrollController) {
                                                impl.scrollView.lockScroll(true);
                                            }
                                            impl.bkg.setY(y);
                                        }
                                    } else {
                                        if (impl.scrollView instanceof ScrollController) {
                                            impl.scrollView.lockScroll(false);
                                        }
                                        impl.bkg.setY(0.0f);
                                    }
                                }
                            }
                        }
                        FullScreenDialogTouchEventInterceptor.this.isBkgTouched = false;
                        if (FullScreenDialogTouchEventInterceptor.this.bkgOldY != 0.0f) {
                            if (impl.bkg.getY() >= FullScreenDialogTouchEventInterceptor.this.bkgOldY - DialogX.touchSlideTriggerThreshold) {
                                if (impl.bkg.getY() > FullScreenDialogTouchEventInterceptor.this.bkgOldY + DialogX.touchSlideTriggerThreshold) {
                                    impl.preDismiss();
                                } else {
                                    ObjectAnimator ofFloat = ObjectAnimator.ofFloat(impl.bkg, "y", impl.bkg.getY(), impl.bkgEnterAimY);
                                    ofFloat.setDuration(300L);
                                    ofFloat.start();
                                }
                            } else {
                                ObjectAnimator ofFloat2 = ObjectAnimator.ofFloat(impl.bkg, "y", impl.bkg.getY(), 0.0f);
                                ofFloat2.setDuration(300L);
                                ofFloat2.start();
                            }
                        } else if (impl.bkg.getY() < DialogX.touchSlideTriggerThreshold) {
                            ObjectAnimator ofFloat3 = ObjectAnimator.ofFloat(impl.bkg, "y", impl.bkg.getY(), 0.0f);
                            ofFloat3.setDuration(300L);
                            ofFloat3.start();
                        } else if (impl.bkg.getY() > impl.bkgEnterAimY + DialogX.touchSlideTriggerThreshold) {
                            impl.preDismiss();
                        } else {
                            ObjectAnimator ofFloat4 = ObjectAnimator.ofFloat(impl.bkg, "y", impl.bkg.getY(), impl.bkgEnterAimY);
                            ofFloat4.setDuration(300L);
                            ofFloat4.start();
                        }
                    } else {
                        FullScreenDialogTouchEventInterceptor.this.bkgTouchDownY = event.getY();
                        FullScreenDialogTouchEventInterceptor.this.isBkgTouched = true;
                        FullScreenDialogTouchEventInterceptor.this.bkgOldY = impl.bkg.getY();
                    }
                    return false;
                }
            });
            return;
        }
        View view2 = impl.boxCustom;
        if (impl.scrollView != null) {
            view2 = impl.bkg;
        }
        if (impl.scrollView instanceof ScrollController) {
            impl.scrollView.lockScroll(false);
        }
        view2.setOnTouchListener(null);
    }

    private int dip2px(float dpValue) {
        return (int) ((dpValue * Resources.getSystem().getDisplayMetrics().density) + 0.5f);
    }
}
