package com.kongzue.dialogx.util.views;

import android.content.Context;
import android.content.res.Resources;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.widget.ListAdapter;
import android.widget.ListView;
import androidx.appcompat.view.ContextThemeWrapper;
import com.kongzue.dialogx.dialogs.BottomDialog;
import com.kongzue.dialogx.interfaces.BottomMenuListViewTouchEvent;
/* loaded from: classes10.dex */
public class BottomDialogListView extends ListView {
    private BottomMenuListViewTouchEvent bottomMenuListViewTouchEvent;
    private BottomDialog.DialogImpl dialogImpl;
    private int mPosition;
    private int size;
    private float touchDownY;

    public BottomDialogListView(Context context) {
        super(context);
        this.size = 1;
    }

    public BottomDialogListView(Context context, AttributeSet attrs) {
        super(context, attrs);
        this.size = 1;
    }

    public BottomDialogListView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        this.size = 1;
    }

    public BottomDialogListView(BottomDialog.DialogImpl dialog, Context context) {
        super(context);
        this.size = 1;
        this.dialogImpl = dialog;
        setVerticalScrollBarEnabled(false);
    }

    public BottomDialogListView(BottomDialog.DialogImpl dialog, Context context, int theme) {
        super(new ContextThemeWrapper(context, theme));
        this.size = 1;
        this.dialogImpl = dialog;
        setVerticalScrollBarEnabled(false);
    }

    @Override // android.widget.ListView, android.widget.AbsListView, android.view.View
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        super.onMeasure(widthMeasureSpec, View.MeasureSpec.makeMeasureSpec(536870911, Integer.MIN_VALUE));
    }

    private int dip2px(float dpValue) {
        return (int) ((dpValue * Resources.getSystem().getDisplayMetrics().density) + 0.5f);
    }

    @Override // android.view.ViewGroup, android.view.View
    public boolean dispatchTouchEvent(MotionEvent ev) {
        int actionMasked = ev.getActionMasked() & 255;
        if (actionMasked == 0) {
            this.touchDownY = ev.getY();
            BottomMenuListViewTouchEvent bottomMenuListViewTouchEvent = this.bottomMenuListViewTouchEvent;
            if (bottomMenuListViewTouchEvent != null) {
                bottomMenuListViewTouchEvent.down(ev);
            }
            this.mPosition = pointToPosition((int) ev.getX(), (int) ev.getY());
            return super.dispatchTouchEvent(ev);
        } else if (actionMasked == 2) {
            BottomMenuListViewTouchEvent bottomMenuListViewTouchEvent2 = this.bottomMenuListViewTouchEvent;
            if (bottomMenuListViewTouchEvent2 != null) {
                bottomMenuListViewTouchEvent2.move(ev);
            }
            if (Math.abs(this.touchDownY - ev.getY()) > dip2px(5.0f)) {
                ev.setAction(3);
                dispatchTouchEvent(ev);
                return false;
            }
            return true;
        } else {
            if (actionMasked == 1 || actionMasked == 3) {
                BottomMenuListViewTouchEvent bottomMenuListViewTouchEvent3 = this.bottomMenuListViewTouchEvent;
                if (bottomMenuListViewTouchEvent3 != null) {
                    bottomMenuListViewTouchEvent3.up(ev);
                }
                if (pointToPosition((int) ev.getX(), (int) ev.getY()) == this.mPosition) {
                    super.dispatchTouchEvent(ev);
                } else {
                    setPressed(false);
                    invalidate();
                }
            }
            return super.dispatchTouchEvent(ev);
        }
    }

    public BottomMenuListViewTouchEvent getBottomMenuListViewTouchEvent() {
        return this.bottomMenuListViewTouchEvent;
    }

    @Override // android.widget.AdapterView
    public void setAdapter(ListAdapter adapter) {
        this.size = adapter.getCount();
        super.setAdapter(adapter);
    }

    public BottomDialogListView setBottomMenuListViewTouchEvent(BottomMenuListViewTouchEvent bottomMenuListViewTouchEvent) {
        this.bottomMenuListViewTouchEvent = bottomMenuListViewTouchEvent;
        return this;
    }
}
