package com.kongzue.dialogx.util.views;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.widget.BaseAdapter;
import android.widget.ListView;
/* loaded from: classes10.dex */
public class PopMenuListView extends ListView {
    private float maxHeight;

    public PopMenuListView(Context context) {
        super(context);
        this.maxHeight = -1.0f;
    }

    public PopMenuListView(Context context, AttributeSet attrs) {
        super(context, attrs);
        this.maxHeight = -1.0f;
    }

    public PopMenuListView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        this.maxHeight = -1.0f;
    }

    public boolean isCanScroll() {
        return (getFirstVisiblePosition() == 0 && getCount() == getLastVisiblePosition() + 1) ? false : true;
    }

    public float getMaxHeight() {
        return this.maxHeight;
    }

    public PopMenuListView setMaxHeight(float maxHeight) {
        this.maxHeight = maxHeight;
        return this;
    }

    @Override // android.widget.ListView, android.widget.AbsListView, android.view.View
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        int size = View.MeasureSpec.getSize(heightMeasureSpec);
        float f = this.maxHeight;
        if (f <= size && f > -1.0f) {
            heightMeasureSpec = View.MeasureSpec.makeMeasureSpec(Float.valueOf(f).intValue(), Integer.MIN_VALUE);
        }
        super.onMeasure(widthMeasureSpec, heightMeasureSpec);
    }

    @Override // android.widget.ListView, android.widget.AbsListView
    protected void layoutChildren() {
        try {
            super.layoutChildren();
        } catch (IllegalStateException unused) {
            ((BaseAdapter) getAdapter()).notifyDataSetChanged();
            super.layoutChildren();
        }
    }
}
