package com.kongzue.dialogx.util.views;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.widget.RelativeLayout;
/* loaded from: classes10.dex */
public class RoundView extends RelativeLayout {
    private Path mBoundPath;
    private float mRadius;

    public RoundView(Context context) {
        this(context, null);
    }

    public RoundView(Context context, AttributeSet attrs) {
        this(context, attrs, 0);
    }

    public RoundView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        this.mRadius = 0.0f;
        this.mBoundPath = null;
        setWillNotDraw(false);
        this.mRadius = 50.0f;
    }

    public void setRadius(float radius) {
        if (this.mRadius == radius) {
            return;
        }
        this.mRadius = radius;
        postInvalidate();
    }

    public float getRadius() {
        return this.mRadius;
    }

    @Override // android.view.View
    public void draw(Canvas canvas) {
        Rect rect = new Rect();
        getLocalVisibleRect(rect);
        Path caculateRoundRectPath = caculateRoundRectPath(rect);
        this.mBoundPath = caculateRoundRectPath;
        canvas.clipPath(caculateRoundRectPath);
        super.draw(canvas);
    }

    private Path caculateRoundRectPath(Rect r) {
        Path path = new Path();
        float radius = getRadius();
        path.addRoundRect(new RectF(r.left + 0.0f, r.top + 0.0f, r.right - 0.0f, r.bottom - 0.0f), radius, radius, Path.Direction.CW);
        return path;
    }
}
