package net.lingala.zip4j.crypto.PBKDF2;
/* loaded from: classes11.dex */
class BinTools {
    public static final String hex = "0123456789ABCDEF";

    BinTools() {
    }

    public static String bin2hex(byte[] bArr) {
        if (bArr == null) {
            return "";
        }
        StringBuffer stringBuffer = new StringBuffer(bArr.length * 2);
        for (byte b : bArr) {
            int i2 = (b + 256) % 256;
            stringBuffer.append(hex.charAt((i2 / 16) & 15));
            stringBuffer.append(hex.charAt((i2 % 16) & 15));
        }
        return stringBuffer.toString();
    }

    public static int hex2bin(char c) {
        if (c < '0' || c > '9') {
            char c2 = 'A';
            if (c < 'A' || c > 'F') {
                c2 = 'a';
                if (c < 'a' || c > 'f') {
                    throw new IllegalArgumentException("Input string may only contain hex digits, but found '" + c + "'");
                }
            }
            return (c - c2) + 10;
        }
        return c - '0';
    }

    public static byte[] hex2bin(String str) {
        if (str == null) {
            str = "";
        } else if (str.length() % 2 != 0) {
            str = "0" + str;
        }
        byte[] bArr = new byte[str.length() / 2];
        int i2 = 0;
        int i3 = 0;
        while (i2 < str.length()) {
            int i4 = i2 + 1;
            char charAt = str.charAt(i2);
            bArr[i3] = (byte) (hex2bin(str.charAt(i4)) + (hex2bin(charAt) * 16));
            i3++;
            i2 = i4 + 1;
        }
        return bArr;
    }
}
